import {ResultDto} from "../../model/ResultDto";
import {AuthDto} from "../../model/auth/dto/AuthDto";
import {CaptchaLoginForm} from "../../model/auth/form/CaptchaLoginForm";
import {SmsLoginForm} from "../../model/auth/form/SmsLoginForm";
import {RegisteredForm} from "../../model/auth/form/RegisteredForm";
import {ForgetPassForm2} from "../../model/auth/form/ForgetPassForm2";
import {ForgetPassForm1} from "../../model/auth/form/ForgetPassForm1";
import {RefreshTokenForm} from "../../model/auth/form/RefreshTokenForm";
import {BindResidentForm} from "../../model/auth/form/BindResidentForm";

declare global {
    namespace AuthInterface{
        // tslint:disable-next-line:class-name
        interface oauth {
            captcha?: (form: CaptchaLoginForm, headers: any) => Promise<ResultDto<AuthDto>>;
            refresh?: (form: RefreshTokenForm, headers: any) => Promise<ResultDto<AuthDto>>;
            sms?: (form: SmsLoginForm, headers: any) => Promise<ResultDto<AuthDto>>;
            registered?: (form: RegisteredForm, headers: any) => Promise<ResultDto<any>>;
            bind?:(form: BindResidentForm, headers: any) => Promise<ResultDto<any>>;
            updatePasswordByCode?: (form: ForgetPassForm2, headers: any) => Promise<ResultDto<any>>;
            updatePassword?: (form: ForgetPassForm1, headers: any) => Promise<ResultDto<any>>;
            smsCode?: (form: string,type:number, headers: any) => Promise<ResultDto<any>>;
            logout?: (headers: any) => Promise<ResultDto<any>>;
        }
    }
}
export {};