/**
 * class_room-课(Class)ApiDefine
 *
 * @author stoneyong
 * @since 2020-11-02 11:43:40
 */
import {SaveClassForm, UpdClassForm} from "../../model/classroom/form/ClassForm";
import {PageClassForm} from "../../model/classroom/form/PageClassForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ClassDto} from "../../model/classroom/dto/ClassDto";

declare global {
    namespace ClassDefine {
        interface Class {
            // 添加
            save?: (data: SaveClassForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ClassDto>>,
            // 修改
            upd?: (data: UpdClassForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageClassForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ClassDto>>>,

        }
    }
}

export {}