/**
 * class_room-课堂(ClassRoom)Api
 *
 * @author stoneyong
 * @since 2020-11-02 11:43:41
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {classroomUrl, classroomUrlEnum} from "../../config/config";

export const classRoomApi: ClassRoomDefine.ClassRoom = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            classroomUrl + classroomUrlEnum.DEL_CLASS_ROOM,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            classroomUrl + classroomUrlEnum.INFO_CLASS_ROOM + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            classroomUrl + classroomUrlEnum.PAGE_CLASS_ROOM,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers, errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            classroomUrl + classroomUrlEnum.SAVE_CLASS_ROOM,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            classroomUrl + classroomUrlEnum.UPD_CLASS_ROOM,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
}