/**
 * class_room-用户课堂评论(ClassRoomComment)ApiDefine
 *
 * @author stoneyong
 * @since 2020-11-02 11:43:42
 */
import {SaveClassRoomCommentForm, UpdClassRoomCommentForm} from "../../model/classroom/form/ClassRoomCommentForm";
import {PageClassRoomCommentForm} from "../../model/classroom/form/PageClassRoomCommentForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ClassRoomCommentDto} from "../../model/classroom/dto/ClassRoomCommentDto";

declare global {
    namespace ClassRoomCommentDefine {
        interface ClassRoomComment {
            // 添加
            save?: (data: SaveClassRoomCommentForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ClassRoomCommentDto>>,
            // 修改
            upd?: (data: UpdClassRoomCommentForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageClassRoomCommentForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ClassRoomCommentDto>>>,

        }
    }
}

export {}