/**
 * class_room-课堂(ClassRoom)ApiDefine
 *
 * @author stoneyong
 * @since 2020-11-02 11:43:41
 */
import {SaveClassRoomForm, UpdClassRoomForm} from "../../model/classroom/form/ClassRoomForm";
import {PageClassRoomForm} from "../../model/classroom/form/PageClassRoomForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ClassRoomDto} from "../../model/classroom/dto/ClassRoomDto";

declare global {
    namespace ClassRoomDefine {
        interface ClassRoom {
            // 添加
            save?: (data: SaveClassRoomForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ClassRoomDto>>,
            // 修改
            upd?: (data: UpdClassRoomForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageClassRoomForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ClassRoomDto>>>,

        }
    }
}

export {}