/**
 * class_room-课堂日志(ClassRoomLog)ApiDefine
 *
 * @author stoneyong
 * @since 2020-11-02 11:43:43
 */
import {SaveClassRoomLogForm, UpdClassRoomLogForm} from "../../model/classroom/form/ClassRoomLogForm";
import {PageClassRoomLogForm} from "../../model/classroom/form/PageClassRoomLogForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ClassRoomLogDto} from "../../model/classroom/dto/ClassRoomLogDto";

declare global {
    namespace ClassRoomLogDefine {
        interface ClassRoomLog {
            // 添加
            save?: (data: SaveClassRoomLogForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ClassRoomLogDto>>,
            // 修改
            upd?: (data: UpdClassRoomLogForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageClassRoomLogForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ClassRoomLogDto>>>,

        }
    }
}

export {}