/**
 * class_room-课堂资源(ClassRoomResources)ApiDefine
 *
 * @author stoneyong
 * @since 2020-11-02 11:43:43
 */
import {SaveClassRoomResourcesForm, UpdClassRoomResourcesForm} from "../../model/classroom/form/ClassRoomResourcesForm";
import {PageClassRoomResourcesForm} from "../../model/classroom/form/PageClassRoomResourcesForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ClassRoomResourcesDto} from "../../model/classroom/dto/ClassRoomResourcesDto";

declare global {
    namespace ClassRoomResourcesDefine {
        interface ClassRoomResources {
            // 添加
            save?: (data: SaveClassRoomResourcesForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ClassRoomResourcesDto>>,
            // 修改
            upd?: (data: UpdClassRoomResourcesForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageClassRoomResourcesForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ClassRoomResourcesDto>>>,

        }
    }
}

export {}