/**
 * class_room-用户课堂签到(ClassRoomSign)ApiDefine
 *
 * @author stoneyong
 * @since 2020-11-02 11:43:44
 */
import {SaveClassRoomSignForm, UpdClassRoomSignForm} from "../../model/classroom/form/ClassRoomSignForm";
import {PageClassRoomSignForm} from "../../model/classroom/form/PageClassRoomSignForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ClassRoomSignDto} from "../../model/classroom/dto/ClassRoomSignDto";

declare global {
    namespace ClassRoomSignDefine {
        interface ClassRoomSign {
            // 添加
            save?: (data: SaveClassRoomSignForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ClassRoomSignDto>>,
            // 修改
            upd?: (data: UpdClassRoomSignForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageClassRoomSignForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ClassRoomSignDto>>>,

        }
    }
}

export {}