/**
 * class_room-用户课堂考试(ClassRoomTest)ApiDefine
 *
 * @author stoneyong
 * @since 2020-11-02 11:43:45
 */
import {SaveClassRoomTestForm, UpdClassRoomTestForm} from "../../model/classroom/form/ClassRoomTestForm";
import {PageClassRoomTestForm} from "../../model/classroom/form/PageClassRoomTestForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ClassRoomTestDto} from "../../model/classroom/dto/ClassRoomTestDto";

declare global {
    namespace ClassRoomTestDefine {
        interface ClassRoomTest {
            // 添加
            save?: (data: SaveClassRoomTestForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ClassRoomTestDto>>,
            // 修改
            upd?: (data: UpdClassRoomTestForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageClassRoomTestForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ClassRoomTestDto>>>,

        }
    }
}

export {}