/**
 * class_teacher-教师(ClassTeacher)ApiDefine
 *
 * @author stoneyong
 * @since 2020-11-24 12:37:17
 */
import {SaveClassTeacherForm, UpdClassTeacherForm} from "../../model/classroom/form/ClassTeacherForm";
import {PageClassTeacherForm} from "../../model/classroom/form/PageClassTeacherForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ClassTeacherDto} from "../../model/classroom/dto/ClassTeacherDto";

declare global {
    namespace ClassTeacherDefine {
        interface ClassTeacher {
            // 添加
            save?: (data: SaveClassTeacherForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ClassTeacherDto>>,
            // 修改
            upd?: (data: UpdClassTeacherForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageClassTeacherForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ClassTeacherDto>>>,

        }
    }
}

export {}