/**
 * class_room-课报名(ClassUser)ApiDefine
 *
 * @author stoneyong
 * @since 2020-11-02 11:43:45
 */
import {SaveClassUserForm, UpdClassUserForm} from "../../model/classroom/form/ClassUserForm";
import {PageClassUserForm} from "../../model/classroom/form/PageClassUserForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ClassUserDto} from "../../model/classroom/dto/ClassUserDto";

declare global {
    namespace ClassUserDefine {
        interface ClassUser {
            // 添加
            save?: (data: SaveClassUserForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ClassUserDto>>,
            // 修改
            upd?: (data: UpdClassUserForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageClassUserForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ClassUserDto>>>,

        }
    }
}

export {}