import {BannerDto} from "../../model/common/dto/BannerDto";
import {WebClient} from "../../utils/WebClient";
import {apiUrl, CommonBannerEnum, commonBaseUrl} from "../../config/config";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
// tslint:disable-next-line:no-var-requires
const JsonBigString= require('json-bigint')({"storeAsString": true});

// @ts-ignore
export let BannerApi: BannerInterface.banner;


BannerApi = {
    bannerPage: async (form, handler: any) => {
        const result: ResultDto<PageDto<BannerDto>> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonBannerEnum.BANNER_PAGE,
            method: 'POST',
            headers: handler
        }));
        return result;
    },
    saveBanner: async (form, handler: Boolean) => {
        // @ts-ignore
        const result: ResultDto<boolean> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonBannerEnum.BANNER_SAVE,
            method: 'POST',
            headers: handler
        }));
        return result;
    },
    updateBanner: async (form, handler:Boolean)=>{
        // @ts-ignore
        const result: ResultDto<boolean> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonBannerEnum.BANNER_UPDATE,
            method: 'POST',
            headers: handler
        }));
        return result
    },

    deleteBanner: async (form, handler:Boolean)=>{
        // @ts-ignore
        const result: ResultDto<boolean> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonBannerEnum.BANNER_DELETE,
            method: 'POST',
            headers: handler
        }));
        return result
    },
    bannerInfo: async (form, handler:any)=>{
        const result: ResultDto<BannerDto> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonBannerEnum.BANNER_ONE+form,
            method: 'GET',
            headers: handler
        }));
        return result
    },
};