import {BannerForm, saveBannerForm, updateBannerForm} from "../../model/common/form/BannerForm";
import {BannerDto} from "../../model/common/dto/BannerDto";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";

declare global {
    namespace BannerInterface{
        interface banner {
            // 管理 分页查询
            bannerPage?: (form: BannerForm, headers: any) => Promise<ResultDto<PageDto<BannerDto>>>;
            // 添加通知
            saveBanner?: (form: saveBannerForm, headers: any) => Promise<ResultDto<boolean>>;
            // 修改通知
            updateBanner?: (form: updateBannerForm, headers: any) => Promise< ResultDto<boolean>>;
            // 删除通知
            deleteBanner?: (form: string[], headers: any) => Promise< ResultDto<boolean>>;
            // 单个详情
            bannerInfo?: (form: string, headers: any) => Promise<ResultDto<BannerDto>>;
        }
    }
}
export {};