import {BannerModuleDto} from "../../model/common/dto/BannerModuleDto";
import {WebClient} from "../../utils/WebClient";
import {apiUrl, commonBannerModuleEnum, commonBaseUrl} from "../../config/config";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
// tslint:disable-next-line:no-var-requires
const JsonBigString= require('json-bigint')({"storeAsString": true});

// @ts-ignore
export let BannerModuleApi: BannerModuleInterface.bannerModule;


BannerModuleApi = {
    bannerModulePage: async (form, handler: any) => {
        const result: ResultDto<PageDto<BannerModuleDto>> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + commonBannerModuleEnum.BANNER_MODULE_PAGE,
            method: 'POST',
            headers: handler
        }));
        return result;
    },
    saveModuleBanner: async (form, handler: Boolean) => {
        // @ts-ignore
        const result: ResultDto<boolean> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + commonBannerModuleEnum.BANNER_MODULE_SAVE,
            method: 'POST',
            headers: handler
        }));
        return result;
    },
    updateBannerModule: async (form, handler:Boolean)=>{
        // @ts-ignore
        const result: ResultDto<boolean> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + commonBannerModuleEnum.BANNER_MODULE_UPDATE,
            method: 'POST',
            headers: handler
        }));
        return result
    },

    deleteBannerModule: async (form, handler:Boolean)=>{
        // @ts-ignore
        const result: ResultDto<boolean> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + commonBannerModuleEnum.BANNER_MODULE_DELETE,
            method: 'POST',
            headers: handler
        }));
        return result
    },
    bannerModuleInfo: async (form, handler:any)=>{
        const result: ResultDto<BannerModuleDto> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + commonBannerModuleEnum.BANNER_MODULE_ONE+form,
            method: 'GET',
            headers: handler
        }));
        return result
    }, listByOrgId: async (form, handler:any)=>{
        const result: ResultDto<BannerModuleDto[]> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + commonBannerModuleEnum.BANNER_MODULE_LIST_BY_ORG_ID+form,
            method: 'GET',
            headers: handler
        }));
        return result
    }


};