import {BannerModuleForm, saveBannerModuleForm, updateBannerModuleForm} from "../../model/common/form/BannerModuleForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {BannerModuleDto} from "../../model/common/dto/BannerModuleDto";


declare global {
    namespace BannerModuleInterface{
        interface bannerModule {
            // 管理 分页查询
            bannerModulePage?: (form: BannerModuleForm, headers: any) => Promise<ResultDto<PageDto<BannerModuleDto>>>;
            // 添加通知
            saveModuleBanner?: (form: saveBannerModuleForm, headers: any) => Promise<ResultDto<boolean>>;
            // 修改通知
            updateBannerModule?: (form: updateBannerModuleForm, headers: any) => Promise< ResultDto<boolean>>;
            // 删除通知
            deleteBannerModule?: (form: string[], headers: any) => Promise< ResultDto<boolean>>;
            // 单个详情
            bannerModuleInfo?: (form: string, headers: any) => Promise<ResultDto<BannerModuleDto>>;
            //根据机构Id查询列表
            listByOrgId ?:(form:string,headers:any)=>Promise<ResultDto<BannerModuleDto[]>>;
        }
    }
}

export {};