import {ResultDto} from "../../model/ResultDto";
import {PageCommonBaseDiagForm} from "../../model/common/form/PageCommonBaseDiagForm";
import {CommonBaseDiagDto} from "../../model/common/dto/CommonBaseDiagDto";
import {PageDto} from "../../model/PageDto";
import {CommonBaseDiagForm} from "../../model/common/form/CommonBaseDiagForm";

declare global {
    namespace BaseDiagDefine {
        /**
         * 基础诊疗价格表
         */
        interface BaseDiag {
            /**
             * 分页查询
             * @param form
             * @param headers
             */
            page?: (form: PageCommonBaseDiagForm, headers: any) => Promise< ResultDto<PageDto<CommonBaseDiagDto>>>;
            /**
             * 诊疗价格表
             * @param form
             * @param headers
             */
            info?: (form: string, headers: any) => Promise< ResultDto<CommonBaseDiagDto>>;
            /**
             * 新增数据
             * @param form
             * @param headers
             */
            save?: (form: CommonBaseDiagForm, headers: any) => Promise< ResultDto<boolean>>;
            /**
             * 诊疗价格表
             * @param form
             * @param headers
             */
            upd?: (form: CommonBaseDiagForm, headers: any) => Promise< ResultDto<boolean>>;
            /**
             * 删除数据
             * @param form
             * @param headers
             */
            del?: (form: string[], headers: any) => Promise< ResultDto<boolean>>;
        }
    }
}
export {};