import {WebClient} from "../../utils/WebClient";
import {BaseDrug, commonBaseUrl} from "../../config/config";
// tslint:disable-next-line:no-var-requires
const JsonUtils = require('json-bigint')({"storeAsString": true});

export const BaseDrugApi: BaseDrugDefine.BaseDrug = {
    /**
     * 基础诊疗价格表分页
     * @param form
     * @param headers
     */
    page: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form, commonBaseUrl + BaseDrug.DRUG_PAGE, headers);
    },
    /**
     * 诊疗详情
     * @param form
     * @param headers
     */
    info: async (form, headers: any) => {
        return await WebClient.requestResultDtoGet(form, commonBaseUrl + BaseDrug.DRUG_INFO+form, headers);
    },
    /**
     * 新增数据
     * @param form
     * @param headers
     */
    save: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form, commonBaseUrl + BaseDrug.DRUG_SAVE, headers);
    },
    /**
     * 新增数据
     * @param form
     * @param headers
     */
    upd: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form, commonBaseUrl + BaseDrug.DRUG_UPD, headers);
    },
    /**
     * 删除数据
     * @param form
     * @param headers
     */
    del: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form, commonBaseUrl + BaseDrug.DRUG_DEL, headers);
    },
}