import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {PageCommonBaseDrugForm} from "../../model/common/form/PageCommonBaseDrugForm";
import {CommonBaseDrugDto} from "../../model/common/dto/CommonBaseDrugDto";
import {CommonBaseDrugForm} from "../../model/common/form/CommonBaseDrugForm";

declare global {
    namespace BaseDrugDefine {
        /**
         * 基础药品价格表
         */
        interface BaseDrug {
            /**
             * 分页查询
             * @param form
             * @param headers
             */
            page?: (form: PageCommonBaseDrugForm, headers: any) => Promise< ResultDto<PageDto<CommonBaseDrugDto>>>;
            /**
             * 诊疗价格表
             * @param form
             * @param headers
             */
            info?: (form: string, headers: any) => Promise< ResultDto<CommonBaseDrugDto>>;
            /**
             * 新增数据
             * @param form
             * @param headers
             */
            save?: (form: CommonBaseDrugForm, headers: any) => Promise< ResultDto<boolean>>;
            /**
             * 诊疗价格表
             * @param form
             * @param headers
             */
            upd?: (form: CommonBaseDrugForm, headers: any) => Promise< ResultDto<boolean>>;
            /**
             * 删除数据
             * @param form
             * @param headers
             */
            del?: (form: string[], headers: any) => Promise< ResultDto<boolean>>;
        }
    }
}
export {};