/**
 * common模块-机构-设备管理(CommonEquipmentOrg)Api
 *
 * @author Ma
 * @since 2020-09-18 16:07:58
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import { commonBaseUrl,CommonEquipmentOrgUrlEnum} from "../../config/config";

export const commonEquipmentOrgApi: CommonEquipmentOrgInterface.CommonEquipmentOrg = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonBaseUrl + CommonEquipmentOrgUrlEnum.DEL_COMMON_EQUIPMENT_ORG,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            commonBaseUrl + CommonEquipmentOrgUrlEnum.INFO_COMMON_EQUIPMENT_ORG + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonBaseUrl + CommonEquipmentOrgUrlEnum.PAGE_COMMON_EQUIPMENT_ORG,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers, errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(data,
            commonBaseUrl + CommonEquipmentOrgUrlEnum.SAVE_COMMON_EQUIPMENT_ORG,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },

    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonBaseUrl + CommonEquipmentOrgUrlEnum.UPD_COMMON_EQUIPMENT_ORG,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
};