/**
 * common模块-机构-设备管理(CommonEquipmentOrg)ApiDefine
 *
 * @author Ma
 * @since 2020-09-18 16:07:58
 */
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {EquipmentOrgDto} from "../../model/common/dto/EquipmentOrgDto";
import {
    EquipmentOrgForm,
    saveCommonEquipmentOrgForm,
    updCommonEquipmentOrgForm
} from "../../model/common/form/EquipmentOrgForm";

declare global {
    namespace CommonEquipmentOrgInterface {
        interface CommonEquipmentOrg {
            // 添加
            save?: (data: saveCommonEquipmentOrgForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<EquipmentOrgDto>>,
            // 修改
            upd?: (data: updCommonEquipmentOrgForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data:EquipmentOrgForm , headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<EquipmentOrgDto>>>,

        }
    }
}

export {}