/**
 * 公共-表单分类(CommonFormType)Api
 *
 * @author makejava
 * @since 2021-01-07 09:06:32
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {commonBaseUrl as commonUrl, CommonFormUrl as CommonUrlEnum} from "../../config/config";

export const commonFormTypeApi: CommonFormTypeDefine.CommonFormType = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonUrl + CommonUrlEnum.DEL_COMMON_FORM_TYPE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            commonUrl + CommonUrlEnum.INFO_COMMON_FORM_TYPE + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonUrl + CommonUrlEnum.PAGE_COMMON_FORM_TYPE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, listAlreadyEnable: async function ( headers,
                                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            commonUrl + CommonUrlEnum.COMMON_FORM_TYPE_LIST_ALREADY_ENABLE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },


    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonUrl + CommonUrlEnum.SAVE_COMMON_FORM_TYPE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonUrl + CommonUrlEnum.UPD_COMMON_FORM_TYPE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }
};