import {WebClient} from "../../utils/WebClient";
import {BaseDrug, commonBaseUrl, KnowRead} from "../../config/config";
// tslint:disable-next-line:no-var-requires
const JsonUtils = require('json-bigint')({"storeAsString": true});

export const CommonKnowReadApi: CommonKnowReadDefine.CommonKnowRead = {
    /**
     * 分页查询健康知识阅读
     * @param form
     * @param headers
     */
    page: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form, commonBaseUrl + KnowRead.KNOW_READ_PAGE, headers);
    },
    /**
     * 健康知识详情
     * @param form
     * @param headers
     */
    info: async (form, headers: any) => {
        return await WebClient.requestResultDtoGet(form, commonBaseUrl + KnowRead.KNOW_READ_INFO+form, headers);
    },
    /**
     * 新增数据
     * @param form
     * @param headers
     */
    save: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form, commonBaseUrl + KnowRead.KNOW_READ_SAVE, headers);
    }
}