import {ResultDto} from "../../model/ResultDto";
import {CommonBaseDiagDto} from "../../model/common/dto/CommonBaseDiagDto";
import {PageDto} from "../../model/PageDto";
import {PageCommonKnowReadForm} from "../../model/common/form/PageCommonKnowReadForm";
import {CommonKnowReadDto} from "../../model/common/dto/CommonKnowReadDto";
import {CommonKnowReadForm} from "../../model/common/form/CommonKnowReadForm";

declare global {
    namespace CommonKnowReadDefine {
        /**
         * 健康知识阅读量统计
         */
        interface CommonKnowRead {
            /**
             * 分页查询
             * @param form
             * @param headers
             */
            page?: (form: PageCommonKnowReadForm, headers: any) => Promise<ResultDto<PageDto<CommonKnowReadDto>>>;
            /**
             * 查询单个健康知识阅读情况
             * @param form
             * @param headers
             */
            info?: (form: string, headers: any) => Promise<ResultDto<CommonBaseDiagDto>>;
            /**
             * 新增数据
             * @param form
             * @param headers
             */
            save?: (form: CommonKnowReadForm, headers: any) => Promise<ResultDto<boolean>>;
        }
    }
}
export {};