/**
 * common-功能按钮(CommonMenu)ApiDefine
 *
 * @author Ma
 * @since 2020-09-21 15:25:13
 */
import {CommonMenuForm, saveCommonMenuForm, updCommonMenuForm} from "../../model/common/form/CommonMenuForm";
import {ResultDto} from "../../model/ResultDto";
import {CommonMenuDto} from "../../model/common/dto/CommonMenuDto";
import {PageDto} from "../../model/PageDto";

declare global {
    namespace CommonMenuDefine {
        interface CommonMenu {
            // 添加
            save?: (data: saveCommonMenuForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<CommonMenuDto>>,
            // 修改
            upd?: (data: updCommonMenuForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: CommonMenuForm,headers: any,
            errorCallback?: (message: string) => void) =>
            Promise<ResultDto<PageDto<CommonMenuDto>>>

        }
    }
}

export {}