/**
 * 公共-选宣教知识(CommonMission)Api
 *
 * @author makejava
 * @since 2020-12-04 15:29:46
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {commonBaseUrl as commonUrl, CommonMissionUrl} from "../../config/config";

export const commonMissionApi: CommonMissionDefine.CommonMission = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonUrl + CommonMissionUrl.DEL_COMMON_MISSION,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            commonUrl + CommonMissionUrl.INFO_COMMON_MISSION + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonUrl + CommonMissionUrl.PAGE_COMMON_MISSION,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonUrl + CommonMissionUrl.SAVE_COMMON_MISSION,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonUrl + CommonMissionUrl.UPD_COMMON_MISSION,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    userMissionListByType: async function (data, headers,
                                           errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            commonUrl + CommonMissionUrl.USER_MISSION_LIST_BY_TYPE + data.missionType+"/"+data.orgId,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, release: async function (data, headers,
                                errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonUrl + CommonMissionUrl.RELEASE_COMMON_MISSION,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }

};