// tslint:disable-next-line:no-var-requires
import {DictDto} from "../../model/common/dto/DictDto";
import {WebClient} from "../../utils/WebClient";
import {apiUrl, CommonDictEnum, commonBaseUrl} from "../../config/config";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";

const JsonBigString = require('json-bigint')({"storeAsString": true});

export let DictApi:DictInterface.Dict;


DictApi={
    dictInfo: async (form, handler: any) => {
        const result: ResultDto<PageDto<DictDto>> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonDictEnum.DICT_INFO,
            method: 'GET',
            headers: handler
        }));
        return  result;
    },

    dictListCode: async (code, handler: Boolean) => {
        // @ts-ignore
        const result: ResultDto<DictDto> = JsonBigString.parse(await WebClient.requestDataToJson(code, {
            url: apiUrl + commonBaseUrl + CommonDictEnum.DICT_LIST_CODE+"?code="+code,
            method: 'GET',
            headers: handler
        }));
        return result
    },
    dictListValue: async (code, handler:Boolean)=>{
        // @ts-ignore
        const result: ResultDto<DictDto> = JsonBigString.parse(await WebClient.requestDataToJson(code, {
            url: apiUrl + commonBaseUrl + CommonDictEnum.DICT_LIST_VALUE+"?code="+code,
            method: 'GET',
            headers: handler
        }));
        return result
    },

    dictList: async (form, handler:Boolean)=>{
        // @ts-ignore
        const result: ResultDto<PageDto<DictDto>> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonDictEnum.DICT_LIST,
            method: 'POST',
            headers: handler
        }));
        return result
    },
    dictGetDictValue: async (code:string,dictKey:string, handler:any)=>{
        // @ts-ignore
        const result: ResultDto<String> = JsonBigString.parse(await WebClient.request("", {
            uri: apiUrl + commonBaseUrl + CommonDictEnum.DICT_GET_DICT_VALUE+"?code="+code+"&dictKey="+dictKey,
            method: 'GET',
            headers: handler
        }));
        return result
    },
    saveOrUpdateDict: async (form,handler:any)=>{
        // @ts-ignore
        const result: ResultDto<string> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonDictEnum.DICT_SAVE_OR_UPDATE,
            method: 'POST',
            headers: handler
        }));
        return result
    },
   deleteDict: async (form,handler:any)=>{
        // @ts-ignore
        const result: ResultDto<string> = JsonBigString.parse(
            await WebClient.requestDataToJson("", {
            url: apiUrl + commonBaseUrl + CommonDictEnum.DICT_DELETE+"?ids="+form,
            method: 'POST',
            headers: handler
        }));
        return result
    },


    releaseDict: function (headers: any) {
        return WebClient.requestResultDtoGet(
            "",
            commonBaseUrl+CommonDictEnum.DICT_RELEASE,
            headers);
    },


    releaseDictByCode: function (code: string, headers: any) {
        return WebClient.requestResultDtoGet(
            "",
            commonBaseUrl+CommonDictEnum.DICT_RELEASE_CODE+code,
            headers);
    }


}