import {Search, infoDictForm,  updateDictForm} from "../../model/common/form/DictForm";
import {DictDto} from "../../model/common/dto/DictDto";
import {PageDto} from "../../model/PageDto";
import {ResultDto} from "../../model/ResultDto";


declare global {
    namespace DictInterface{
        interface Dict {

            dictInfo?: (form: infoDictForm, headers: any) =>Promise< ResultDto<PageDto<DictDto>>>;
            dictListCode?: (code: string, headers: any) =>Promise< ResultDto<DictDto>>;
            dictListValue?: (code: string, headers: any) =>Promise< ResultDto<DictDto>>;
            dictList?: (form:Search,headers: any) =>Promise<ResultDto<PageDto<DictDto>>>;
            dictGetDictValue?:(code:string,dictKey:string,headers: any) =>Promise< ResultDto<String>>;
            // 添加修改字典
            saveOrUpdateDict?: (form: updateDictForm, headers: any) => Promise< ResultDto<string> >;
            // 删除通知
            deleteDict?: (form: string , headers: any) => Promise<  ResultDto<string> >;
            // 发布字典
            releaseDict?:(headers:any) =>Promise<ResultDto<any>>
            // 通过code
            releaseDictByCode?:(code:string,headers:any) =>Promise<ResultDto<any>>

        }
    }
}
export {};