import {SaveDiseaseForm, UpdDiseaseForm} from "../../model/common/disease/form/DiseaseForm";
import {PageDiseaseForm} from "../../model/common/disease/form/PageDiseaseForm";
import {WebClient} from "../../utils/WebClient";
import {commonBaseUrl, CommonDiseaseUrlEnum} from "../../config/config";

export const DiseaseApi: DiseaseDefine.Disease = {
    infoDisease: async function (data: string, headers: any) {
        return await WebClient.requestResultDtoGet(
            "",
            commonBaseUrl + CommonDiseaseUrlEnum.INFO_DISEASE + data,
            headers
        );
    }, pageDisease: async function (data: PageDiseaseForm, headers: any) {
        return await WebClient.requestResultDtoPost(
            data,
            commonBaseUrl + CommonDiseaseUrlEnum.PAGE_DISEASE,
            headers
        );
    }, removeDisease: async function (data: string[], headers: any) {
        return await WebClient.requestResultDtoPost(
            data,
            commonBaseUrl + CommonDiseaseUrlEnum.REMOVE_DISEASE,
            headers
        );
    }, saveDisease: async function (data: SaveDiseaseForm, headers: any) {
        return await WebClient.requestResultDtoPost(
            data,
            commonBaseUrl + CommonDiseaseUrlEnum.SAVE_DISEASE,
            headers
        );
    }, updDisease: async function (data: UpdDiseaseForm, headers: any) {
        return await WebClient.requestResultDtoPost(
            data,
            commonBaseUrl + CommonDiseaseUrlEnum.UPD_DISEASE,
            headers
        );
    }, findAllDisease : async function ( headers: any) {
        return await WebClient.requestResultDtoGet(
            "",
            commonBaseUrl + CommonDiseaseUrlEnum.FIND_ALL_DISEASE,
            headers
        );
    }

}