import {ResultDto} from "../../model/ResultDto";
import {PageDiseaseForm} from "../../model/common/disease/form/PageDiseaseForm";
import {PageDto} from "../../model/PageDto";
import {DiseaseDto} from "../../model/common/disease/dto/DiseaseDto";
import {SaveDiseaseForm, UpdDiseaseForm} from "../../model/common/disease/form/DiseaseForm";


declare global {
    namespace DiseaseDefine {

        interface Disease {
            // 分页查询 疾病
            pageDisease ?: (form:PageDiseaseForm,headers : any)=>Promise<ResultDto<PageDto<DiseaseDto>>>,
            // 添加疾病
            saveDisease ?: (form:SaveDiseaseForm,headers:any)=>Promise<ResultDto<boolean>>
            // 修改疾病
            updDisease ?: (form:UpdDiseaseForm,headers:any) => Promise<ResultDto<boolean>>
            // 单个疾病详情
            infoDisease ?:(form:string,headers:any)=>Promise<ResultDto<DiseaseDto>>
            // 删除疾病
            removeDisease ?:(form:string[],headers:any)=>Promise<ResultDto<boolean>>

            // 疾病列表
            findAllDisease ?:(headers:any) => Promise<ResultDto<DiseaseDto[]>>
        }
    }
}