import {apiUrl, commonBaseUrl, CommonDrugEnum, CommonSupplierEnum} from "../../config/config";
import {WebClient} from "../../utils/WebClient";
import {DrugInfoDto} from "../../model/common/drug/dto/DrugInfoDto";
import {ResultDto} from "../../model/ResultDto";
import {ResponsePageDto} from "../../model/ResponsePageDto";

// tslint:disable-next-line:no-var-requires
const JsonUtils = require('json-bigint')({"storeAsString": true});

export const DrugInfoApi: DrugInfoDefine.DrugInfo = {

    /**
     * 获取药品信息
     * @param form
     * @param headers
     */
    drugSelectOne: async (form, headers: any) => {
        const result: ResultDto<DrugInfoDto> = JsonUtils.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonDrugEnum.DRUG_INFO_SELECT_ONE+form,
            method: 'GET',
            headers: headers
        }));
        return result;
    },
    drugQueryList: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form, commonBaseUrl + CommonDrugEnum.DRUG_INFO_QUERY_LIST, headers);

    },
    drugSave: async (form,headers: any) => {
        const result: ResultDto<boolean> = JsonUtils.parse(await WebClient.requestDataToJson(form,{
            url: apiUrl + commonBaseUrl + CommonDrugEnum.DRUG_INFO_SAVE,
            method: 'POST',
            headers: headers
        }));
        return result;
    },
    drugUpdate: async (form,headers: any) => {
        const result: ResultDto<boolean> = JsonUtils.parse(await WebClient.requestDataToJson(form,{
            url: apiUrl + commonBaseUrl + CommonDrugEnum.DRUG_INFO_UPD,
            method: 'POST',
            headers: headers
        }));
        return result;
    },
    drugDelete: async (form,headers: any) => {
        const result: ResultDto<boolean> = JsonUtils.parse(await WebClient.requestDataToJson(form,{
            url: apiUrl + commonBaseUrl + CommonDrugEnum.DRUG_INFO_DEL,
            method: 'POST',
            headers: headers
        }));
        return result;
    },
};