import {DrugInfoDto} from "../../model/common/drug/dto/DrugInfoDto";
import {DrugInfoForm} from "../../model/common/drug/form/DrugInfoForm";
import {UpdateDrugInfoForm} from "../../model/common/drug/form/UpdateDrugInfoForm";
import {ResultDto} from "../../model/ResultDto";
import {ResponsePageDto} from "../../model/ResponsePageDto";
import {QueryDrugInfoForm} from "../../model/common/drug/form/QueryDrugInfoForm";

declare global {
    namespace DrugInfoDefine {
        /**
         * 药品管理
         */
        interface DrugInfo {
            /**
             * 获取药品信息
             * @param form
             * @param headers
             */
            drugSelectOne?: (form: string, headers: any) => Promise<ResultDto<DrugInfoDto>>;
            /**
             * 分页查询药品信息
             * @param form
             * @param headers
             */
            drugQueryList?: (form: QueryDrugInfoForm, headers: any) => Promise<ResultDto<ResponsePageDto<DrugInfoDto>>>;
            /**
             * 保存药品信息
             * @param form
             * @param headers
             */
            drugSave?: (form: DrugInfoForm, headers: any) => Promise< ResultDto<Boolean>>;
            /**
             * 保存药品信息
             * @param form
             * @param headers
             */
            drugUpdate?: (form: UpdateDrugInfoForm, headers: any) => Promise<ResultDto<Boolean>>;
            /**
             * 删除药品信息
             * @param form
             * @param headers
             */
            drugDelete?: (form: string[], headers: any) => Promise< ResultDto<Boolean>>;
        }
    }
}
export {};