import {EducationMaterialDto} from "../../model/common/educationMaterial/dto/EducationMaterialDto";
import {apiUrl, commonBaseUrl, CommonEducationMaterialUrlEnum, CommonMoodUrlEnum} from "../../config/config";
import {WebClient} from "../../utils/WebClient";
import {ResultDto} from "../../model/ResultDto";
import {ResponsePageDto} from "../../model/ResponsePageDto";
// tslint:disable-next-line:no-var-requires
const JsonUtils = require('json-bigint')({"storeAsString": true});

export const EducationMaterialApi: EducationMaterialDefine.EducationMaterial = {

    /**
     * 宣教素材管理: 条件查询
     * @param form
     * @param headers
     */
    educationMaterialQueryList: async (form, headers: any) => {
        const result: ResultDto<EducationMaterialDto[]> = JsonUtils.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonEducationMaterialUrlEnum.EDUCATION_MATERIAL_QUERY_LIST,
            method: 'POST',
            headers: headers
        }));
        return result;
    },

    /**
     * 宣教素材管理: 分页条件查询
     * @param form
     * @param headers
     */
    educationMaterialQueryPage: async (form, headers: any) => {
        const result: ResultDto<ResponsePageDto<EducationMaterialDto>> = JsonUtils.parse(await WebClient.requestDataToJson(form,{
            url: apiUrl + commonBaseUrl + CommonEducationMaterialUrlEnum.EDUCATION_MATERIAL_QUERY_LIST,
            method: 'POST',
            headers: headers
        }));
        return result;
    },

    /**
     * 宣教素材管理: id查询
     * @param form
     * @param headers
     */
    educationMaterialQueryById: async (form, headers: any) => {
        const result: ResultDto<EducationMaterialDto> = JsonUtils.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonEducationMaterialUrlEnum.EDUCATION_MATERIAL_QUERY_BY_ID + form,
            method: 'GET',
            headers: headers
        }));
        return result;
    },

    /**
     * 宣教素材管理: ids查询
     * @param form
     * @param headers
     */
    educationMaterialQueryByIds: async (form, headers: any) => {
        const result: ResultDto<EducationMaterialDto[]> = JsonUtils.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonEducationMaterialUrlEnum.EDUCATION_MATERIAL_QUERY_BY_IDS,
            method: 'POST',
            headers: headers
        }));
        return result;
    },

    /**
     * 宣教素材管理: 新增
     * @param form
     * @param headers
     */
    educationMaterialSaveOne: async (form, headers: any) => {
        const result: ResultDto<boolean> = JsonUtils.parse(await WebClient.requestDataToJson(form,{
            url: apiUrl + commonBaseUrl + CommonEducationMaterialUrlEnum.EDUCATION_MATERIAL_SAVE_ONE,
            method: 'POST',
            headers: headers
        }));
        return result;
    },

    /**
     * 宣教素材管理: 修改
     * @param form
     * @param headers
     */
    educationMaterialUpdateById: async (form, headers: any) => {
        const result: ResultDto<boolean> = JsonUtils.parse(await WebClient.requestDataToJson(form,{
            url: apiUrl + commonBaseUrl + CommonEducationMaterialUrlEnum.EDUCATION_MATERIAL_UPDATE_BY_ID,
            method: 'POST',
            headers: headers
        }));
        return result;
    }
};