import {QueryEducationMaterialForm} from "../../model/common/educationMaterial/form/QueryEducationMaterialForm";
import {ResultDto} from "../../model/ResultDto";
import {EducationMaterialDto} from "../../model/common/educationMaterial/dto/EducationMaterialDto";
import {ResponsePageDto} from "../../model/ResponsePageDto";
import {SaveEducationMaterialForm} from "../../model/common/educationMaterial/form/SaveEducationMaterialForm";
import {UpdateEducationMaterialForm} from "../../model/common/educationMaterial/form/UpdateEducationMaterialForm";

declare global {
    namespace EducationMaterialDefine {

        import List = Mocha.reporters.List;

        /**
         * 宣教素材管理
         */
        interface EducationMaterial {
            /**
             * 条件查询
             * @param form
             * @param headers
             */
            educationMaterialQueryList?: (form: QueryEducationMaterialForm, headers: any) => Promise<ResultDto<EducationMaterialDto[]>>;

            /**
             * 分页条件查询
             * @param form
             * @param headers
             */
            educationMaterialQueryPage?: (form: QueryEducationMaterialForm, headers: any) => Promise<ResultDto<ResponsePageDto<EducationMaterialDto>>>;

            /**
             * 根据id查询
             * @param form
             * @param headers
             */
            educationMaterialQueryById?: (form: string, headers: any) => Promise<ResultDto<EducationMaterialDto>>;

            /**
             * 根据ids查询
             * @param form
             * @param headers
             */
            educationMaterialQueryByIds?: (form: QueryEducationMaterialForm, headers: any) => Promise<ResultDto<EducationMaterialDto[]>>;

            /**
             * 新增
             * @param form
             * @param headers
             */
            educationMaterialSaveOne?: (form: SaveEducationMaterialForm, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 修改
             * @param form
             * @param headers
             */
            educationMaterialUpdateById?: (form: UpdateEducationMaterialForm, headers: any) => Promise<ResultDto<boolean>>;
        }
    }
}
export {};