import {WebClient} from "../../utils/WebClient";
import {commonBaseUrl, CommonEncEnum, taskBaseUrl, TaskUrlEnum} from "../../config/config";
import {SUCCESS} from "../../config/ResultCodeConfig";


export const encyclopediaApi : EncyclopediaDefined.Encyclopedia = {
    delEnc:async function (data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonBaseUrl + CommonEncEnum.ENC_DEL,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    infoEnc:async function (data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            commonBaseUrl + CommonEncEnum.ENC_INFO+data,

            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    pageEnc:async function (data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonBaseUrl + CommonEncEnum.ENC_PAGE,

            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    saveEnc:async function (data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonBaseUrl + CommonEncEnum.ENC_SAVE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    updEnc:async function (data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonBaseUrl + CommonEncEnum.ENC_UPD,

            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },


}