import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {EncyclopediaDto} from "../../model/common/enc/dto/EncyclopediaDto";
import {SaveEncyclopediaForm, UpdEncyclopediaForm} from "../../model/common/enc/form/EncyclopediaForm";
// @ts-ignore
import {PageEncyclopediaForm} from "../../model/common/enc/form/PageEncyclopediaForm";

declare global {

    /**
     * 百科类型
     */
    namespace EncyclopediaDefined {
        interface Encyclopedia {
            // 分页查询百科类型
            pageEnc?: (data:PageEncyclopediaForm, headers: any,
                       errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<EncyclopediaDto>>>,
            // 百科类型详情
            infoEnc?: (data: string, headers: any,
                       errorCallback?: (message: string) => void) =>
                Promise<ResultDto<EncyclopediaDto>>,
            // 添加百科类型
            saveEnc?: (data: SaveEncyclopediaForm, headers: any,
                       errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 修改百科类型
            updEnc?:(data: UpdEncyclopediaForm, headers: any,
                     errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除百科类型
            delEnc?:(data: string[], headers: any,
                     errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,



        }
    }
}
export {};