import {WebClient} from "../../utils/WebClient";
import {commonBaseUrl, CommonEncEnum} from "../../config/config";
import {SUCCESS} from "../../config/ResultCodeConfig";


export const encyclopediaTypeApi : EncyclopediaTypeDefined.EncyclopediaType = {
    delEncType:async function (data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonBaseUrl + CommonEncEnum.ENC_TYPE_DEL,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    infoEncType:async function (data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            commonBaseUrl + CommonEncEnum.ENC_TYPE_INFO+data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    pageEncType:async function (data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonBaseUrl + CommonEncEnum.ENC_TYPE_PAGE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    saveEncType:async function (data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonBaseUrl + CommonEncEnum.ENC_TYPE_SAVE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    updEncType:async function (data,
                               headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            commonBaseUrl + CommonEncEnum.ENC_TYPE_UPD,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    treeEncType :async function (
        headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            commonBaseUrl + CommonEncEnum.ENC_TYPE_TREE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },


}