import {PageEncyclopediaTypeForm} from "../../model/common/enc/form/PageEncyclopediaTypeForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {EncyclopediaTypeDto} from "../../model/common/enc/dto/EncyclopediaTypeDto";
import {SaveEncyclopediaTypeForm, UpdEncyclopediaTypeForm} from "../../model/common/enc/form/EncyclopediaTypeForm";
import {EncyclopediaDto} from "../../model/common/enc/dto/EncyclopediaDto";

declare global {

    /**
     * 百科
     */
    namespace EncyclopediaTypeDefined {
        interface EncyclopediaType {
            // 分页查询百科
            pageEncType?: (data: PageEncyclopediaTypeForm, headers: any,
                                 errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<EncyclopediaTypeDto>>>,
            // 百科详情
            infoEncType?: (data: string, headers: any,
                                 errorCallback?: (message: string) => void) =>
                Promise<ResultDto<EncyclopediaTypeDto>>,
            // 添加百科
            saveEncType?: (data: SaveEncyclopediaTypeForm, headers: any,
                                errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 修改百科
            updEncType?:(data: UpdEncyclopediaTypeForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除百科
            delEncType?:(data: string[], headers: any,
                     errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,

            // 百科的树形列表
            treeEncType?:(headers: any,
                          errorCallback?: (message: string) => void) =>
                Promise<ResultDto<EncyclopediaDto[]>>,


        }
    }
}
export {};