import {EquipmentDto} from "../../model/common/dto/EquipmentDto";
import {WebClient} from "../../utils/WebClient";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {apiUrl, commonBaseUrl, CommonEquipmentEnum} from "../../config/config";
// tslint:disable-next-line:no-var-requires
const JsonBigString= require('json-bigint')({"storeAsString": true});

// @ts-ignore
export let EquipmentApi: EquipmentInterface.equipment;

EquipmentApi = {
    /**
     * 分页查询设备管理
     * @param form
     * @param handler
     */
    equipmentPage: async (form, handler: any) => {
        const result: ResultDto<PageDto<EquipmentDto>> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonEquipmentEnum.EQUIPMENT_PAGE,
            method: 'POST',
            headers: handler
        }));
        return result;
    },
    /**
     * 保存设备管理
     * @param form
     * @param handler
     */
    saveEquipment: async (form, handler: Boolean) => {
        // @ts-ignore
        const result: ResultDto<boolean> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonEquipmentEnum.EQUIPMENT_SAVE,
            method: 'POST',
            headers: handler
        }));
        return result;
    },
    /**
     * 修改设备管理
     * @param form
     * @param handler
     */
    updateEquipment: async (form, handler:Boolean)=>{
        // @ts-ignore
        const result: ResultDto<boolean> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonEquipmentEnum.EQUIPMENT_UPDATE,
            method: 'POST',
            headers: handler
        }));
        return result
    },
    /**
     * 删除设备管理
     * @param form
     * @param handler
     */
    deleteEquipment: async (form, handler:Boolean)=>{
        // @ts-ignore
        const result: ResultDto<boolean> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonEquipmentEnum.EQUIPMENT_DELETE,
            method: 'POST',
            headers: handler
        }));
        return result
    },
    /**
     * 设备管理详情
     * @param form
     * @param handler
     */
    equipmentInfo: async (form, handler:any)=>{
        const result: ResultDto<EquipmentDto> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonEquipmentEnum.EQUIPMENT_ONE+form,
            method: 'GET',
            headers: handler
        }));
        return result
    },
};