import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {Equipmentform, saveEquipmentform, updateEquipmentform} from "../../model/common/form/Equipmentform";
import {EquipmentDto} from "../../model/common/dto/EquipmentDto";

declare global {
    namespace EquipmentInterface{
        interface equipment {
            // 管理 分页查询
            equipmentPage?: (form: Equipmentform, headers: any) => Promise<ResultDto<PageDto<EquipmentDto>>>;
            // 添加通知
            saveEquipment?: (form: saveEquipmentform, headers: any) => Promise<ResultDto<boolean>>;
            // 修改通知
            updateEquipment?: (form: updateEquipmentform, headers: any) => Promise< ResultDto<boolean>>;
            // 删除通知
            deleteEquipment?: (form: string[], headers: any) => Promise< ResultDto<boolean>>;
            // 单个详情
            equipmentInfo?: (form: string, headers: any) => Promise<ResultDto<EquipmentDto>>;
        }
    }
}
export {};