import {FaqDto} from "../../model/common/dto/FaqDto";
import {WebClient} from "../../utils/WebClient";
import {apiUrl, commonFaqEnum, commonBaseUrl} from "../../config/config";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
// tslint:disable-next-line:no-var-requires
const JsonBigString= require('json-bigint')({"storeAsString": true});

// @ts-ignore
export let FaqApi: FaqInterface.Faq;


FaqApi = {
    faqPage: async (form, handler: any) => {
        const result: ResultDto<PageDto<FaqDto>> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + commonFaqEnum.FAQ_PAGE,
            method: 'POST',
            headers: handler
        }));
        return result;
    },
    saveFaq: async (form, handler: Boolean) => {
        // @ts-ignore
        const result: ResultDto<boolean> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + commonFaqEnum.FAQ_SAVE,
            method: 'POST',
            headers: handler
        }));
        return result;
    },
    updateFaq: async (form, handler:Boolean)=>{
        // @ts-ignore
        const result: ResultDto<boolean> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + commonFaqEnum.FAQ_UPDATE,
            method: 'POST',
            headers: handler
        }));
        return result
    },

    deleteFaq: async (form, handler:Boolean)=>{
        // @ts-ignore
        const result: ResultDto<boolean> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + commonFaqEnum.FAQ_DELETE,
            method: 'POST',
            headers: handler
        }));
        return result
    },
    faqInfo: async (form, handler:any)=>{
        const result: ResultDto<FaqDto> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + commonFaqEnum.FAQ_ONE+form,
            method: 'GET',
            headers: handler
        }));
        return result
    },
};