import {FaqForm, saveFaqForm, updateFaqForm} from "../../model/common/form/FaqForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {FaqDto} from "../../model/common/dto/FaqDto";

declare global {
    namespace FaqInterface{
        interface Faq {
            // 管理 分页查询
            faqPage?: (form: FaqForm, headers: any) => Promise<ResultDto<PageDto<FaqDto>>>;
            // 添加通知
            saveFaq?: (form: saveFaqForm, headers: any) => Promise<ResultDto<boolean>>;
            // 修改通知
            updateFaq?: (form: updateFaqForm, headers: any) => Promise< ResultDto<boolean>>;
            // 删除通知
            deleteFaq?: (form: string[], headers: any) => Promise< ResultDto<boolean>>;
            // 单个详情
            faqInfo?: (form: string, headers: any) => Promise<ResultDto<FaqDto>>;
        }
    }
}

export {};