// tslint:disable-next-line:no-var-requires
import {FileDto} from "../../model/common/dto/FileDto";
import {WebClient} from "../../utils/WebClient";
import {apiUrl, CommonFileEnum, commonBaseUrl} from "../../config/config";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";

const JsonBigString = require('json-bigint')({"storeAsString": true});

export let FileApi:FileInterface.File;

FileApi={
    filePage: async (form, handler: any) => {
        const result: ResultDto<PageDto<FileDto>> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonFileEnum.FILE_PAGE,
            method: 'POST',
            headers: handler
        }));
        return result;
    },
    saveFile: async (form, handler: Boolean) => {
        // @ts-ignore
        const result: ResultDto<boolean> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonFileEnum.FILE_SAVE,
            method: 'POST',
            headers: handler
        }));
        return result
    },
    updateFile: async (form, handler:Boolean)=>{
        // @ts-ignore
        const result: ResultDto<boolean> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonFileEnum.FILE_UPDATE,
            method: 'POST',
            headers: handler
        }));
        return result
    },

    deleteFile: async (form, handler:Boolean)=>{
        // @ts-ignore
        const result: ResultDto<boolean> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonFileEnum.FILE_DELETE,
            method: 'POST',
            headers: handler
        }));
        return result
    },
    fileInfo: async (form, handler:any)=>{
        // @ts-ignore
        const result: ResultDto<FileDto> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonFileEnum.FILE_ONE+form,
            method: 'GET',
            headers: handler
        }));
        return result
    },
}