
import {FileDto} from "../../model/common/dto/FileDto";
import {fileForm, saveFileForm, updateFileForm} from "../../model/common/form/FileForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";

declare global {
    namespace FileInterface{
        interface File {
            // 管理 分页查询
            filePage?: (form: fileForm, headers: any) => Promise<ResultDto<PageDto<FileDto>> >;
            // 添加通知
            saveFile?: (form: saveFileForm, headers: any) => Promise<ResultDto<boolean> >;
            // 修改通知
            updateFile?: (form: updateFileForm, headers: any) =>  Promise<ResultDto<boolean>>;
            // 删除通知
            deleteFile?: (form: string[], headers: any) =>  Promise<ResultDto<boolean>>;
            // 单个详情
            fileInfo?: (form: string, headers: any) =>  Promise< ResultDto<FileDto>>;
        }
    }
}
export {};