// tslint:disable-next-line:no-var-requires
import {MaterialDto} from "../../model/common/dto/MaterialDto";
import {WebClient} from "../../utils/WebClient";
import {apiUrl, CommonMaterialEnum, commonBaseUrl} from "../../config/config";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";

const JsonBigString = require('json-bigint')({"storeAsString": true});

export let MaterialApi:MaterialInterface.Material;

MaterialApi={
   materialPage: async (form, handler: any) => {
        const result:ResultDto<PageDto<MaterialDto>> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonMaterialEnum.MATERIAL_PAGE,
            method: 'POST',
            headers: handler
        }));
        return result;
    },
    saveMaterial: async (form, handler: Boolean) => {
        // @ts-ignore
        const result: ResultDto<boolean> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonMaterialEnum.MATERIAL_SAVE,
            method: 'POST',
            headers: handler
        }));
        return result
    },
    updateMaterial: async (form, handler:Boolean)=>{
        // @ts-ignore
        const result: ResultDto<boolean> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonMaterialEnum.MATERIAL_UPDATE,
            method: 'POST',
            headers: handler
        }));
        return result
    },

    deleteMaterial: async (form, handler:Boolean)=>{
        // @ts-ignore
        const result: ResultDto<boolean> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonMaterialEnum.MATERIAL_DELETE,
            method: 'POST',
            headers: handler
        }));
        return result
    },
   materialInfo: async (form, handler:any)=>{
        // @ts-ignore
        const result:ResultDto<MaterialDto> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonMaterialEnum.MATERIAL_ONE+form,
            method: 'GET',
            headers: handler
        }));
        return result
    },
}