
import {MaterialDto} from "../../model/common/dto/MaterialDto";
import {materialForm, saveMaterialForm, updateMaterialForm} from "../../model/common/form/MaterialForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";

declare global {
    namespace MaterialInterface{
        interface Material {
            // 管理 分页查询
            materialPage?: (form: materialForm, headers: any) => Promise< ResultDto<PageDto<MaterialDto>>>;
            // 添加通知
            saveMaterial?: (form: saveMaterialForm, headers: any) => Promise< ResultDto<boolean>>;
            // 修改通知
            updateMaterial?: (form: updateMaterialForm, headers: any) => Promise< ResultDto<boolean>>;
            // 删除通知
            deleteMaterial?: (form: string[], headers: any) => Promise< ResultDto<boolean> >;
            // 单个详情
            materialInfo?: (form: string, headers: any) => Promise< ResultDto<MaterialDto>>;
        }
    }
}
export {};