import {apiUrl, commonBaseUrl, CommonMoodUrlEnum, noticeBaseUrl, NoticeUrlEnum} from "../../config/config";
import {WebClient} from "../../utils/WebClient";
import {MoodTypeDto} from "../../model/common/mood/dto/MoodTypeDto";
import {ResponsePageDto} from "../../model/ResponsePageDto";
import {ResultDto} from "../../model/ResultDto";
// tslint:disable-next-line:no-var-requires
const JsonUtils = require('json-bigint')({"storeAsString": true});

export const MoodApi: MoodDefine.MoodType = {

    /**
     * 心情类型管理: 条件查询
     * @param form
     * @param headers
     */
    moodTypeQueryList: async (form, headers: any) => {
        const result: ResultDto<MoodTypeDto[]> = JsonUtils.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + commonBaseUrl + CommonMoodUrlEnum.MOOD_TYPE_QUERY_LIST,
            method: 'POST',
            headers: headers
        }));
        return result;
    },

    /**
     * 心情类型管理: 分页条件查询
     * @param form
     * @param headers
     */
    moodTypeQueryPage: async (form,headers: any) => {
        const result: ResultDto<ResponsePageDto<MoodTypeDto>> = JsonUtils.parse(await WebClient.requestDataToJson(form,{
            url: apiUrl + commonBaseUrl + CommonMoodUrlEnum.MOOD_TYPE_QUERY_LIST,
            method: 'POST',
            headers: headers
        }));
        return result;
    },

    /**
     * 心情类型管理: id查询
     * @param form
     * @param headers
     */
    moodTypeQueryById: async (form,headers: any) => {
        const result: ResultDto<MoodTypeDto> = JsonUtils.parse(await WebClient.requestDataToJson("", {
            url: apiUrl + commonBaseUrl + CommonMoodUrlEnum.MOOD_TYPE_QUERY_BY_ID + form,
            method: 'GET',
            headers: headers
        }));
        return result;
    },

    /**
     * 心情类型管理: 新增
     * @param form
     * @param headers
     */
    moodTypeSaveOne: async (form,headers: any) => {
        const result: ResultDto<boolean> = JsonUtils.parse(await WebClient.requestDataToJson(form,{
            url: apiUrl + commonBaseUrl + CommonMoodUrlEnum.MOOD_TYPE_SAVE_ONE,
            method: 'POST',
            headers: headers
        }));
        return result;
    },

    /**
     * 心情类型管理: 修改
     * @param form
     * @param headers
     */
    moodTypeUpdateById: async (form,headers: any) => {
        const result: ResultDto<boolean> = JsonUtils.parse(await WebClient.requestDataToJson(form,{
            url: apiUrl + commonBaseUrl + CommonMoodUrlEnum.MOOD_TYPE_UPDATE_BY_ID,
            method: 'POST',
            headers: headers
        }));
        return result;
    }
};