import {MoodTypeDto} from "../../model/common/mood/dto/MoodTypeDto";
import {ResponsePageDto} from "../../model/ResponsePageDto";
import {QueryMoodTypeForm} from "../../model/common/mood/form/QueryMoodTypeForm"
import {SaveMoodTypeForm} from "../../model/common/mood/form/SaveMoodTypeForm"
import {UpdateMoodTypeForm} from "../../model/common/mood/form/UpdateMoodTypeForm";
import {ResultDto} from "../../model/ResultDto";
declare global {
    namespace MoodDefine {

        /**
         * 心情类型管理
         */
        interface MoodType {
            /**
             * 条件查询
             * @param form
             * @param headers
             */
            moodTypeQueryList?: (form: QueryMoodTypeForm, headers: any) => Promise<ResultDto<MoodTypeDto[]>>;

            /**
             * 分页条件查询
             * @param form
             * @param headers
             */
            moodTypeQueryPage?: (form: QueryMoodTypeForm, headers: any) => Promise<ResultDto<ResponsePageDto<MoodTypeDto>>>;

            /**
             * 根据id查询
             * @param form
             * @param headers
             */
            moodTypeQueryById?: (form: string, headers: any) => Promise<ResultDto<MoodTypeDto>>;

            /**
             * 新增
             * @param form
             * @param headers
             */
            moodTypeSaveOne?: (form: SaveMoodTypeForm, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 修改
             * @param form
             * @param headers
             */
            moodTypeUpdateById?: (form: UpdateMoodTypeForm, headers: any) => Promise<ResultDto<boolean>>;
        }
    }
}
export {};