import {ResultDto} from "../../model/ResultDto";
import {RecordMenuDto} from "../../model/common/recordMenu/dto/RecordMenuDto";
import {ResponsePageDto} from "../../model/ResponsePageDto";
import {SaveRecordMenuForm} from "../../model/common/recordMenu/form/SaveRecordMenuForm";
import {UpdateRecordMenuForm} from "../../model/common/recordMenu/form/UpdateRecordMenuForm";
import {QueryRecordMenuForm} from "../../model/common/recordMenu/form/QueryRecordMenuForm";

declare global {
    namespace RecordMenuDefine {

        /**
         * 记录菜单管理
         */
        interface RecordMenu {
            /**
             * 条件查询
             * @param form
             * @param headers
             */
            recordMenuQueryList?: (form: QueryRecordMenuForm, headers: any) => Promise<ResultDto<RecordMenuDto[]>>;

            /**
             * 分页条件查询
             * @param form
             * @param headers
             */
            recordMenuQueryPage?: (form: QueryRecordMenuForm, headers: any) => Promise<ResultDto<ResponsePageDto<RecordMenuDto>>>;

            /**
             * 根据id查询
             * @param form
             * @param headers
             */
            recordMenuQueryById?: (form: string, headers: any) => Promise<ResultDto<RecordMenuDto>>;

            /**
             * 新增
             * @param form
             * @param headers
             */
            recordMenuSaveOne?: (form: SaveRecordMenuForm, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 修改
             * @param form
             * @param headers
             */
            recordMenuUpdateById?: (form: UpdateRecordMenuForm, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 根据父级code查询
             * @param form
             * @param headers
             */
            recordMenuQueryByParentCode?: (form: string, headers: any) => Promise<ResultDto<RecordMenuDto>>;
        }
    }
}
export {};