import {CommonSupplierEnum, commonBaseUrl, CommonDrugEnum} from "../../config/config";
import {WebClient} from "../../utils/WebClient";

export const SupplierApi: SupplierDefine.Supplier = {
    /**
     * 获取供应商信息
     * @param form
     * @param headers
     */
    supplierSelectOne: async (id, headers: any) => {
        return await WebClient.requestResultDtoGet(id, commonBaseUrl + CommonSupplierEnum.SUPPLIER_SELECT_ONE + id, headers);
    },
    /**
     * 分页查询供应商信息
     * @param form
     * @param headers
     */
    supplierQueryList: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form, commonBaseUrl + CommonSupplierEnum.SUPPLIER_QUERY_LIST, headers);
    },
    /**
     *
     * 保存供应商信息
     * @param form
     * @param headers
     */
    supplierSave: async (from, headers: any) => {
        return await WebClient.requestResultDtoPost(from, commonBaseUrl + CommonSupplierEnum.SUPPLIER_SAVE, headers);
    },
    /**
     * 修改供应商信息
     * @param form
     * @param headers
     */
    supplierUpdate: async (id, headers: any) => {
        return await WebClient.requestResultDtoPost(id, commonBaseUrl + CommonSupplierEnum.SUPPLIER_UPD, headers);
    },
    /**
     * 删除供应商
     * @param form
     * @param headers
     */
    supplierDelete: async (id, headers: any) => {
        return await WebClient.requestResultDtoPost(id, commonBaseUrl + CommonSupplierEnum.SUPPLIER_DEL, headers);
    },
}