import {ResultDto} from "../../model/ResultDto";
import {SupplierDto} from "../../model/common/drug/dto/SupplierDto";
import {SupplierForm} from "../../model/common/drug/form/SupplierForm";
import {UpdateSupplierForm} from "../../model/common/drug/form/UpdateSupplierForm";
import {ResponsePageDto} from "../../model/ResponsePageDto";
import {QuerySupplierForm} from "../../model/common/drug/form/QuerySupplierForm";

declare global {
    namespace SupplierDefine {
        /**
         * 供应商管理
         */
        interface Supplier {
            /**
             * 获取供应商
             * @param form
             * @param headers
             */
            supplierSelectOne?: (id: string, headers: any) => Promise<ResultDto<SupplierDto>>;
            /**
             * 分页查询供应商信息
             * @param form
             * @param headers
             */
            supplierQueryList?: (form: QuerySupplierForm, headers: any) => Promise<ResultDto<ResponsePageDto<SupplierDto>>>;
            /**
             * 保存供应商信息
             * @param form
             * @param headers
             */
            supplierSave?: (form: SupplierForm, headers: any) => Promise< ResultDto<Boolean>>;
            /**
             * 保存供应商信息
             * @param form
             * @param headers
             */
            supplierUpdate?: (form: UpdateSupplierForm, headers: any) => Promise<ResultDto<Boolean>>;
            /**
             * 删除供应商信息
             * @param form
             * @param headers
             */
            supplierDelete?: (form: string[], headers: any) => Promise< ResultDto<Boolean>>;
        }
    }
}