import {WebClient} from "../../utils/WebClient";
import {commonBaseUrl, CommonEncEnum} from "../../config/config";
import {SUCCESS} from "../../config/ResultCodeConfig";


export const userEncApi : UserEncDefined.UserEnc = {
    getEncInfo:async function (data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            commonBaseUrl + CommonEncEnum.USER_ENC_INFO+data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    getEncList:async function (data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            commonBaseUrl + CommonEncEnum.USER_ENC_LIST+data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    getTypeList:async function (data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            commonBaseUrl + CommonEncEnum.USER_ENC_TYPE_LIST+data.typeId,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },

}