import {PageEncyclopediaTypeForm} from "../../model/common/enc/form/PageEncyclopediaTypeForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {EncyclopediaTypeDto} from "../../model/common/enc/dto/EncyclopediaTypeDto";
import {EncyclopediaDto} from "../../model/common/enc/dto/EncyclopediaDto";

declare global {

    /**
     * 用户端百科
     */
    namespace UserEncDefined {
        interface UserEnc {
            // 查询类型列表，最上级typeId为0
            getTypeList?:(data: {typeId:string}, headers: any,
                          errorCallback?: (message: string) => void) =>
                Promise<ResultDto<EncyclopediaTypeDto[]>>,

            // 查询百科知识列表
            getEncList?:(typeId: string, headers: any,
                          errorCallback?: (message: string) => void) =>
            Promise<ResultDto<EncyclopediaDto[]>>,

            // 查询百科知识详情
            getEncInfo?:(id: string, headers: any,
                         errorCallback?: (message: string) => void) =>
                Promise<ResultDto<EncyclopediaDto>>,

        }
    }
}
export {};