/**
 * 试卷-答题记录(ExaAnswer)Api
 *
 * @author makejava
 * @since 2020-11-03 08:53:06
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {exaUrl, ExaAnswerUrl} from "../../config/config";

export const exaAnswerApi: ExaAnswerDefine.ExaAnswer = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            exaUrl + ExaAnswerUrl.DEL_EXA_ANSWER,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            exaUrl + ExaAnswerUrl.INFO_EXA_ANSWER + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            exaUrl + ExaAnswerUrl.PAGE_EXA_ANSWER,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    updSave: async function (data, headers,
                             errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            exaUrl + ExaAnswerUrl.UPD_SAVE_EXA_ANSWER,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    // answerRecord: async function (headers,
    //                               errorCallback) {
    //     const resultDto = await WebClient.requestResultDtoPost(
    //         null, exaUrl + ExaAnswerUrl.SEKECT_EXA_ANSWERRECORD,
    //         headers
    //     );
    //
    //     if (resultDto.code != SUCCESS) {
    //         if (errorCallback != undefined) {
    //             errorCallback(resultDto.msg);
    //         }
    //     }
    //     return resultDto;
    // },

    answerRecordDetail: async function (data,headers,
                                  errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            data, exaUrl + ExaAnswerUrl.SEKECT_EXA_ANSWERRECORDDETAIL+"?paperId="+data.paperId+"&ansId="+data.ansId,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },

    answerList: async function (data,headers,
                                        errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            exaUrl + ExaAnswerUrl.SEKECT_EXA_ANSWERLIST,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
}