/**
 * 试卷-选项(ExaOption)Api
 *
 * @author makejava
 * @since 2020-11-03 08:53:06
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {exaUrl, ExaOptionUrl} from "../../config/config";

export const exaOptionApi: ExaOptionDefine.ExaOption = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            exaUrl + ExaOptionUrl.DEL_EXA_OPTION,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            exaUrl + ExaOptionUrl.INFO_EXA_OPTION + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            exaUrl + ExaOptionUrl.PAGE_EXA_OPTION,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            exaUrl + ExaOptionUrl.SAVE_EXA_OPTION,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
};