/**
 * 试卷-试卷关联的问题(ExaPapQue)Api
 *
 * @author makejava
 * @since 2020-11-03 08:53:05
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {exaUrl, ExaPapQueUrl} from "../../config/config";

export const exaPapQueApi: ExaPapQueDefine.ExaPapQue = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            exaUrl + ExaPapQueUrl.DEL_EXA_PAP_QUE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            exaUrl + ExaPapQueUrl.INFO_EXA_PAP_QUE + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            exaUrl + ExaPapQueUrl.PAGE_EXA_PAP_QUE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            exaUrl + ExaPapQueUrl.SAVE_EXA_PAP_QUE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    unbind: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            data,
            exaUrl + ExaPapQueUrl.UNBIND_EXA_PAP_QUE+"?paperId="+data.paperId+"&queId="+data.queId,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
};