/**
 * 机构装修--内容展示页(FitmentContent)Api
 *
 * @author Ma
 * @since 2020-09-28 16:23:45
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {fitmentBaseUrl, FitmentContentUrlEnum} from "../../config/config";

export const fitmentContentApi: FitmentContentDefine.FitmentContent = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            fitmentBaseUrl + FitmentContentUrlEnum.DEL_FITMENT_CONTENT,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            fitmentBaseUrl + FitmentContentUrlEnum.INFO_FITMENT_CONTENT + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            fitmentBaseUrl + FitmentContentUrlEnum.PAGE_FITMENT_CONTENT,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            fitmentBaseUrl + FitmentContentUrlEnum.SAVE_FITMENT_CONTENT,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    // upd: async function (data, headers,
    //                      errorCallback) {
    //     const resultDto = await WebClient.requestResultDtoPost(
    //         data,
    //         fitmentBaseUrl + FitmentContentUrlEnum.UPD_FITMENT_CONTENT,
    //         headers
    //     );
    //
    //     if (resultDto.code != SUCCESS) {
    //         if (errorCallback != undefined) {
    //             errorCallback(resultDto.msg);
    //         }
    //     }
    //     return resultDto;
    // },
};