/**
 * 机构装修--模板(FitmentModule)ApiDefine
 *
 * @author Ma
 * @since 2020-09-23 15:51:09
 */
import {
    FitmentModuleForm,
    saveFitmentModuleForm,
    updFitmentModuleForm
} from "../../model/fitment/form/FitmentModuleForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {FitmentModuleDto} from "../../model/fitment/dto/FitmentModuleDto";

declare global {
    namespace FitmentModuleDefine {
        interface FitmentModule {
            // 添加
            save?: (data: saveFitmentModuleForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<FitmentModuleDto>>,
            // 修改
            upd?: (data: updFitmentModuleForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: FitmentModuleForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<FitmentModuleDto>>>,

        }
    }
}

export {}