/**
 * 机构装修--机构--页面（预览/草稿）(FitmentModuleOrg)Api
 *
 * @author Ma
 * @since 2020-09-23 15:51:09
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {fitmentBaseUrl, FitmentModuleOrgUrlEnum} from "../../config/config";

export const fitmentModuleOrgApi: FitmentModuleOrgDefine.FitmentModuleOrg = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            fitmentBaseUrl + FitmentModuleOrgUrlEnum.DEL_FITMENT_MODULE_ORG,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            fitmentBaseUrl + FitmentModuleOrgUrlEnum.INFO_FITMENT_MODULE_ORG + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            fitmentBaseUrl + FitmentModuleOrgUrlEnum.PAGE_FITMENT_MODULE_ORG,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    // save: async function (data, headers,
    //                       errorCallback) {
    //     const resultDto = await WebClient.requestResultDtoPost(
    //         data,
    //         fitmentBaseUrl + FitmentModuleOrgUrlEnum.SAVE_FITMENT_MODULE_ORG,
    //         headers
    //     );
    //
    //     if (resultDto.code != SUCCESS) {
    //         if (errorCallback != undefined) {
    //             errorCallback(resultDto.msg);
    //         }
    //     }
    //     return resultDto;
    // },
    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            fitmentBaseUrl + FitmentModuleOrgUrlEnum.UPD_FITMENT_MODULE_ORG,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },

    issue: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            data,
            fitmentBaseUrl + FitmentModuleOrgUrlEnum.ISSUE_FITMENT_MODULE_ORG+data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },

    changeDefaul: async function ( data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            data,
            fitmentBaseUrl + FitmentModuleOrgUrlEnum.CHANGE_DEFAULT_MODULE_ORG+data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }


};