/**
 * 机构装修--模板--页面(FitmentModulePage)Api
 *
 * @author Ma
 * @since 2020-09-23 15:51:08
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {fitmentBaseUrl, FitmentModulePageUrlEnum} from "../../config/config";

export const fitmentModulePageApi: FitmentModulePageDefine.FitmentModulePage = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            fitmentBaseUrl + FitmentModulePageUrlEnum.DEL_FITMENT_MODULE_PAGE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            fitmentBaseUrl + FitmentModulePageUrlEnum.INFO_FITMENT_MODULE_PAGE + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            fitmentBaseUrl + FitmentModulePageUrlEnum.PAGE_FITMENT_MODULE_PAGE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            fitmentBaseUrl + FitmentModulePageUrlEnum.SAVE_FITMENT_MODULE_PAGE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            fitmentBaseUrl + FitmentModulePageUrlEnum.UPD_FITMENT_MODULE_PAGE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },

    use: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            fitmentBaseUrl + FitmentModulePageUrlEnum.USE_FITMENT_MODULE_PAGE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },

};