/**
 * 机构装修--模板--页面(FitmentModulePage)ApiDefine
 *
 * @author Ma
 * @since 2020-09-23 15:51:08
 */
import {
    FitmentModulePageForm,
    saveFitmentModulePageForm,
    updFitmentModulePageForm
} from "../../model/fitment/form/FitmentModulePageForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {FitmentModulePageDto} from "../../model/fitment/dto/FitmentModulePageDto";
import {FitmentModuleUse} from "../../model/fitment/form/FitmentModuleUse";

declare global {
    namespace FitmentModulePageDefine {
        interface FitmentModulePage {
            // 添加
            save?: (data: saveFitmentModulePageForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<FitmentModulePageDto>>,
            // 修改
            upd?: (data: updFitmentModulePageForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: FitmentModulePageForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<FitmentModulePageDto>>>,
            use?:(data: FitmentModuleUse, headers: any,
                  errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,

        }
    }
}

export {}