/**
 * 机构装修--正式发布版本(FitmentModuleRelease)Api
 *
 * @author Ma
 * @since 2020-09-23 15:51:08
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {apiUrl, commonBaseUrl, CommonDictEnum, fitmentBaseUrl, FitmentModuleReleaseUrlEnum} from "../../config/config";
import {ResultDto} from "../../model/ResultDto";
const JsonBigString = require('json-bigint')({"storeAsString": true});
export const fitmentModuleReleaseApi: FitmentModuleReleaseDefine.FitmentModuleRelease = {


    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            fitmentBaseUrl + FitmentModuleReleaseUrlEnum.INFO_FITMENT_MODULE_RELEASE + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            fitmentBaseUrl + FitmentModuleReleaseUrlEnum.PAGE_FITMENT_MODULE_RELEASE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    select: async (data, handler:any)=>{
        // @ts-ignore
        const result: ResultDto = JsonBigString.parse(await WebClient.request("", {
            uri: apiUrl + fitmentBaseUrl + FitmentModuleReleaseUrlEnum.SELECT_FITMENT_MODULE_RELEASE+"?orgId="+data.orgId+"&deptId="+data.deptId,
            method: 'GET',
            headers: handler
        }));
        return result
    },
    releaseOrg:async (handler:any)=>{
        // @ts-ignore
        const result: ResultDto = JsonBigString.parse(await WebClient.request("", {
            uri: apiUrl + fitmentBaseUrl + FitmentModuleReleaseUrlEnum.RELEASEORG_FITMENT_MODULE_RELEASE,
            method: 'GET',
            headers: handler
        }));
        return result
    },
};