/**
 * 机构装修--组件模块(FitmentPlugin)Api
 *
 * @author Ma
 * @since 2020-09-23 15:51:07
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {fitmentBaseUrl, FitmentPluginUrlEnum} from "../../config/config";

export const fitmentPluginApi: FitmentPluginDefine.FitmentPlugin = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            fitmentBaseUrl + FitmentPluginUrlEnum.DEL_FITMENT_PLUGIN,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            fitmentBaseUrl + FitmentPluginUrlEnum.INFO_FITMENT_PLUGIN + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            fitmentBaseUrl + FitmentPluginUrlEnum.PAGE_FITMENT_PLUGIN,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            fitmentBaseUrl + FitmentPluginUrlEnum.SAVE_FITMENT_PLUGIN,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            fitmentBaseUrl + FitmentPluginUrlEnum.UPD_FITMENT_PLUGIN,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
};