/**
 * 机构装修--组件模块(FitmentPlugin)ApiDefine
 *
 * @author Ma
 * @since 2020-09-23 15:51:07
 */
import {
    FitmentPluginForm,
    saveFitmentPluginForm,
    updFitmentPluginForm
} from "../../model/fitment/form/FitmentPluginForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {FitmentPluginDto} from "../../model/fitment/dto/FitmentPluginDto";

declare global {
    namespace FitmentPluginDefine {
        interface FitmentPlugin {
            // 添加
            save?: (data: saveFitmentPluginForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<FitmentPluginDto>>,
            // 修改
            upd?: (data: updFitmentPluginForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: FitmentPluginForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<FitmentPluginDto>>>,

        }
    }
}

export {}