/**
 * 医院-健康知识类型(HospKnowType)ApiDefine
 *
 * @author makejava
 * @since 2020-09-16 15:31:00
 */
import {SaveHospKnowTypeForm, UpdHospKnowTypeForm} from "../../model/hosp/form/HospKnowTypeForm";
import {PageHospKnowTypeForm} from "../../model/hosp/form/PageHospKnowTypeForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {HospKnowTypeDto} from "../../model/hosp/dto/HospKnowTypeDto";

declare global {
    namespace HospKnowTypeDefine {
        interface HospKnowType {
            // 添加
            save?: (data: SaveHospKnowTypeForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<HospKnowTypeDto>>,
            // 修改
            upd?: (data: UpdHospKnowTypeForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageHospKnowTypeForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<HospKnowTypeDto>>>,
            /**
             * 医院的健康知识类型
             * @param data.hospOrg 医院机构Id 可以传0 ,不可以同时传0
             * @param data.deptId 医院的科室Id 可以传0 ,不可以同时传0
             * @param headers
             * @param errorCallback
             */
            tree?:(data: {hospOrg:string,deptId:string}, headers: any,
                           errorCallback?: (message: string) => void)=>
                Promise<ResultDto<HospKnowTypeDto[]>>,
        }
    }
}

export {}