/**
 * 机构素材-评价(HospMatEva)Api
 *
 * @author makejava
 * @since 2020-12-02 11:32:45
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {hospUrl, HospUrlEnum} from "../../config/config";

export const hospMatEvaApi: HospMatEvaDefine.HospMatEva = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            hospUrl + HospUrlEnum.DEL_HOSP_MAT_EVA,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            hospUrl + HospUrlEnum.PAGE_HOSP_MAT_EVA,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            hospUrl + HospUrlEnum.SAVE_HOSP_MAT_EVA,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, disableEnable: async function (data, headers,
                                      errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            hospUrl + HospUrlEnum.DISABLE_ENABLE_MAT_EVA,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },

};