/**
 * 医院-素材(HospMaterial)Api
 *
 * @author makejava
 * @since 2020-09-22 09:04:37
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {hospUrl, HospUrlEnum} from "../../config/config";

export const hospMaterialApi: HospMaterialDefine.HospMaterial = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            hospUrl + HospUrlEnum.DEL_HOSP_MATERIAL,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            hospUrl + HospUrlEnum.INFO_HOSP_MATERIAL + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, findByIdList: async function (data, headers,
                                     errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            hospUrl + HospUrlEnum.FIND_MATERIAL_BY_IDS,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },


    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            hospUrl + HospUrlEnum.PAGE_HOSP_MATERIAL,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            hospUrl + HospUrlEnum.SAVE_HOSP_MATERIAL,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, saveBackId: async function (data, headers,
                                   errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            hospUrl + HospUrlEnum.SAVE_HOSP_MATERIAL_BACK_ID,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },


    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            hospUrl + HospUrlEnum.UPD_HOSP_MATERIAL,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }
}