import {WebClient} from "../../utils/WebClient";
import {hospUrl, HospUrlEnum} from "../../config/config";
import {SUCCESS} from "../../config/ResultCodeConfig";


export const hospUserApi : HospUserDefine.HospUser={
    mateInfo: async function (data, headers,
                              errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            hospUrl + HospUrlEnum.USER_INFO_MATE + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    pageMate: async function (data, headers,
                              errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            hospUrl + HospUrlEnum.USER_PAGE_MATE ,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },


    listDrug: async function (data, headers,
                              errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            hospUrl + HospUrlEnum.USER_LIST_DRUG + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    listTherapy: async function (data, headers,
                                 errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            hospUrl + HospUrlEnum.USER_LIST_THERAPY+ data.hospOrg+"/"+data.deptId,

            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    listKnow: async function (data, headers,
                              errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            hospUrl + HospUrlEnum.USER_LIST_KNOW+ data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    listKnowType: async function (data, headers,
                                  errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            hospUrl + HospUrlEnum.USER_LIST_KNOW_TYPE+ data.hospOrg+"/"+data.deptId,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }


}