/**
 * 项目-项目主表(健康宣教等.........)(Item)Api
 *
 * @author makejava
 * @since 2020-09-23 18:06:57
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {itemUrl, ItemUrlEnum} from "../../config/config";

export const itemApi: ItemDefine.Item = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.DEL_ITEM,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            itemUrl + ItemUrlEnum.INFO_ITEM + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.PAGE_ITEM,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.SAVE_ITEM,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, saveAndRelease: async function (data, headers,
                                       errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.SAVE_AND_RELEASE_ITEM,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },


    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.UPD_ITEM,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    complete: async function (data, headers,
                              errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.COMPLETE_ITEM,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    conclusion: async function (data, headers,
                                errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.CONCLUSION_ITEM,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    release: async function (data, headers,
                             errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.RELEASE_ITEM,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    startEnd: async function (data, headers,
                              errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.START_END_ITEM,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }


}