/**
 * 项目-评价记录(ItemEvaluation)Api
 *
 * @author makejava
 * @since 2020-09-23 18:06:59
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {itemUrl, ItemUrlEnum} from "../../config/config";

export const itemEvaluationApi: ItemEvaluationDefine.ItemEvaluation = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.DEL_ITEM_EVALUATION,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            itemUrl + ItemUrlEnum.INFO_ITEM_EVALUATION + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.PAGE_ITEM_EVALUATION,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.SAVE_ITEM_EVALUATION,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.UPD_ITEM_EVALUATION,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    listByItemId: async function (data, headers,
                                  errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            itemUrl + ItemUrlEnum.ITEM_LIST_ITEM + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, statistical:  async function (data, headers,
                                     errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            itemUrl + ItemUrlEnum.STATISTICAL_EVALUATION_ITEM + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }


}