/**
 * 项目-评价记录(ItemEvaluation)ApiDefine
 *
 * @author makejava
 * @since 2020-09-23 18:06:59
 */
import {SaveItemEvaluationForm, UpdItemEvaluationForm} from "../../model/item/form/ItemEvaluationForm";
import {PageItemEvaluationForm} from "../../model/item/form/PageItemEvaluationForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ItemEvaluationDto} from "../../model/item/dto/ItemEvaluationDto";
import {ItemPartStatisticalDto} from "../../model/item/dto/ItemPartStatisticalDto";

declare global {
    namespace ItemEvaluationDefine {
        interface ItemEvaluation {
            // 添加
            save?: (data: SaveItemEvaluationForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ItemEvaluationDto>>,
            // 修改
            upd?: (data: UpdItemEvaluationForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageItemEvaluationForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ItemEvaluationDto>>>,
            //根据项目Id查询
            listByItemId?:(itemId: string, headers: any,
                           errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ItemEvaluationDto[]>>,

            /**
             * 报名评价的统计信息
             */
            statistical?:(itemId: string, headers: any,
                          errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ItemPartStatisticalDto>>,

        }
    }
}

export {}