/**
 * 项目-用户参加情况(ItemParticipate)Api
 *
 * @author makejava
 * @since 2020-09-27 10:14:18
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {itemUrl, ItemUrlEnum} from "../../config/config";

export const itemParticipateApi: ItemParticipateDefine.ItemParticipate = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.DEL_ITEM_PARTICIPATE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            itemUrl + ItemUrlEnum.INFO_ITEM_PARTICIPATE + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.PAGE_ITEM_PARTICIPATE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.SAVE_ITEM_PARTICIPATE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, saveBatch: async function (data, headers,
                                  errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.SAVE_BATCH_ITEM_PARTICIPATE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },


    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.UPD_ITEM_PARTICIPATE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    listByItemId: async function (data, headers,
                                  errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            itemUrl + ItemUrlEnum.LIST_PARTICIPATE_ITEM + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, statistical: async function (data, headers,
                                    errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            itemUrl + ItemUrlEnum.STATISTICAL_PARTICIPATE_ITEM + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }


}