/**
 * 项目-用户参加情况(ItemParticipate)ApiDefine
 *
 * @author makejava
 * @since 2020-09-27 10:14:18
 */
import {SaveItemParticipateForm, UpdItemParticipateForm} from "../../model/item/form/ItemParticipateForm";
import {PageItemParticipateForm} from "../../model/item/form/PageItemParticipateForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ItemParticipateDto} from "../../model/item/dto/ItemParticipateDto";
import {ItemEvaluationDto} from "../../model/item/dto/ItemEvaluationDto";
import {ItemPartStatisticalDto} from "../../model/item/dto/ItemPartStatisticalDto";

declare global {
    namespace ItemParticipateDefine {
        interface ItemParticipate {
            // 添加
            save?: (data: SaveItemParticipateForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 批量添加
            saveBatch?:(data: SaveItemParticipateForm[], headers: any,
                        errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,

            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ItemParticipateDto>>,
            // 修改
            upd?: (data: UpdItemParticipateForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageItemParticipateForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ItemParticipateDto>>>,
            //根据项目Id查询
            listByItemId?:(itemId: string, headers: any,
                           errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ItemEvaluationDto[]>>,

            /**
             * 报名评价的统计信息
             * @param itemId
             * @param headers
             * @param errorCallback
             */
            statistical?:(itemId: string, headers: any,
                          errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ItemPartStatisticalDto>>,
        }
    }
}

export {}