/**
 * 项目-用户参加情况(ItemParticipate)Api
 *
 * @author makejava
 * @since 2020-09-27 10:14:18
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {itemUrl, ItemUrlEnum} from "../../config/config";

export const userItemApi: UserItemDefine.UserItem = {
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            itemUrl + ItemUrlEnum.USER_ITEM_INFO+data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.USER_ITEM_PAGE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    partList: async function (data, headers,
                              errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.USER_ITEM_PART_LIST,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    saveEva: async function (data, headers,
                             errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.USER_ITEM_SAVE_EVA,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    savePart: async function (data, headers,
                              errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            itemUrl + ItemUrlEnum.USER_ITEM_SAVE_PART,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
}