import {UserPageItemForm} from "../../model/item/form/UserPageItemForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {ItemDto} from "../../model/item/dto/ItemDto";
import {UserItemInfoDto} from "../../model/item/dto/UserItemInfoDto";
import {SaveItemParticipateForm} from "../../model/item/form/ItemParticipateForm";
import {UserPageItemPartForm} from "../../model/item/form/UserPageItemPartForm";
import {ItemParticipateDto} from "../../model/item/dto/ItemParticipateDto";
import {SaveItemEvaluationForm} from "../../model/item/form/ItemEvaluationForm";

declare global {
    namespace UserItemDefine {
        interface UserItem {
            // 用户端健康教育列表
            page?: (data: UserPageItemForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ItemDto>>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<UserItemInfoDto>>,
            // 新增参加记录
            savePart?: (data: SaveItemParticipateForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 用户的参加情况列表
            partList?: (data: UserPageItemPartForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<ItemParticipateDto>>>,
            // 新增评价记
            saveEva?: (data: SaveItemEvaluationForm, headers: any,
                        errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>

        }
    }
}

export {}