import {NoticeDto} from "../../model/notice/dto/NoticeDto";
import {NoticeIndexForm, UserNoticeReadForm} from "../../model/notice/form/UserNoticeForm";
import {HttpMethod, WebClient} from "../../utils/WebClient";
import {apiUrl, noticeBaseUrl, NoticeUrlEnum} from "../../config/config";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {NoticeReadUserDto} from "../../model/notice/dto/NoticeReadUserDto";

const JSON = require('json-bigint')({"storeAsString": true})
// @ts-ignore
// @ts-ignore
export const NoticeApi: NoticeDefine.Notice = {

    // 管理 分页查询
    noticeManagePage: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(
            form,
            noticeBaseUrl + NoticeUrlEnum.NOTICE_PAGE,
            headers);
    },
    // 添加通知

    noticeManageSave: async (form, headers: any) => {
        const result: ResultDto<boolean> = JSON.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + noticeBaseUrl + NoticeUrlEnum.NOTICE_SAVE,
            method: 'POST',
            headers: headers
        }));
        return result;
    },
// 修改通知
    noticeManageUpd: async (form, headers: any) => {
        const result: ResultDto<boolean> = JSON.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + noticeBaseUrl + NoticeUrlEnum.NOTICE_UPD,
            method: 'POST',
            headers: headers
        }));
        return result;
    },
// 删除通知
    noticeManageDel: async (form: string[], headers: any) => {
        const result: ResultDto<boolean> = JSON.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + noticeBaseUrl + NoticeUrlEnum.NOTICE_DEL,
            method: 'POST',
            headers: headers
        }));
        return result;
    },
// 单个详情
    noticeManageInfo: async (form, headers: any) => {
        const result: ResultDto<NoticeDto> = JSON.parse(await WebClient.requestDataToJson("", {
            url: apiUrl + noticeBaseUrl + NoticeUrlEnum.NOTICE_INFO + form,
            method: 'GET',
            headers: headers
        }));
        return result;
    }, releaseNotice: async (form, headers: any) => {
        const result: ResultDto<boolean> = JSON.parse(await WebClient.requestDataToJson(form,
            {
            url: apiUrl + noticeBaseUrl + NoticeUrlEnum.RELEASE_NOTICE ,
            method: 'POST',
            headers: headers
        }));
        return result;
    }, noticeReadPage: async (form, headers: any) => {
        const result: ResultDto<PageDto<NoticeReadUserDto>> = JSON.parse(await WebClient.requestDataToJson(form,
            {
                url: apiUrl + noticeBaseUrl + NoticeUrlEnum.NOTICE_READ_PAGE ,
                method: 'POST',
                headers: headers
            }));
        return result;
    },


// 用户端分页查询
    noticeUserPage: async (form, headers: any) => {
        const result: ResultDto<PageDto<NoticeDto>> = JSON.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + noticeBaseUrl + NoticeUrlEnum.USER_PAGE,
            method: 'POST',
            headers: headers
        }));
        return result;
    },
// 用户端首页视频
    noticeUserIndexVideo: async (form: NoticeIndexForm, headers: any) => {
        const result: ResultDto<NoticeDto> = JSON.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + noticeBaseUrl + NoticeUrlEnum.USER_INDEX_VIDEO,
            method: 'POST',
            headers: headers
        }));
        return result;
    }, noticeUserRobot: async (form: NoticeIndexForm, headers: any) => {
        const result: ResultDto<NoticeDto> = JSON.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + noticeBaseUrl + NoticeUrlEnum.USER_ROBOT_NOTICE,
            method: 'POST',
            headers: headers
        }));
        return result;
    },


// 阅读 通知
    noticeUserRead: async (form: UserNoticeReadForm, headers: any) => {
        const result: ResultDto<boolean> = JSON.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + noticeBaseUrl + NoticeUrlEnum.USER_READ,
            method: 'POST',
            headers: headers
        }));
        return result;
    }

}