import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {noticeBaseUrl, NoticeUrlEnum} from "../../config/config";


export const noticeCommunicationApi : NoticeCommunicationDefine.NoticeCommunication={
    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            noticeBaseUrl + NoticeUrlEnum.NOTICE_COMMUNICATION_DEL,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            noticeBaseUrl + NoticeUrlEnum.NOTICE_COMMUNICATION_PAGE,

            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    pageGroup: async function (data, headers,
                               errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            noticeBaseUrl + NoticeUrlEnum.NOTICE_COMMUNICATION_PAGE_GROUP,

            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    reply: async function (data, headers,
                           errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            noticeBaseUrl + NoticeUrlEnum.NOTICE_COMMUNICATION_REPLY,

            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            noticeBaseUrl + NoticeUrlEnum.NOTICE_COMMUNICATION_SAVE,

            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },


}