import {SaveItemArticleForm} from "../../model/item/form/ItemArticleForm";
import {
    NoticeCommunicationForm,
    PageNoticeCommunicationForm, PageNoticeCommunicationGroupForm,
    ReplyNoticeCommunicationForm
} from "../../model/notice/form/NoticeCommunicationForm";
import {NoticeCommunicationDto} from "../../model/notice/dto/NoticeCommunicationDto";
import {NoticeCommunicationGroupDto} from "../../model/notice/dto/NoticeCommunicationGroupDto";

declare global {
    namespace NoticeCommunicationDefine {
        // @ts-ignore
        interface NoticeCommunication {
            save?: (data: NoticeCommunicationForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            reply?: (data: ReplyNoticeCommunicationForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            del?: (data: string[], headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            page?: (data: PageNoticeCommunicationForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<NoticeCommunicationDto>>>,
            pageGroup?: (data: PageNoticeCommunicationGroupForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<NoticeCommunicationGroupDto>>>,
        }
    }
}
export {};