import {NoticePageForm} from "../../model/notice/form/NoticePageForm";
import {NoticeDto} from "../../model/notice/dto/NoticeDto";
import {SaveNoticeForm, UpdNoticeForm} from "../../model/notice/form/NoticeForm";
import {NoticeIndexForm, UserNoticePageForm, UserNoticeReadForm} from "../../model/notice/form/UserNoticeForm";
import {ResultDto} from "../../model/ResultDto";
import {ResponsePageDto} from "../../model/ResponsePageDto";
import {PageDto} from "../../model/PageDto";
import {ReleaseNoticeForm} from "../../model/notice/form/ReleaseNoticeForm";
import {PageNoticeReadForm} from "../../model/notice/form/PageNoticeReadForm";
import {NoticeReadUserDto} from "../../model/notice/dto/NoticeReadUserDto";

declare global {
    namespace NoticeDefine {
        // @ts-ignore
        interface Notice {
            // 管理 分页查询
            // @ts-ignore
            noticeManagePage?: (form: NoticePageForm, headers: any) =>
                Promise<ResultDto<PageDto<NoticeDto>>>;
            // 添加通知
            // @ts-ignore
            noticeManageSave?: (form: SaveNoticeForm, headers: any) =>
                Promise<ResultDto<boolean>>;
            // 修改通知
            noticeManageUpd?: (form: UpdNoticeForm, headers: any) =>
                Promise<ResultDto<boolean>>;
            // 删除通知
            noticeManageDel?: (form: string[], headers: any) =>
                Promise<ResultDto<boolean>>;
            // 单个详情
            noticeManageInfo ?: (form: string, headers: any) =>
                Promise<ResultDto<NoticeDto>>;

            // 发布通知

            releaseNotice?:(form:ReleaseNoticeForm, headers: any) =>
                Promise<ResultDto<boolean>>;



            // 阅读通知记录
            noticeReadPage?:(form: PageNoticeReadForm, headers: any) =>
                Promise<ResultDto<PageDto<NoticeReadUserDto>>>;



            // 用户端分页查询
            noticeUserPage?:(form:UserNoticePageForm,headers:any) =>
                Promise<ResultDto<PageDto<NoticeDto>>>;

            // 用户端首页视频
            noticeUserIndexVideo?:(form:NoticeIndexForm,headers:any) =>
                Promise<ResultDto<NoticeDto>>;



            // 用户端机器人最新通知
            noticeUserRobot?:(form:NoticeIndexForm,headers:any) =>
                Promise<ResultDto<NoticeDto>>;


            // 阅读 通知
            noticeUserRead?:(form:UserNoticeReadForm, headers:any) =>
                Promise<ResultDto<boolean>>;
        }
    }
}
export {};