/**
 * 机器人-引导信息(RobotGuideMessage)Api
 *
 * @author makejava
 * @since 2020-12-24 14:39:56
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {noticeBaseUrl as noticeUrl, NoticeUrlEnum} from "../../config/config";

export const robotGuideMessageApi: RobotGuideMessageDefine.RobotGuideMessage = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            noticeUrl + NoticeUrlEnum.DEL_ROBOT_GUIDE_MESSAGE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            noticeUrl + NoticeUrlEnum.INFO_ROBOT_GUIDE_MESSAGE + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            noticeUrl + NoticeUrlEnum.PAGE_ROBOT_GUIDE_MESSAGE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            noticeUrl + NoticeUrlEnum.SAVE_ROBOT_GUIDE_MESSAGE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            noticeUrl + NoticeUrlEnum.UPD_ROBOT_GUIDE_MESSAGE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, findByCode: async function (data, headers,
                                   errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            noticeUrl + NoticeUrlEnum.MESSAGE_CODE_ROBOT_GUIDE_MESSAGE + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },


};