/**
 * (RobotMessage)Api
 *
 * @author makejava
 * @since 2020-12-02 16:54:39
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {noticeBaseUrl, NoticeUrlEnum} from "../../config/config";

export const robotMessageApi: RobotMessageDefine.RobotMessage = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            noticeBaseUrl + NoticeUrlEnum.DEL_ROBOT_MESSAGE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            noticeBaseUrl + NoticeUrlEnum.INFO_ROBOT_MESSAGE + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            noticeBaseUrl + NoticeUrlEnum.PAGE_ROBOT_MESSAGE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    readList: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            noticeBaseUrl + NoticeUrlEnum.READ_LIST_MESSAGE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, robotSwitch: async function (data, headers,
                                    errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            noticeBaseUrl + NoticeUrlEnum.ROBOT_SWITCH_OPERATE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, robotSwitchInfo: async function (data, headers,
                                        errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            noticeBaseUrl + NoticeUrlEnum.ROBOT_SWITCH_INFO_USER+data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, todayClose: async function (data, headers,
                                   errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            noticeBaseUrl + NoticeUrlEnum.ROBOT_SWITCH_OPERATE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, userPage: async function (data, headers,
                                 errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            noticeBaseUrl + NoticeUrlEnum.USER_PAGE_ROBOT_MESSAGE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    userIndexMessage: async function (data, headers,
                                      errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            noticeBaseUrl + NoticeUrlEnum.ROBOT_USER_INDEX_MESSAGE+data.userId+"/"+data.orgId+"/"+data.identity,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }

};