/**
 * (RobotMessage)ApiDefine
 *
 * @author makejava
 * @since 2020-12-02 16:54:39
 */
import {SaveRobotMessageForm, UpdRobotMessageForm} from "../../model/notice/form/RobotMessageForm";
import {PageRobotMessageForm} from "../../model/notice/form/PageRobotMessageForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {GroupDateRobotMessageDto, RobotMessageDto} from "../../model/notice/dto/RobotMessageDto";
import {RobotSwitchForm} from "../../model/notice/form/RobotSwitchForm";
import {TodayCloseRobotMessageForm} from "../../model/notice/form/RobotMessageCloseForm";

declare global {
    namespace RobotMessageDefine {
        interface RobotMessage {
            // 批量阅读
            readList?: (data: string[], headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<RobotMessageDto>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageRobotMessageForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<RobotMessageDto>>>,

            // 设置用户的 机器人开关信息
            robotSwitch?:(data: RobotSwitchForm, headers: any,
                          errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<boolean>>>,

            // 获取用户开关信息
            robotSwitchInfo?:(userId:string, headers: any,
                              errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<boolean>>>,

            // 今天关闭
            todayClose?:(data:TodayCloseRobotMessageForm,headers: any,
                         errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<boolean>>>,

            //用户端分页查询
            userPage?: (data: PageRobotMessageForm, headers: any,
                        errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<GroupDateRobotMessageDto>>>,


            // 用户首页消息
            userIndexMessage?: (data: {userId:string,orgId:string,identity:string}, headers: any,
                                errorCallback?: (message: string) => void) =>
                Promise<ResultDto<string>>,
        }
    }
}

export {}