/**
 * 问卷模块--题目选项(QuestionnaireOption)Api
 *
 * @author makejava
 * @since 2020-11-18 17:24:19
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {questionnaireUrl, QuestionnaireOptionUrl} from "../../config/config";

export const questionnaireOptionApi: QuestionnaireOptionDefine.QuestionnaireOption = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            questionnaireUrl + QuestionnaireOptionUrl.DEL_QUESTIONNAIRE_OPTION,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            questionnaireUrl + QuestionnaireOptionUrl.INFO_QUESTIONNAIRE_OPTION + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            questionnaireUrl + QuestionnaireOptionUrl.PAGE_QUESTIONNAIRE_OPTION,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            questionnaireUrl + QuestionnaireOptionUrl.SAVE_QUESTIONNAIRE_OPTION,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            questionnaireUrl + QuestionnaireOptionUrl.UPD_QUESTIONNAIRE_OPTION,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
};