/**
 * 问卷--答题记录(QuestionnaireRecord)Api
 *
 * @author makejava
 * @since 2020-11-18 17:24:18
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {QuestionnaireRecordUrl, questionnaireUrl,} from "../../config/config";

export const questionnaireRecordApi: QuestionnaireRecordDefine.QuestionnaireRecord = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            questionnaireUrl + QuestionnaireRecordUrl.DEL_QUESTIONNAIRE_RECORD,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            questionnaireUrl + QuestionnaireRecordUrl.INFO_QUESTIONNAIRE_RECORD + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            questionnaireUrl + QuestionnaireRecordUrl.PAGE_QUESTIONNAIRE_RECORD,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },

    pageAnswer: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            questionnaireUrl + QuestionnaireRecordUrl.PAGE_ANSWER_RECORD+data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            questionnaireUrl + QuestionnaireRecordUrl.SAVE_QUESTIONNAIRE_RECORD,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            questionnaireUrl + QuestionnaireRecordUrl.UPD_QUESTIONNAIRE_RECORD,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    detail: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            questionnaireUrl + QuestionnaireRecordUrl.DETAIL_QUESTIONNAIRE_RECORD+data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    anwer: async function ( headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            null,
            questionnaireUrl + QuestionnaireRecordUrl.ANSWER_QUESTIONNAIRE_RECORD,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
};