/**
 * satisfaction-异常记录沟通(RecordCommunicate)Api
 *
 * @author stoneyong
 * @since 2020-10-22 14:49:34
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {recordBaseUrl, RecordUrlEnum} from "../../config/config";

export const recordCommunicateApi: RecordCommunicateDefine.RecordCommunicate = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            recordBaseUrl + RecordUrlEnum.DEL_RECORD_COMMUNICATE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            recordBaseUrl + RecordUrlEnum.INFO_RECORD_COMMUNICATE + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            recordBaseUrl + RecordUrlEnum.PAGE_RECORD_COMMUNICATE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            recordBaseUrl + RecordUrlEnum.SAVE_RECORD_COMMUNICATE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            recordBaseUrl + RecordUrlEnum.UPD_RECORD_COMMUNICATE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },

    queryHandleRecordLog: async function (data, headers,
                                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            recordBaseUrl + RecordUrlEnum.QUERY_HANDLE_RECORD_LOG,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
}