/**
 * satisfaction-异常记录沟通(RecordCommunicate)ApiDefine
 *
 * @author stoneyong
 * @since 2020-10-22 14:49:34
 */
import {SaveRecordCommunicateForm, UpdRecordCommunicateForm} from "../../model/record/form/RecordCommunicateForm";
import {PageRecordCommunicateForm} from "../../model/record/form/PageRecordCommunicateForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {RecordCommunicateDto} from "../../model/record/dto/RecordCommunicateDto";
import {QueryHandleForm} from "../../model/record/form/QueryHandleForm";
import {ResponsePageDto} from "../../model/ResponsePageDto";
import {RecordDto} from "../../model/record/dto/RecordDto";
import {HandleRecordDto} from "../../model/record/dto/HandleRecordDto";

declare global {
    namespace RecordCommunicateDefine {
        interface RecordCommunicate {
            // 添加
            save?: (data: SaveRecordCommunicateForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<RecordCommunicateDto>>,
            // 修改
            upd?: (data: UpdRecordCommunicateForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageRecordCommunicateForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<RecordCommunicateDto>>>,
            //分页查询异常处理记录
            queryHandleRecordLog?: (data: QueryHandleForm, headers: any,
                                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ResponsePageDto<HandleRecordDto>>>,
        }
    }
}

export {}