import {ResultDto} from "../../model/ResultDto";
import {QueryRecordForm} from "../../model/record/form/QueryRecordForm";
import {RecordDto} from "../../model/record/dto/RecordDto";
import {ResponsePageDto} from "../../model/ResponsePageDto";
import {SaveRecordForm} from "../../model/record/form/SaveRecordForm";
import {SaveRecordDietForm} from "../../model/record/form/SaveRecordDietForm";
import {UpdateRecordDietForm} from "../../model/record/form/UpdateRecordDietForm";
import {UpdateRecordForm} from "../../model/record/form/UpdateRecordForm";
import {SaveRecordMotionForm} from "../../model/record/form/SaveRecordMotionForm";
import {UpdateRecordMotionForm} from "../../model/record/form/UpdateRecordMotionForm";
import {SaveRecordMoodForm} from "../../model/record/form/SaveRecordMoodForm";
import {UpdateRecordMoodForm} from "../../model/record/form/UpdateRecordMoodForm";
import {SaveRecordSleepForm} from "../../model/record/form/SaveRecordSleepForm";
import {UpdateRecordSleepForm} from "../../model/record/form/UpdateRecordSleepForm";
import {SaveRecordBpForm} from "../../model/record/form/SaveRecordBpForm";
import {UpdateRecordBpForm} from "../../model/record/form/UpdateRecordBpForm";
import {SaveRecordGluForm} from "../../model/record/form/SaveRecordGluForm";
import {UpdateRecordGluForm} from "../../model/record/form/UpdateRecordGluForm";
import {SaveRecordPhysiqueForm} from "../../model/record/form/SaveRecordPhysiqueForm";
import {UpdateRecordPhysiqueForm} from "../../model/record/form/UpdateRecordPhysiqueForm";
import {SaveRecordTemperatureForm} from "../../model/record/form/SaveRecordTemperatureForm";
import {UpdateRecordTemperatureForm} from "../../model/record/form/UpdateRecordTemperatureForm";
import {QueryRecordStatisticsForm} from "../../model/record/form/QueryRecordStatisticsForm";
import {UserRecordStateDto} from "../../model/record/dto/UserRecordStateDto";
import {RecordStatisticsDto} from "../../model/record/dto/RecordStatisticsDto";
import {CountTrends} from "../../model/record/dto/CountTrends";
import {DateRecordDto} from "../../model/record/dto/DateRecordDto";
import {QueryDateCodeRecordDtoForm} from "../../model/record/form/QueryDateCodeRecordDtoForm";
import {DateCodeRecordDto} from "../../model/record/dto/DateCodeRecordDto";
import {QueryDoctorWorkBenchCensus} from "../../model/record/form/QueryDoctorWorkBenchCensus";
import {DoctorWorkBenchCensus} from "../../model/record/dto/DoctorWorkBenchCensus";
import {QueryHandleForm} from "../../model/record/form/QueryHandleForm";
import {HandleRecordDto} from "../../model/record/dto/HandleRecordDto";
import {DoctorPendingForm} from "../../model/record/form/DoctorPendingForm";
import {DoctorPendingDto} from "../../model/record/dto/DoctorPendingDto";


declare global {
    namespace RecordDefine {

        /**
         * 天天记
         */
        interface Record {

            queryAbnormalNoHandleRecordLog?: (data: DoctorPendingForm, headers: any,
                                              errorCallback?: (message: string) => void) =>
                Promise<ResultDto<ResponsePageDto<DoctorPendingDto>>>

            /**
             * 查询今日是否签到
             */
            querySignStatusByUserIdAndTime?: (userId: string, signTime: string, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 列表查询
             * @param form
             * @param headers
             */
            recordQueryList?: (form: QueryRecordForm, headers: any) => Promise<ResultDto<RecordDto[]>>;

            /**
             * 分页查询
             * @param form
             * @param headers
             */
            recordQueryPage?: (form: QueryRecordForm, headers: any) => Promise<ResultDto<ResponsePageDto<RecordDto>>>;

            /**
             * 根据条件查询时间段记录
             * @param form
             * @param headers
             */
            recordQueryListByTime?: (form: QueryRecordForm, headers: any) => Promise<ResultDto<DateRecordDto[]>>;

            recordQueryListByTimeType?: (form: QueryDateCodeRecordDtoForm, headers: any) => Promise<ResultDto<DateCodeRecordDto[]>>;

            recordQueryById?: (form: "", headers: any) => Promise<ResultDto<RecordDto>>;
            /**
             * 保存饮食记录
             * @param form
             * @param headers
             */
            recordSaveDiet?: (form: SaveRecordForm<SaveRecordDietForm>, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 修改饮食记录
             * @param form
             * @param headers
             */
            recordUpdateDiet?: (form: UpdateRecordForm<UpdateRecordDietForm>, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 保存运动记录
             * @param form
             * @param headers
             */
            recordSaveMotion?: (form: SaveRecordForm<SaveRecordMotionForm>, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 修改运动记录
             * @param form
             * @param headers
             */
            recordUpdateMotion?: (form: UpdateRecordForm<UpdateRecordMotionForm>, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 保存心情记录
             * @param form
             * @param headers
             */
            recordSaveMood?: (form: SaveRecordForm<SaveRecordMoodForm>, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 修改心情记录
             * @param form
             * @param headers
             */
            recordUpdateMood?: (form: UpdateRecordForm<UpdateRecordMoodForm>, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 保存睡眠记录
             * @param form
             * @param headers
             */
            recordSaveSleep?: (form: SaveRecordForm<SaveRecordSleepForm>, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 修改睡眠记录
             * @param form
             * @param headers
             */
            recordUpdateSleep?: (form: UpdateRecordForm<UpdateRecordSleepForm>, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 保存血压记录
             * @param form
             * @param headers
             */
            recordSaveBp?: (form: SaveRecordForm<SaveRecordBpForm>, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 修改血压记录
             * @param form
             * @param headers
             */
            recordUpdateBp?: (form: UpdateRecordForm<UpdateRecordBpForm>, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 保存血糖记录
             * @param form
             * @param headers
             */
            recordSaveGlu?: (form: SaveRecordForm<SaveRecordGluForm>, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 修改血糖记录
             * @param form
             * @param headers
             */
            recordUpdateGlu?: (form: UpdateRecordForm<UpdateRecordGluForm>, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 保存体质记录
             * @param form
             * @param headers
             */
            recordSavePhysique?: (form: SaveRecordForm<SaveRecordPhysiqueForm>, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 修改体质记录
             * @param form
             * @param headers
             */
            recordUpdatePhysique?: (form: UpdateRecordForm<UpdateRecordPhysiqueForm>, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 保存体温记录
             * @param form
             * @param headers
             */
            recordSaveTemperature?: (form: SaveRecordForm<SaveRecordTemperatureForm>, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 修改体温记录
             * @param form
             * @param headers
             */
            recordUpdateTemperature?: (form: UpdateRecordForm<UpdateRecordTemperatureForm>, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 删除记录
             * @param form
             * @param headers
             */
            recordDeleteById?: (form: string, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 首页统计
             * @param form
             * @param headers
             */
            recordStatistics?: (form: QueryRecordStatisticsForm, headers: any) => Promise<ResultDto<RecordStatisticsDto>>;

            /**
             * 活跃用户趋势
             */
            activeUserTrends?: (startTime: string,endTime: string,orgId: string, headers: any) => Promise<ResultDto<CountTrends[]>>;

            /**
             * 异常记录趋势
             */
            abnormalRecordTrends?: (startTime: string,endTime: string,orgId: string, headers: any) => Promise<ResultDto<CountTrends[]>>;

            /**
             * 医生端控制台统计
             */
            doctorWorkBenchCensus?: (form: QueryDoctorWorkBenchCensus, headers: any) => Promise<ResultDto<DoctorWorkBenchCensus>>;

            /**
             * 医生端指定时间段每天的未处理记录统计
             */
            doctorWorkBenchNoHandleCensus?: (startTime: string,endTime: string,orgId: string, headers: any) => Promise<ResultDto<CountTrends[]>>;

            /**
             * 查询用户记录列表
             * @param form
             * @param headers
             */
            recordQueryUserRecordList?: (form: QueryRecordStatisticsForm, headers: any) => Promise<ResultDto<ResponsePageDto<UserRecordStateDto>>>;

            /**
             * 查询用户最新记录
             * @param userId 用户id
             * @return Object
             */
            recordQueryUserNewRecord?: (form: QueryRecordForm, headers: any) => Promise<ResultDto<RecordDto[]>>;

            /**
             * 根据体温记录数据id删除记录数据
             * @param id 记录数据id
             * @return Boolean
             */
            recordDeleteRecordTemperatureById?: (form: string, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 根据体质记录数据id删除记录数据
             * @param id 记录数据id
             * @return Boolean
             */
            recordDeleteRecordPhysiqueById?: (form: string, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 根据血糖记录数据id删除记录数据
             * @param id 记录数据id
             * @return Boolean
             */
            recordDeleteRecordGluById?: (form: string, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 根据血压记录数据id删除记录数据
             * @param id 记录数据id
             * @return Boolean
             */
            recordDeleteRecordBpById?: (form: string, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 根据睡眠记录数据id删除记录数据
             * @param id 记录数据id
             * @return Boolean
             */
            recordDeleteRecordSleepById?: (form: string, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 根据心情记录数据id删除记录数据
             * @param id 记录数据id
             * @return Boolean
             */
            recordDeleteRecordMoodById?: (form: string, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 根据运动记录数据id删除记录数据
             * @param id 记录数据id
             * @return Boolean
             */
            recordDeleteRecordMotionById?: (form: string, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 根据饮食记录数据id删除记录数据
             * @param id 记录数据id
             * @return Boolean
             */
            recordDeleteRecordDietById?: (form: string, headers: any) => Promise<ResultDto<boolean>>;


        }
    }
}
export {};