
import {WebClient} from "../../utils/WebClient";
import {satisfactionUrl, SatisfactionUrlEnum} from "../../config/config";

export const satisfactionApi: SatisfactionDefine.Satisfaction = {
    save: async function (data, headers) {
        return await WebClient.requestResultDtoPost(
            data,
            satisfactionUrl + SatisfactionUrlEnum.SAVE_SATISFACTION,
            headers
        );
    },
    info: async function (data, headers) {
        return await WebClient.requestResultDtoGet(
            "",
            satisfactionUrl + SatisfactionUrlEnum.INFO_SATISFACTION + data,
            headers
        );
    },

    upd: async function (data, headers) {
        return await WebClient.requestResultDtoPost(
            data,
            satisfactionUrl + SatisfactionUrlEnum.UPD_SATISFACTION,
            headers
        );
    },

    del: async function (data, headers) {
        return await WebClient.requestResultDtoPost(
            data,
            satisfactionUrl + SatisfactionUrlEnum.DEL_SATISFACTION,
            headers
        );
    },

    page: async function (data, headers) {
        return await WebClient.requestResultDtoPost(
            data,
            satisfactionUrl + SatisfactionUrlEnum.PAGE_SATISFACTION,
            headers
        );
    },

    queryPageSatisfactionAndDetails: async function (data, headers) {
        return await WebClient.requestResultDtoPost(
            data,
            satisfactionUrl + SatisfactionUrlEnum.QUERY_PAGE_SATISFACTION_AND_DETAILS,
            headers
        );
    },
    queryEduSatisfactionCountByOrgId: async function (data, headers) {
        return await WebClient.requestResultDtoGet(
            "",
            satisfactionUrl + SatisfactionUrlEnum.QUERY_EDU_SATISFACTION_COUNT_BY_ORG_ID + data,
            headers
        );
    },
}