/**
 * satisfaction-满意度调查沟通(SatisfactionCommunicate)Api
 *
 * @author stoneyong
 * @since 2020-10-22 18:08:30
 */
import {WebClient} from "../../utils/WebClient";
import {satisfactionUrl, SatisfactionUrlEnum} from "../../config/config";

export const satisfactionCommunicateApi: SatisfactionCommunicateDefine.SatisfactionCommunicate = {
    save: async function (data, headers) {
        return await WebClient.requestResultDtoPost(
            data,
            satisfactionUrl + SatisfactionUrlEnum.SAVE_SATISFACTION_COMMUNICATE,
            headers
        );
    },
    info: async function (data, headers) {
        return await WebClient.requestResultDtoGet(
            "",
            satisfactionUrl + SatisfactionUrlEnum.INFO_SATISFACTION_COMMUNICATE + data,
            headers
        );
    },

    upd: async function (data, headers) {
        return await WebClient.requestResultDtoPost(
            data,
            satisfactionUrl + SatisfactionUrlEnum.UPD_SATISFACTION_COMMUNICATE,
            headers
        );
    },

    del: async function (data, headers) {
        return await WebClient.requestResultDtoPost(
            data,
            satisfactionUrl + SatisfactionUrlEnum.DEL_SATISFACTION_COMMUNICATE,
            headers
        );
    },

    page: async function (data, headers) {
        return await WebClient.requestResultDtoPost(
            data,
            satisfactionUrl + SatisfactionUrlEnum.PAGE_SATISFACTION_COMMUNICATE,
            headers
        );
    },

    saveEduSatisfaction: async function (data, headers) {
        return await WebClient.requestResultDtoPost(
            data,
            satisfactionUrl + SatisfactionUrlEnum.SAVE_EDU_SATISFACTION,
            headers
        );
    },

    queryEduIsEvaluate: async function (orgId, relationType, relationId, userId, headers: any) {
        return await WebClient.requestResultDtoGet(
            "",
            satisfactionUrl + SatisfactionUrlEnum.QUERY_EDU_IS_EVALUATE + "?orgId=" + orgId + "&relationType=" + relationType + "&relationId=" + relationId + "&userId=" + userId,
            headers
        );
    },
}