/**
 * satisfaction-满意度调查沟通(SatisfactionCommunicate)ApiDefine
 *
 * @author stoneyong
 * @since 2020-10-22 18:08:30
 */
import {
    SaveSatisfactionCommunicateForm,
    UpdSatisfactionCommunicateForm
} from "../../model/satisfaction/form/SatisfactionCommunicateForm";
import {PageSatisfactionCommunicateForm} from "../../model/satisfaction/form/PageSatisfactionCommunicateForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {SatisfactionCommunicateDto} from "../../model/satisfaction/dto/SatisfactionCommunicateDto";

declare global {
    namespace SatisfactionCommunicateDefine {
        interface SatisfactionCommunicate {
            // 添加
            save?: (data: SaveSatisfactionCommunicateForm, headers: any) => Promise<ResultDto<boolean>>;
            // 详情
            info?: (data: string, headers: any) => Promise<ResultDto<SatisfactionCommunicateDto>>;
            // 修改
            upd?: (data: UpdSatisfactionCommunicateForm, headers: any) => Promise<ResultDto<boolean>>;
            // 删除
            del?: (data: string[], headers: any) => Promise<ResultDto<boolean>>;
            // 分页
            page?: (data: PageSatisfactionCommunicateForm, headers: any) => Promise<ResultDto<PageDto<SatisfactionCommunicateDto>>>;

            /**
             * 新增宣教知识满意度评价
             *
             * @param saveForm SaveSatisfactionCommunicateForm
             * @return 新增结果
             */
            saveEduSatisfaction?: (data: SaveSatisfactionCommunicateForm, headers: any) => Promise<ResultDto<boolean>>;


            /**
             * 查询居民是否对指定宣教知识进行评价
             * @return boolean
             */
            queryEduIsEvaluate?: (orgId: string,relationType: string,relationId: string,userId: string, headers: any) => Promise<ResultDto<boolean>>;
        }
    }
}

export {}