
import {ResultDto} from "../../model/ResultDto";
import {SaveSatisfactionForm, UpdSatisfactionForm} from "../../model/satisfaction/form/SatisfactionForm";
import {SatisfactionDto} from "../../model/satisfaction/dto/SatisfactionDto";
import {PageSatisfactionForm} from "../../model/satisfaction/form/PageSatisfactionForm";
import {PageDto} from "../../model/PageDto";
import {QuerySatisfactionAndDetailsForm} from "../../model/satisfaction/form/QuerySatisfactionAndDetailsForm";
import {EduSatisfactionCount} from "../../model/satisfaction/dto/EduSatisfactionCount";

declare global {
    namespace SatisfactionDefine{
        interface Satisfaction {
            // @ts-ignore
            save?: (form: SaveSatisfactionForm, headers: any) => Promise<ResultDto<boolean>>;
            info?: (data: string, headers: any) => Promise<ResultDto<SatisfactionDto>>;
            upd?: (data: UpdSatisfactionForm, headers: any) => Promise<ResultDto<boolean>>;
            // @ts-ignore
            del?: (data: string[], headers: any) => Promise<ResultDto<boolean>>;
            // @ts-ignore
            page?: (data: PageSatisfactionForm, headers: any) => Promise<ResultDto<PageDto<SatisfactionDto>>>;

            /**
             * 医管/医生分页查询满意度调查(包含评价详情)
             * @return obj
             */
            queryPageSatisfactionAndDetails?: (data: QuerySatisfactionAndDetailsForm, headers: any) => Promise<ResultDto<object>>;

            /**
             * 机构宣教统计
             * @return obj
             */
            queryEduSatisfactionCountByOrgId?: (data: string, headers: any) => Promise<ResultDto<EduSatisfactionCount[]>>;
        }
    }
}
export {};
