/**
 * satisfaction-满意度调查详情(SatisfactionDetails)Api
 *
 * @author stoneyong
 * @since 2020-10-22 17:57:12
 */
import {WebClient} from "../../utils/WebClient";
import {satisfactionUrl, SatisfactionUrlEnum} from "../../config/config";

export const satisfactionDetailsApi: SatisfactionDetailsDefine.SatisfactionDetails = {
    save: async function (data, headers) {
        return await WebClient.requestResultDtoPost(
            data,
            satisfactionUrl + SatisfactionUrlEnum.SAVE_SATISFACTION_DETAILS,
            headers
        );
    },
    info: async function (data, headers) {
        return await WebClient.requestResultDtoGet(
            "",
            satisfactionUrl + SatisfactionUrlEnum.INFO_SATISFACTION_DETAILS + data,
            headers
        );
    },

    upd: async function (data, headers) {
        return await WebClient.requestResultDtoPost(
            data,
            satisfactionUrl + SatisfactionUrlEnum.UPD_SATISFACTION_DETAILS,
            headers
        );
    },

    del: async function (data, headers) {
        return await WebClient.requestResultDtoPost(
            data,
            satisfactionUrl + SatisfactionUrlEnum.DEL_SATISFACTION_DETAILS,
            headers
        );
    },

    page: async function (data, headers) {
        return await WebClient.requestResultDtoPost(
            data,
            satisfactionUrl + SatisfactionUrlEnum.PAGE_SATISFACTION_DETAILS,
            headers
        );
    },

    queryUserSatisfaction: async function (data, headers) {
        return await WebClient.requestResultDtoPost(
            data,
            satisfactionUrl + SatisfactionUrlEnum.QUERY_USER_SATISFACTION,
            headers
        );
    },
}