/**
 * satisfaction-满意度调查详情(SatisfactionDetails)ApiDefine
 *
 * @author stoneyong
 * @since 2020-10-22 17:57:11
 */
import {
    SaveSatisfactionDetailsForm,
    UpdSatisfactionDetailsForm
} from "../../model/satisfaction/form/SatisfactionDetailsForm";
import {PageSatisfactionDetailsForm} from "../../model/satisfaction/form/PageSatisfactionDetailsForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {SatisfactionDetailsDto} from "../../model/satisfaction/dto/SatisfactionDetailsDto";
import {QueryUserSatisfactionForm} from "../../model/satisfaction/form/QueryUserSatisfactionForm";

declare global {
    namespace SatisfactionDetailsDefine {
        interface SatisfactionDetails {
            // 添加
            save?: (data: SaveSatisfactionDetailsForm, headers: any) => Promise<ResultDto<boolean>>;
            // 详情
            info?: (data: string, headers: any) => Promise<ResultDto<SatisfactionDetailsDto>>;
            // 修改
            upd?: (data: UpdSatisfactionDetailsForm, headers: any) => Promise<ResultDto<boolean>>;
            // 删除
            del?: (data: string[], headers: any) => Promise<ResultDto<boolean>>;
            // 分页
            page?: (data: PageSatisfactionDetailsForm, headers: any) => Promise<ResultDto<PageDto<SatisfactionDetailsDto>>>;

            /**
             * 查询用户的满意度列表
             *
             * @param queryForm 查询条件
             * @return 用户的满意度列表
             */
            queryUserSatisfaction?: (data: QueryUserSatisfactionForm, headers: any) => Promise<ResultDto<object>>;
        }
    }
}

export {}