/**
 * satisfaction-热词组(SatisfactionHotPhrases)Api
 *
 * @author stoneyong
 * @since 2020-10-22 16:57:09
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {satisfactionUrl, SatisfactionUrlEnum} from "../../config/config";

export const satisfactionHotPhrasesApi: SatisfactionHotPhrasesDefine.SatisfactionHotPhrases = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            satisfactionUrl + SatisfactionUrlEnum.DEL_SATISFACTION_HOT_PHRASES,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            satisfactionUrl + SatisfactionUrlEnum.INFO_SATISFACTION_HOT_PHRASES + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            satisfactionUrl + SatisfactionUrlEnum.PAGE_SATISFACTION_HOT_PHRASES,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            satisfactionUrl + SatisfactionUrlEnum.SAVE_SATISFACTION_HOT_PHRASES,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            satisfactionUrl + SatisfactionUrlEnum.UPD_SATISFACTION_HOT_PHRASES,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    delById: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            satisfactionUrl + SatisfactionUrlEnum.DEL_SATISFACTION_HOT_PHRASES_BY_ID + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
}