/**
 * satisfaction-热词组(SatisfactionHotPhrases)ApiDefine
 *
 * @author stoneyong
 * @since 2020-10-22 16:57:09
 */
import {
    SaveSatisfactionHotPhrasesForm,
    UpdSatisfactionHotPhrasesForm
} from "../../model/satisfaction/form/SatisfactionHotPhrasesForm";
import {PageSatisfactionHotPhrasesForm} from "../../model/satisfaction/form/PageSatisfactionHotPhrasesForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {SatisfactionHotPhrasesDto} from "../../model/satisfaction/dto/SatisfactionHotPhrasesDto";

declare global {
    namespace SatisfactionHotPhrasesDefine {
        interface SatisfactionHotPhrases {
            // 添加
            save?: (data: SaveSatisfactionHotPhrasesForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<SatisfactionHotPhrasesDto>>,
            // 修改
            upd?: (data: UpdSatisfactionHotPhrasesForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageSatisfactionHotPhrasesForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<SatisfactionHotPhrasesDto>>>,

            // 删除
            delById?: (data: string, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,

        }
    }
}

export {}