/**
 * satisfaction-热词(SatisfactionHotWords)ApiDefine
 *
 * @author stoneyong
 * @since 2020-10-22 17:13:00
 */
import {
    SaveSatisfactionHotWordsForm,
    UpdSatisfactionHotWordsForm
} from "../../model/satisfaction/form/SatisfactionHotWordsForm";
import {PageSatisfactionHotWordsForm} from "../../model/satisfaction/form/PageSatisfactionHotWordsForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {SatisfactionHotWordsDto} from "../../model/satisfaction/dto/SatisfactionHotWordsDto";

declare global {
    namespace SatisfactionHotWordsDefine {
        interface SatisfactionHotWords {
            // 添加
            save?: (data: SaveSatisfactionHotWordsForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<SatisfactionHotWordsDto>>,
            // 修改
            upd?: (data: UpdSatisfactionHotWordsForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageSatisfactionHotWordsForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<SatisfactionHotWordsDto>>>,

        }
    }
}

export {}