import {WebClient} from "../../utils/WebClient";
import {Share, shareUrl} from "../../config/config";
// tslint:disable-next-line:no-var-requires
const JsonUtils = require('json-bigint')({"storeAsString": true});

export const ShareUserApi: ShareUserDefine.Share = {
    /**
     * 居民分享
     * @param form
     * @param headers
     */
    save: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form,shareUrl + Share.SHARE_SAVE , headers);
    },
    /**
     * 获取居民分享人员列表(居民分享给哪些人)
     * @param headers
     */
    shareList: async ( headers: any) => {
        return await WebClient.requestResultDtoGet("",shareUrl + Share.SHARE_LIST , headers);
    },
    /**
     * 获取居民分享人员列表(居民分享给哪些人)
     * @param headers
     */
    shareUserList: async ( headers: any) => {
        return await WebClient.requestResultDtoGet("",shareUrl + Share.SHARE_USER_LIST , headers);
    },
    /**
     * 获取居民分享人员列表(居民分享给哪些人)
     * @param headers
     */
    updateStatus: async (from, headers: any) => {
        return await WebClient.requestResultDtoPost(from,shareUrl + Share.SHARE_UPDATE_STATUS , headers);
    },
    /**
     * 获取居民分享人员列表(居民分享给哪些人)
     * @param headers
     */
    del: async (from, headers: any) => {
        return await WebClient.requestResultDtoPost(from,shareUrl + Share.SHARE_DEL , headers);
    },
    /**
     * 居民待同意申请
     * @param headers
     */
    shareApplyList: async ( headers: any) => {
        return await WebClient.requestResultDtoPost("",shareUrl + Share.SHARE_APPLY_LIST , headers);
    },
}