import {ResultDto} from "../../model/ResultDto";
import {UsedrugShareEntity} from "../../model/share/entity/UsedrugShareEntity";
import {ShareStatusForm} from "../../model/share/form/ShareStatusForm";

declare global {
    namespace ShareUserDefine {
        /**
         * 居民分享
         */
        interface Share {
            /**
             * 居民分享
             * @param form
             * @param headers
             */
            save?: (form: UsedrugShareEntity, headers: any) => Promise< ResultDto<boolean>>;
            /**
             * 获取居民分享人员列表(居民分享给哪些人)
             * @param UrgeForm
             * @param headers
             */
            shareList?: (headers: any) => Promise< ResultDto<UsedrugShareEntity[]>>;

            /**
             * 可帮居民操作的分享人员列表(哪些人分享给我)
             * @param UrgeForm
             * @param headers
             */
            shareUserList?: (headers: any) => Promise< ResultDto<UsedrugShareEntity[]>>;

            /**
             * 分享禁用
             * @param form
             * @param headers
             */
            updateStatus?: (form: ShareStatusForm, headers: any) => Promise< ResultDto<boolean>>;
            /**
             * 分享删除
             * @param form
             * @param headers
             */
            del?: (form: string[], headers: any) => Promise< ResultDto<boolean>>;
            /**
             * 居民待同意申请
             * @param form
             * @param headers
             */
            shareApplyList?: ( headers: any) => Promise< ResultDto<UsedrugShareEntity[]>>;
        }
    }
}
export {};