import {WebClient} from "../../utils/WebClient";
import {apiUrl, SystemEnum, systemUrl} from "../../config/config";
import {ResultDto} from "../../model/ResultDto";
import {SysAreasEntity} from "../../model/system/entity/SysAreasEntity";

// tslint:disable-next-line:no-var-requires
const JsonBigString = require('json-bigint')({"storeAsString": true});

// @ts-ignore
export let AreaApi: AreaInterface.area;


AreaApi = {

    selectOne: async (id: string, headers: any) => {
        const result: ResultDto<SysAreasEntity> = JsonBigString.parse(await WebClient.requestDataToJson(null, {
            url: apiUrl + systemUrl + SystemEnum.AREA_SELECT_ONE + "/" + id,
            method: 'GET',
            headers: headers
        }));
        return result;
    },

    getAreasByCode: async (areaCode: string, headers: any) => {
        const result: ResultDto<SysAreasEntity> = JsonBigString.parse(await WebClient.requestDataToJson(null, {
            url: apiUrl + systemUrl + SystemEnum.AREA_CODE + "/" + areaCode,
            method: 'POST',
            headers: headers
        }));
        return result;
    },

    nodeList: async (areaCode: string, headers: any) => {
        const result: ResultDto<SysAreasEntity[]> = JsonBigString.parse(await WebClient.requestDataToJson(null, {
            url: apiUrl + systemUrl + SystemEnum.AREA_LIST + "?areaCode=" + areaCode,
            method: 'GET',
            headers: headers
        }));
        return result;
    },

    lisArea: async function (data, headers: any) {
        return await WebClient.requestResultDtoGet(
            "",
            systemUrl + SystemEnum.LIST_AREA_BY_PARENT_CODE + data.parentCode + "?name=" + data.name,
            headers
        );
    },

    cascade: async (form, headers: any) => {
        const result: ResultDto<SysAreasEntity[]> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + systemUrl + SystemEnum.LIST_AREA_BY_CASCADE,
            method: 'POST',
            headers: headers
        }));
        return result;
    },

};
