import {WebClient} from "../../utils/WebClient";
import {apiUrl, SystemEnum, systemUrl} from "../../config/config";
import {ResultDto} from "../../model/ResultDto";
import {SysRoleConfigEntity} from "../../model/system/entity/SysRoleConfigEntity";

// tslint:disable-next-line:no-var-requires
const JsonBigString = require('json-bigint')({"storeAsString": true});

// @ts-ignore
export let ConfigApi: ConfigInterface.RoleConfig;


ConfigApi = {
    save: async (form: SysRoleConfigEntity, headers: any) => {
        const result: ResultDto<any> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + systemUrl + SystemEnum.CONFIG_ROLE_SAVE,
            method: 'POST',
            headers: headers
        }));
        return result;
    },
    list: async (form: string, headers: any) => {
        const result: ResultDto<SysRoleConfigEntity[]> = JsonBigString.parse(await WebClient.requestDataToJson(form, {
            url: apiUrl + systemUrl + SystemEnum.CONFIG_ROLE_LIST,
            method: 'GET',
            headers: headers
        }));
        return result;
    },
};
