import {ResultDto} from "../../model/ResultDto";
import {SysOrgDeptEntity} from "../../model/system/entity/SysOrgDeptEntity";
import {SysOrgDeptDto} from "../../model/system/dto/SysOrgDeptDto";
import {SysOrgDeptTeamEntity} from "../../model/system/entity/SysOrgDeptTeamEntity";
import {PageDto} from "../../model/PageDto";
import {SaveSysDeptUserForm} from "../../model/system/form/SaveSysDeptUserForm";
import {UpdateSysDeptUserForm} from "../../model/system/form/UpdateSysDeptUserForm";
import {PageSysDeptUserForm} from "../../model/system/form/PageSysDeptUserForm";
import {PageSysDeptTeamUserForm} from "../../model/system/form/PageSysDeptTeamUserForm";
import {ListSysDeptUserForm} from "../../model/system/form/ListSysDeptUserForm";
import {ListSysDeptTeamUserForm} from "../../model/system/form/ListSysDeptTeamUserForm";
import {SysOrgDeptUserDto} from "../../model/system/dto/SysOrgDeptUserDto";
import {PageSysOrgDeptTeamForm} from "../../model/system/form/PageSysOrgDeptTeamForm";


declare global {
    namespace OrgDeptInterface {
        // tslint:disable-next-line:class-name
        interface dept {
            getDeptList?: (form: string, headers: any) => Promise<ResultDto<SysOrgDeptDto[]>>;
            list?: (form: string, headers: any) => Promise<ResultDto<SysOrgDeptDto[]>>;
            saveOrUpdate?: (form: SysOrgDeptEntity, headers: any) => Promise<ResultDto<any>>;
            selectOne?: (form: string, headers: any) => Promise<ResultDto<SysOrgDeptEntity>>;
            delete?: (idList: string[], headers: any) => Promise<ResultDto<any>>;
        }
    }
    namespace OrgDeptTeamInterface{
        // tslint:disable-next-line:class-name
        interface deptTeam {
            selectPage?: (form: PageSysOrgDeptTeamForm, headers: any) => Promise<ResultDto<PageDto<SysOrgDeptTeamEntity>>>;
            list?: (form: string, headers: any) => Promise<ResultDto<SysOrgDeptTeamEntity[]>>;
            saveOrUpdate?: (form: SysOrgDeptTeamEntity, headers: any) => Promise<ResultDto<any>>;
            delete?: (idList: string[], headers: any) => Promise<ResultDto<any>>;
        }
    }
    namespace OrgDeptUserInterface{
        // tslint:disable-next-line:class-name
        interface deptUser {
            save?: (form: SaveSysDeptUserForm, headers: any) => Promise<ResultDto<boolean>>;
            delete?: (idList: string[], headers: any) => Promise<ResultDto<any>>;
            deptPage?: (form: PageSysDeptUserForm, headers: any) => Promise<ResultDto<PageDto<SysOrgDeptUserDto>>>;
            deptTeamPage?: (form: PageSysDeptTeamUserForm, headers: any) => Promise<ResultDto<PageDto<SysOrgDeptUserDto>>>;
            deptList?: (form: ListSysDeptUserForm, headers: any) => Promise<ResultDto<SysOrgDeptUserDto[]>>;
            teamList?: (form: ListSysDeptTeamUserForm, headers: any) => Promise<ResultDto<SysOrgDeptUserDto[]>>;

        }
    }
}
export {};