import {ResultDto} from "../../model/ResultDto";
import {ListSysOrgForm} from "../../model/system/form/ListSysOrgForm";
import {UpdSysOrgForm} from "../../model/system/form/UpdSysOrgForm";
import {SysOrgDto} from "../../model/system/dto/SysOrgDto";
import {PageSysOrgForm} from "../../model/system/form/PageSysOrgForm";
import {PageDto} from "../../model/PageDto";
import {PagePathSysOrgForm} from "../../model/system/form/PagePathSysOrgForm";
import {SysOrgRoleEntity} from "../../model/system/entity/SysOrgRoleEntity";
import {SysOrgRolePageForm} from "../../model/system/form/SysOrgRolePageForm";
import {SaveSysOrgForm} from "../../model/system/form/SaveSysOrgForm";
import {UserOrgRoleDto} from "../../model/system/dto/UserOrgRoleDto";

declare global {
    namespace OrgInterface {
        // tslint:disable-next-line:class-name
        interface sysOrg {
            selectByArea?: (form: ListSysOrgForm, headers: any) => Promise<ResultDto<SysOrgDto[]>>;
            selectPageByArea?: (form: PageSysOrgForm, headers: any) => Promise<ResultDto<PageDto<SysOrgDto>>>;
            selectTreeByArea?: (form: ListSysOrgForm, headers: any) => Promise<ResultDto<SysOrgDto[]>>;
            selectPath?: (form: string, headers: any) => Promise<ResultDto<SysOrgDto[]>>;
            selectPagePath?: (form: PagePathSysOrgForm, headers: any) => Promise<ResultDto<PageDto<SysOrgDto>>>;
            selectTreePath?: (form: string, headers: any) => Promise<ResultDto<SysOrgDto[]>>;
            selectOne?: (form: string, headers: any) => Promise<ResultDto<SysOrgDto>>;
            insert?: (form: SaveSysOrgForm, headers: any) => Promise<ResultDto<any>>;
            update?: (form: UpdSysOrgForm, headers: any) => Promise<ResultDto<any>>;
            delete?: (idList: string[], headers: any) => Promise<ResultDto<any>>;
            getUserOrgList?: (form: string, headers: any) => Promise<ResultDto<UserOrgRoleDto>>;
        }

        // tslint:disable-next-line:class-name
        interface role {
            list?: (form: String, headers: any) => Promise<ResultDto<SysOrgRoleEntity[]>>;
            selectPage?: (form: SysOrgRolePageForm, headers: any) => Promise<ResultDto<PageDto<SysOrgRoleEntity>>>;
            saveOrUpdate?: (form: SysOrgRoleEntity, headers: any) => Promise<ResultDto<any>>;
            delete?: (idList: string[], headers: any) => Promise<ResultDto<any>>;
            getPermission?: (form: string, headers: any) => Promise<ResultDto<any>>;
        }
    }
}
export {};