import {ResultDto} from "../../model/ResultDto";
import {SysOrgUserEntity} from "../../model/system/entity/SysOrgUserEntity";
import {SysOrgUserPageDto} from "../../model/system/dto/SysOrgUserPageDto";
import {PageDto} from "../../model/PageDto";
import {UpdateSysOrgUserForm} from "../../model/system/form/UpdateSysOrgUserForm";
import {SysOrgRoleListForm} from "../../model/system/form/SysOrgRoleListForm";
import {SysOrgUserDto} from "../../model/system/dto/SysOrgUserDto";
import {SysUserArcDto} from "../../model/system/dto/SysUserArcDto";
import {SysOrgUserIdsForm} from "../../model/system/form/SysOrgUserIdsForm";
import {PageSysOrgRoleListForm} from "../../model/system/form/PageSysOrgRoleListForm";
import {UpdateSysOrgUserKeyFocusForm} from "../../model/system/form/UpdateSysOrgUserKeyFocusForm";
import {PageSysOrgUserForm} from "../../model/system/form/PageSysOrgUserForm";
import {SaveSysOrgUserForm} from "../../model/system/form/SaveSysOrgUserForm";
import {OrgUserPathForm} from "../../model/system/form/OrgUserPathForm";
import {PageOrgUserPathForm} from "../../model/system/form/PageOrgUserPathForm";
import {SysOrgRoleUserIdsForm} from "../../model/system/form/SysOrgRoleUserIdsForm";
import {SysUserArcRoleDto} from "../../model/system/dto/SysUserArcRoleDto";
import {SaveUserArcLogForm} from "../../model/user/form/SaveUserArcLogForm";
import {SysOrgEntity} from "../../model/system/entity/SysOrgEntity";

declare global {
    namespace OrgUserInterface {
        interface OrgUser {
            getOrgListByUserId?: (form: any, headers: any) => Promise<ResultDto<SysOrgUserEntity[]>>;
            getOrgListByOrgRoleCode?: (form: SysOrgRoleListForm, headers: any) => Promise<ResultDto<SysOrgUserDto[]>>;
            getOrgListByOrgRoleCodeUserIds?: (form: SysOrgRoleListForm, headers: any) => Promise<ResultDto<number[]>>;

            getOrgListByOrgRoleCodePage?: (form: PageSysOrgRoleListForm, headers: any) => Promise<ResultDto<SysOrgUserDto[]>>;
            getOrgListByOrgRoleCodeUserIdsPage?: (form: PageSysOrgRoleListForm, headers: any) => Promise<ResultDto<number[]>>;

            getKeyOrgListByOrgRoleCodePage?: (form: PageSysOrgRoleListForm, headers: any) => Promise<ResultDto<SysOrgUserDto[]>>;
            getKeyOrgListByOrgRoleCodeUserIdsPage?: (form: PageSysOrgRoleListForm, headers: any) => Promise<ResultDto<number[]>>;

            move?: (form: SaveUserArcLogForm, headers: any) => Promise<ResultDto<boolean>>;
            getOrgByUser?: (form: string, headers: any) => Promise<ResultDto<SysOrgEntity>>;

            selectPage?: (form: PageSysOrgUserForm, headers: any) => Promise<ResultDto<PageDto<SysOrgUserPageDto>>>;
            selectOne?: (form: string, headers: any) => Promise<ResultDto<SysOrgUserPageDto>>;
            getByUserIds?: (form: SysOrgUserIdsForm, headers: any) => Promise<ResultDto<SysUserArcDto[]>>;
            getUserArcRoleByUserIds?: (form: SysOrgRoleUserIdsForm, headers: any) => Promise<ResultDto<SysUserArcRoleDto[]>>;
            getCountByOrgId?: (form: string, roleCode: string, headers: any) => Promise<ResultDto<number>>;
            save?: (form: SaveSysOrgUserForm, headers: any) => Promise<ResultDto<any>>;
            update?: (form: UpdateSysOrgUserForm, headers: any) => Promise<ResultDto<any>>;
            updateKeyFocus?: (form: UpdateSysOrgUserKeyFocusForm, headers: any) => Promise<ResultDto<boolean>>;
            delete?: (idList: string[], headers: any) => Promise<ResultDto<any>>;

            selectUserPath?: (form: OrgUserPathForm, headers: any) => Promise<ResultDto<SysOrgUserDto[]>>;
            selectPageUserPath?: (form: PageOrgUserPathForm, headers: any) => Promise<ResultDto<PageDto<SysOrgUserDto>>>;
        }
    }
}
export {};