import {ResultDto} from "../../model/ResultDto";
import {ListMenuForm} from "../../model/system/form/ListMenuForm";
import {SysMenuEntity} from "../../model/system/entity/SysMenuEntity";
import {OrgPermissionForm} from "../../model/system/form/OrgPermissionForm";
import {SysMenuDto} from "../../model/system/dto/SysMenuDto";
import {PageDto} from "../../model/PageDto";

declare global {
    namespace SysMenuInterface {
        interface Menu {
            pageList?: (form: ListMenuForm, headers: any) => Promise<ResultDto<PageDto<SysMenuDto>>>;
            asyncList?: (form: string, headers: any) => Promise<ResultDto<any>>;
            saveOrUpdate?: (form: SysMenuEntity, headers: any) => Promise<ResultDto<any>>;
            getSysMenu?: (form: SysMenuEntity, headers: any) => Promise<ResultDto<any>>;
            delete?: (form: string, headers: any) => Promise<ResultDto<any>>;
            routes?: (form: string, headers: any) => Promise<ResultDto<SysMenuDto[]>>;
            routesMenu?: (form: string, headers: any) => Promise<ResultDto<SysMenuDto[]>>;
            routesMenuButton?: (form: string, headers: any) => Promise<ResultDto<SysMenuDto[]>>;
            roleMenuAdd?: (form: OrgPermissionForm, headers: any) => Promise<ResultDto<boolean>>;
            roleMenuDel?: (form: OrgPermissionForm, headers: any) => Promise<ResultDto<boolean>>;
            loginSuccess?: (form: null, headers: any) => Promise<ResultDto<boolean>>;
        }
    }
}
export {};