/**
 * (SysVersion)ApiDefine
 *
 * @author make
 * @since 2020-12-10 12:03:46
 */
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {SysVersionDto} from "../../model/system/dto/SysVersionDto";
import {SaveSysVersionForm, SysVersionForm, UpdSysVersionForm} from "../../model/system/form/SysVersionForm";

declare global {
    namespace SysVersionDefine {
        interface SysVersion {
            // 添加
            save?: (data: SaveSysVersionForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<SysVersionDto>>,
            // 修改
            upd?: (data: UpdSysVersionForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: SysVersionForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<SysVersionDto>>>,
        // 分页
            release?: (headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<SysVersionDto>>,

        }
    }
}

export {}