import {WebClient} from "../../utils/WebClient";
import {taskBaseUrl, TaskUrlEnum} from "../../config/config";
import {SUCCESS} from "../../config/ResultCodeConfig";


export const doctorTaskApi : DockerTaskDefine.DoctorTask = {
    itemInfo:  async function (data, headers: any,
                               errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            taskBaseUrl + TaskUrlEnum.DOCTOR_ITEM_INFO+data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, pageTask:  async function (data, headers: any,
                                  errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.DOCTOR_TASK_PAGE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, taskInfo:  async function (data, headers: any,
                                  errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            taskBaseUrl + TaskUrlEnum.DOCTOR_TASK_INFO+data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, statistical:  async function (data, headers: any,
                                     errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            taskBaseUrl + TaskUrlEnum.DOCTOR_TASK_STATISTICAL+data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, workbenchStatistical:  async function (data, headers: any,
                                              errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.DOCTOR_TASK_WORKBENCH_STATISTICAL,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }


}