import {ResultDto} from "../../model/ResultDto";
import {RemoveCoadjutorForm, ReplaceExecutorForm, SaveCoadjutorForm} from "../../model/task/form/TaskExecutorForm";
import {TaskExecutorDto} from "../../model/task/dto/TaskExecutorDto";
import {TaskAccessoryDto} from "../../model/task/dto/TaskAccessoryDto";
import {SaveTaskAccessoryForm, UpdTaskAccessoryForm} from "../../model/task/form/TaskAccessoryForm";
import {PageTaskDoctorForm} from "../../model/task/form/PageTaskDoctorForm";
import {PageDto} from "../../model/PageDto";
import {DoctorTaskDto} from "../../model/task/dto/DoctorTaskDto";
import {DoctorTaskDetailDto} from "../../model/task/dto/DoctorTaskDetailDto";
import {DoctorItemInfoDto} from "../../model/task/dto/DoctorItemInfoDto";
import {DoctorStatisticalDto} from "../../model/task/dto/DoctorStatisticalDto";
import {WorkbenchStatisticalForm} from "../../model/task/form/WorkbenchStatisticalForm";

declare global {

    /**
     * 公众号端医生任务
     */
    namespace DockerTaskDefine {
        interface DoctorTask {
            // 任务列表
            pageTask?: (data: PageTaskDoctorForm, headers: any,
                                 errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<DoctorTaskDto>>>,
            // 任务详情
            taskInfo?: (data: string, headers: any,
                                 errorCallback?: (message: string) => void) =>
                Promise<ResultDto<DoctorTaskDetailDto>>,
            // 项目详情
            itemInfo?: (data: string, headers: any,
                                errorCallback?: (message: string) => void) =>
                Promise<ResultDto<DoctorItemInfoDto[]>>,
            //首页统计
            statistical?: (data: string, headers: any,
                           errorCallback?: (message: string) => void) =>
                Promise<ResultDto<DoctorStatisticalDto>>,

            //医生工作台统计
            workbenchStatistical?:(date:WorkbenchStatisticalForm, headers: any,
                                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<DoctorStatisticalDto>>,
        }
    }
}
export {};