import {WebClient} from "../../utils/WebClient";
import {taskBaseUrl, TaskUrlEnum} from "../../config/config";
import {SUCCESS} from "../../config/ResultCodeConfig";


export const taskAccessoryApi : TaskAccessoryDefine.TaskAccessory = {
    delTaskAccessory: async function (data, headers: any,
                                errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.DEL_TASK_ACCESSORY,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, listTaskAccessory: async function (data, headers: any,
                                    errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            taskBaseUrl + TaskUrlEnum.LIST_TASK_ACCESSORY+data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, saveTaskAccessory: async function (data, headers: any,
                                    errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.SAVE_TASK_ACCESSORY,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, updTaskAccessory: async function (data, headers: any,
                                   errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.UPD_TASK_ACCESSORY,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }

}