import {ResultDto} from "../../model/ResultDto";
import {RemoveCoadjutorForm, ReplaceExecutorForm, SaveCoadjutorForm} from "../../model/task/form/TaskExecutorForm";
import {TaskExecutorDto} from "../../model/task/dto/TaskExecutorDto";
import {TaskAccessoryDto} from "../../model/task/dto/TaskAccessoryDto";
import {SaveTaskAccessoryForm, UpdTaskAccessoryForm} from "../../model/task/form/TaskAccessoryForm";

declare global {

    /**
     * 任务执行人
     */
    namespace TaskAccessoryDefine {
        interface TaskAccessory {
            // 根据任务code查询附件列表
            listTaskAccessory?: (data: string, headers: any,
                                 errorCallback?: (message: string) => void) =>
                Promise<ResultDto<TaskAccessoryDto[]>>,
            // 添加任务附件信息
            saveTaskAccessory?: (data: SaveTaskAccessoryForm, headers: any,
                                 errorCallback?: (message: string) => void) =>
                Promise<ResultDto<TaskAccessoryDto[]>>,
            // 修改任务附件信息
            updTaskAccessory?: (data: UpdTaskAccessoryForm, headers: any,
                                 errorCallback?: (message: string) => void) =>
                Promise<ResultDto<TaskAccessoryDto[]>>,
            // 添加任务附件信息
            delTaskAccessory?: (data: string[], headers: any,
                                 errorCallback?: (message: string) => void) =>
                Promise<ResultDto<TaskAccessoryDto[]>>,
        }
    }
}
export {};