import {WebClient} from "../../utils/WebClient";
import {taskBaseUrl, TaskUrlEnum} from "../../config/config";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {doctorTaskApi} from "./DockerTaskApi";


export const taskApi: TaskDefine.Task = {
    saveTask: async function (data, headers: any,
                              errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.SAVE_TASK,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    saveAndRelease: async function (data, headers: any,
                              errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.SAVE_RELEASE_TASK,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },

    updTask: async function (data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.UPD_TASK,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, pageTask: async function (data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.PAGE_TASK,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, infoTask: async function (data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            taskBaseUrl + TaskUrlEnum.INFO_TASK + data,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, delTask: async function (data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.DEL_TASK,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, releaseTask: async function (data, headers,
                                    errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.RELEASE_TASK,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    executorTaskList: async function (data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            taskBaseUrl + TaskUrlEnum.EXECUTOR_TASK_LIST + data,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, archive: async function (data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.ARCHIVE_TASK ,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, taskPermissionsList: async function ( orgId, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            taskBaseUrl + TaskUrlEnum.PERMISSIONS_LIST_TASK +orgId,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, taskPerformTitleInfo:  async function ( taskCode, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            taskBaseUrl + TaskUrlEnum.TASK_PERFORM_TITLE_INFO +taskCode,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }


}