import {ResultDto} from "../../model/ResultDto";
import {SaveTaskForm, UpdTaskForm} from "../../model/task/form/TaskForm";
import {PageTaskForm} from "../../model/task/form/PageTaskForm";
import {PageDto} from "../../model/PageDto";
import {TaskDto} from "../../model/task/dto/TaskDto";
import {ReleaseTaskForm} from "../../model/task/form/ReleaseTaskForm";
import {TaskPerformTitleDto} from "../../model/task/dto/TaskPerformTitleDto";
import {ArchiveTaskForm} from "../../model/task/form/ArchiveTaskForm";
import {AlterExecutorForm} from "../../model/task/form/AlterExecutorForm";

declare global {

    namespace TaskDefine {
        // @ts-ignore
        interface Task {
            // 任务创建
            saveTask?: (data: SaveTaskForm, headers: any,
                        errorCallback?: (message:string) => void) =>
                Promise<ResultDto<boolean>>,
            saveAndRelease?:(data: SaveTaskForm, headers: any,
                             errorCallback?: (message:string) => void) =>
                Promise<ResultDto<boolean>>,
            // 任务修改
            updTask?: (date: UpdTaskForm, headers: any,
                       errorCallback?: (message:string) => void) => Promise<ResultDto<boolean>>,
            // 分页查询任务
            pageTask?: (data: PageTaskForm, headers: any,
                        errorCallback?: (message:string) => void) => Promise<ResultDto<PageDto<TaskDto>>>,
            // 单个详情
            infoTask?: (date: string, headers: any,
                        errorCallback?: (message:string) => void) => Promise<ResultDto<TaskDto>>,
            // 删除任务
            delTask?: (data: string[], headers: any,
                       errorCallback?: (message:string) => void) => Promise<ResultDto<boolean>>,
            // 发布任务
            releaseTask?: (data: ReleaseTaskForm, headers: any,
                           errorCallback?: (message:string) => void
            ) => Promise<ResultDto<boolean>>,
            // 任务的执行人列表
            executorTaskList?:(taskType:string, headers: any,
                               errorCallback?: (message:string) => void
            ) => Promise<ResultDto<TaskPerformTitleDto[]>>,
            // 任务归档或者取消归档
            archive?:(data:ArchiveTaskForm, headers: any,
                      errorCallback?: (message:string) => void
            ) => Promise<ResultDto<boolean>>,
            // 获取能够看到的计划列表
            taskPermissionsList?:(orgId:string, headers: any,
                      errorCallback?: (message:string) => void
            ) => Promise<ResultDto<boolean>>,


            //根据任务code查询选择的任务信息
            taskPerformTitleInfo?:(taskCode:string, headers: any,
                                   errorCallback?: (message:string) => void
            ) => Promise<ResultDto<TaskPerformTitleDto>>,

        }
    }
}
export {};