import {WebClient} from "../../utils/WebClient";
import {taskBaseUrl, TaskUrlEnum} from "../../config/config";
import {SUCCESS} from "../../config/ResultCodeConfig";


export const taskExecutorApi : TaskExecutorDefine.TaskExecutor={
    replaceMain: async function (data,
                           headers,
                           errorCallback) {

        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.REPLACE_MAIN_TASK_EXECUTOR,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, addCoadjutor: async function (data, headers, errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.ADD_COADJUTOR_TASK_EXECUTOR,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, listExecutor: async function (data, headers, errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            taskBaseUrl + TaskUrlEnum.LIST_TASK_EXECUTOR+data,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, removeExecutor: async function (data, headers, errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.REMOVE_TASK_EXECUTOR,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }
    , executorBatch: async function (data, headers, errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.EXECUTOR_BATCH,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, alterExecutor: async function ( data, headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.ALTER_EXECUTOR_TASK ,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }

}