import {ResultDto} from "../../model/ResultDto";
import {RemoveCoadjutorForm, ReplaceExecutorForm, SaveCoadjutorForm} from "../../model/task/form/TaskExecutorForm";
import {TaskExecutorDto} from "../../model/task/dto/TaskExecutorDto";
import {ExecutorBatchForm} from "../../model/task/form/ExecutorBatchForm";
import {AlterExecutorForm} from "../../model/task/form/AlterExecutorForm";

declare global {

    /**
     * 任务执行人
     */
    namespace TaskExecutorDefine {
        // @ts-ignore
        interface TaskExecutor {
            // 替换主要执行人
            replaceMain?: (data: ReplaceExecutorForm, headers: any,
                           errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 添加协助者
            addCoadjutor?: (data: SaveCoadjutorForm, headers: any, errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            //协助人移除
            removeExecutor?: (data: RemoveCoadjutorForm, headers: any, errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 查询协助人的列表
            listExecutor?: (data: string, headers: any, errorCallback?: (message: string) => void) =>
                Promise<ResultDto<TaskExecutorDto[]>>,

            // 批量更新执行人和协助人
            executorBatch?: (data: ExecutorBatchForm, headers: any, errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            //编辑执行人和协助人
            alterExecutor?:(data:AlterExecutorForm, headers: any,
                            errorCallback?: (message:string) => void
            ) => Promise<ResultDto<boolean>>
        }


    }
}
export {};