import {ResultDto} from "../../model/ResultDto";
import {SaveTaskForm, UpdTaskForm} from "../../model/task/form/TaskForm";
import {PageTaskForm} from "../../model/task/form/PageTaskForm";
import {PageDto} from "../../model/PageDto";
import {TaskDto} from "../../model/task/dto/TaskDto";
import {ReleaseTaskForm} from "../../model/task/form/ReleaseTaskForm";
import {TaskPerformTitleDto} from "../../model/task/dto/TaskPerformTitleDto";
import {PageTaskIntervalForm} from "../../model/task/form/PageTaskIntervalForm";
import {TaskIntervalDto} from "../../model/task/dto/TaskIntervalDto";
import {GradeTaskIntervalForm} from "../../model/task/form/GradeTaskIntervalForm";
import {IntervalSimplifyDto} from "../../model/task/dto/IntervalSimplifyDto";

declare global {

    namespace TaskIntervalDefine {
        // @ts-ignore
        interface TaskInterval {
            // 任务和执行频率分页查询
            page?: (data: PageTaskIntervalForm, headers: any,
                        errorCallback?: (message:string) => void) =>
                Promise<ResultDto<PageDto<TaskIntervalDto>>>,
            //打分
            grade?:(data: GradeTaskIntervalForm, headers: any,
                             errorCallback?: (message:string) => void) =>
                Promise<ResultDto<boolean>>,
            // 根据任务Id查询任务机构列表
            listByTaskId?: (taskId: string, headers: any,
                       errorCallback?: (message:string) => void) => Promise<ResultDto<TaskIntervalDto[]>>,
            // 任务计划的机构执行频率列表
            listSimplify?: (orgId:string, headers: any, errorCallback?: (message:string) => void) => Promise<ResultDto<IntervalSimplifyDto[]>>,
            // 详情
            info?: (id: string, headers: any,
                            errorCallback?: (message:string) => void) => Promise<ResultDto<TaskIntervalDto>>,
        }
    }
}
export {};