import {WebClient} from "../../utils/WebClient";
import {taskBaseUrl, TaskUrlEnum} from "../../config/config";
import {SUCCESS} from "../../config/ResultCodeConfig";

export const taskPerformApi : TaskPerformDefine.TaskPerform = {
    adjustTime:async function (data, headers, errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.ADJUST_TIME_TASK_PERFORM,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, infoTaskPerform:async function (data, headers, errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            taskBaseUrl + TaskUrlEnum.INFO_TASK_PERFORM+data,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, taskPerformByInterval: async function (data, headers, errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(

            "",
            taskBaseUrl + TaskUrlEnum.TASK_PERFORM_INTERVAL+data,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, taskPerformByTask: async function (data, headers, errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(

            "",
            taskBaseUrl + TaskUrlEnum.LIST_TASK_PERFORM_BY_TASK+data,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }
    , receiveTask:async function (data, headers, errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.RECEIVE_TASK_PERFORM,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, receiveBatch:async function (data, headers, errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            taskBaseUrl + TaskUrlEnum.RECEIVE_BATCH_TASK_PERFORM,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, waitPerformList:async function (headers, errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            taskBaseUrl + TaskUrlEnum.TASK_WAIT_PERFORM_LIST,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }


}