import {ResultDto} from "../../model/ResultDto";
import {RemoveCoadjutorForm, ReplaceExecutorForm, SaveCoadjutorForm} from "../../model/task/form/TaskExecutorForm";
import {TaskExecutorDto} from "../../model/task/dto/TaskExecutorDto";
import {PageTaskPerformForm} from "../../model/task/form/PageTaskPerformForm";
import {PageDto} from "../../model/PageDto";
import {TaskPerformDto} from "../../model/task/dto/TaskPerformDto";
import {AdjustTimeForm, CompleteTaskForm, GradeTaskForm, ReceiveTaskForm} from "../../model/task/form/TaskPerformForm";
import {ReceiveBatchTaskForm} from "../../model/task/form/ReceiveBatchTaskForm";
import {WaitPerformTaskDto} from "../../model/task/dto/WaitPerformTaskDto";

declare global {

    /**
     * 任务执行人
     */
    namespace TaskPerformDefine {
        // @ts-ignore
        interface TaskPerform {
            // 分页查询
            taskPerformByInterval?: (data: string, headers: any,
                               errorCallback?: (message: string) => void) =>
                Promise<ResultDto<TaskPerformDto[]>>,
            // 单个详情
            infoTaskPerform?: (data: string, headers: any,
                               errorCallback?: (message: string) => void) =>
                Promise<ResultDto<TaskPerformDto>>,
            // 领取任务
            receiveTask?: (data: ReceiveTaskForm, headers: any,
                           errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 领取任务
            receiveBatch?: (data: ReceiveBatchTaskForm, headers: any,
                           errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 时间调配
            adjustTime?:(data:AdjustTimeForm, headers: any,
                         errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,

            // 等待执行的任务执行列表
            waitPerformList?:( headers: any,
                              errorCallback?: (message: string) => void) =>
                Promise<ResultDto<WaitPerformTaskDto[]>>,

            // 根据taskId查询列表
            taskPerformByTask?: (data: string, headers: any,
                                     errorCallback?: (message: string) => void) =>
                Promise<ResultDto<TaskPerformDto[]>>,
        }
    }
}
export {};