import {WebClient} from "../../utils/WebClient";
import {taskBaseUrl, TaskUrlEnum} from "../../config/config";
import {SUCCESS} from "../../config/ResultCodeConfig";

export const taskRecordApi : TaskRecordDefine.TaskRecord = {
    listTaskPerformRecord: async function (data,headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            taskBaseUrl + TaskUrlEnum.TASK_PERFORM_RECORD_LIST+data,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, listTaskRecord: async function (data,headers,errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            taskBaseUrl + TaskUrlEnum.TASK_RECORD_LIST+data,
            headers
        );
        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }


}