/**
 * teach-教学--班级管理(TeachClass)ApiDefine
 *
 * @author stoneyong
 * @since 2020-11-26 16:04:38
 */
import {SaveTeachClassForm, UpdTeachClassForm} from "../../model/teach/form/TeachClassForm";
import {PageTeachClassForm} from "../../model/teach/form/PageTeachClassForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {TeachClassDto} from "../../model/teach/dto/TeachClassDto";

declare global {
    namespace TeachClassDefine {
        interface TeachClass {
            // 添加
            save?: (data: SaveTeachClassForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (data: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<TeachClassDto>>,
            // 修改
            upd?: (data: UpdTeachClassForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageTeachClassForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<TeachClassDto>>>,

            //查询当前正在上课或即将上课可以签到的的班级
            queryBeginSignClassList?: (data: PageTeachClassForm, headers: any,
                                       errorCallback?: (message: string) => void) =>
                Promise<ResultDto<TeachClassDto[]>>,
        }
    }
}

export {}