/**
 * teach-教学--班级--报名管理(TeachClassUser)Api
 *
 * @author stoneyong
 * @since 2020-11-26 17:10:05
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {TeachClassUserUrl, TeachUrl} from "../../config/config";

export const teachClassUserApi: TeachClassUserDefine.TeachClassUser = {

    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            TeachUrl + TeachClassUserUrl.PAGE_TEACH_CLASS_USER,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    enroll: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            TeachUrl + TeachClassUserUrl.ENROLL_TEACH_CLASS_USER,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    enrollApply: async function (data, headers,
                                 errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            TeachUrl + TeachClassUserUrl.ENROLL_APPLY_TEACH_CLASS_USER,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    adoptEnrollApply: async function (data, headers,
                                      errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            TeachUrl + TeachClassUserUrl.ADOPT_ENROLL_APPLY_TEACH_CLASS_USER + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    refuseEnrollApply: async function (data, headers,
                                       errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            TeachUrl + TeachClassUserUrl.REFUSE_ENROLL_APPLY_TEACH_CLASS_USER + data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    quitClass: async function (classId,userId, headers,
                               errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            TeachUrl + TeachClassUserUrl.QUIT_CLASS_TEACH_CLASS_USER + classId + "/" + userId,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },

    queryUserList: async function (form, headers,
                               errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            form,
            TeachUrl + TeachClassUserUrl.QUERY_USER_LIST_TEACH_CLASS_USER,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
};