/**
 * teach-教学--班级--报名管理(TeachClassUser)ApiDefine
 *
 * @author stoneyong
 * @since 2020-11-26 17:10:05
 */
import {SaveTeachClassUserForm, UpdTeachClassUserForm} from "../../model/teach/form/TeachClassUserForm";
import {PageTeachClassUserForm} from "../../model/teach/form/PageTeachClassUserForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {TeachClassUserDto} from "../../model/teach/dto/TeachClassUserDto";
import {PageUserForm} from "../../model/teach/form/PageUserForm";
import {UserDto} from "../../model/teach/dto/UserDto";

declare global {
    namespace TeachClassUserDefine {
        interface TeachClassUser {
            page?: (data: PageTeachClassUserForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<TeachClassUserDto>>>,
            enroll?: (data: SaveTeachClassUserForm, headers: any,
                      errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            enrollApply?: (data: SaveTeachClassUserForm, headers: any,
                      errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            adoptEnrollApply?: (data: "", headers: any,
                           errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            refuseEnrollApply?:(data: "", headers: any,
                                errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            quitClass?:(classId: "",userId:"", headers: any,
                        errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            queryUserList?:(data: PageUserForm, headers: any,
                        errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<UserDto>>>,
        }
    }
}

export {}