/**
 * teach-教学--课管理(TeachCourse)Api
 *
 * @author stoneyong
 * @since 2020-11-26 16:43:00
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {TeachCourseUrl, TeachUrl} from "../../config/config";

export const teachCourseApi: TeachCourseDefine.TeachCourse = {

    del: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            TeachUrl + TeachCourseUrl.DEL_TEACH_COURSE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (courseId, userId, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            TeachUrl + TeachCourseUrl.INFO_TEACH_COURSE + courseId + "/" + userId,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            TeachUrl + TeachCourseUrl.PAGE_TEACH_COURSE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            TeachUrl + TeachCourseUrl.SAVE_TEACH_COURSE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    upd: async function (data, headers,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            TeachUrl + TeachCourseUrl.UPD_TEACH_COURSE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
}