/**
 * teach-教学--课管理(TeachCourse)ApiDefine
 *
 * @author stoneyong
 * @since 2020-11-26 16:42:59
 */
import {SaveTeachCourseForm, UpdTeachCourseForm} from "../../model/teach/form/TeachCourseForm";
import {PageTeachCourseForm} from "../../model/teach/form/PageTeachCourseForm";
import {ResultDto} from "../../model/ResultDto";
import {PageDto} from "../../model/PageDto";
import {TeachCourseDto} from "../../model/teach/dto/TeachCourseDto";

declare global {
    namespace TeachCourseDefine {
        interface TeachCourse {
            // 添加
            save?: (data: SaveTeachCourseForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?: (courseId: string, userId: string, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<TeachCourseDto>>,
            // 修改
            upd?: (data: UpdTeachCourseForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?: (data: string[], headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?: (data: PageTeachCourseForm, headers: any,
                    errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<TeachCourseDto>>>,

        }
    }
}

export {}