/**
 * teach-教学--课--用户签到(TeachCourseSign)Api
 *
 * @author stoneyong
 * @since 2020-11-30 16:45:11
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {TeachCourseSignUrl, TeachCourseUrl, TeachUrl} from "../../config/config";

export const teachCourseSignApi: TeachCourseSignDefine.TeachCourseSign = {

    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            TeachUrl + TeachCourseSignUrl.PAGE_TEACH_COURSE_SIGN,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            TeachUrl + TeachCourseSignUrl.SAVE_TEACH_COURSE_SIGN,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
};