/**
 * teach-教学--课--学习管理(TeachCourseUser)api
 *
 * @author stoneyong
 * @since 2020-11-26 17:10:05
 */
import {WebClient} from "../../utils/WebClient";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {TeachClassUserUrl, TeachCourseUserUrl, TeachUrl} from "../../config/config";

export const teachCourseUserApi: TeachCourseUserDefine.TeachCourseUser = {

    page: async function (data, headers,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            TeachUrl + TeachCourseUserUrl.PAGE_TEACH_COURSE_USER,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },

    queryListByTime: async function (data, headers,
                                     errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            TeachUrl + TeachCourseUserUrl.QUERY_LIST_BY_TIME_TEACH_COURSE_USER,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },

    queryReminder: async function (userId, headers,
                                     errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            TeachUrl + TeachCourseUserUrl.QUERY_REMINDER + "?userId=" + userId,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined) {
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }
};