import {WebClient} from "../../utils/WebClient";
import {taskBaseUrl, TaskUrlEnum, trackUrl, TrackUrlEnum} from "../../config/config";
import {SUCCESS} from "../../config/ResultCodeConfig";


export const trackTypeApi : TrackTypeDefine.TrackType = {
    delTrackType: async function (data, headers: any,
                                  errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            trackUrl + TrackUrlEnum.DEL_TRACK_TYPE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    infoTrackType: async function (data, headers: any,
                                   errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            trackUrl + TrackUrlEnum.INFO_TRACK_TYPE+data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    pageTrackType: async function (data, headers: any,
                                   errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            trackUrl + TrackUrlEnum.PAGE_TRACK_TYPE,

            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    saveTrackType: async function (data, headers: any,
                                   errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            trackUrl + TrackUrlEnum.SAVE_TRACK_TYPE,

            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    updTrackType: async function (data, headers: any,
                                  errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            trackUrl + TrackUrlEnum.UPD_TRACK_TYPE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },

}