import {ReplaceExecutorForm} from "../../model/task/form/TaskExecutorForm";
import {TrackTypeDto} from "../../model/track/dto/TrackTypeDto";
import {PageDto} from "../../model/PageDto";
import {ResultDto} from "../../model/ResultDto";
import {PageTrackTypeForm} from "../../model/track/from/PageTrackTypeForm";
import {SaveTrackTypeForm, UpdTrackTypeFrom} from "../../model/track/from/TrackTypeForm";

declare global {

    /**
     * 工作路径的类型
     */
    namespace TrackTypeDefine {
        // @ts-ignore
        interface TrackType {
            // 分页
            pageTrackType?:(data: PageTrackTypeForm, headers: any,
                            errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<TrackTypeDto>>>,
            // 添加
            saveTrackType?:(data: SaveTrackTypeForm, headers: any,
                            errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 修改
            updTrackType?:(data: UpdTrackTypeFrom, headers: any,
                           errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            delTrackType?:(data: string[], headers: any,
                           errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            infoTrackType?:(data: string, headers: any,
                            errorCallback?: (message: string) => void) =>
                Promise<ResultDto<TrackTypeDto>>,
        }
    }
}
export {};