import {WebClient} from "../../utils/WebClient";
import {trackUrl, TrackUrlEnum} from "../../config/config";
import {SUCCESS} from "../../config/ResultCodeConfig";
import {trackTypeApi} from "./TrackTypeApi";


export const userTrackApi : UserTrackDefine.UserTrack = {
    del: async function (data, headers: any,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            trackUrl + TrackUrlEnum.DEL_USER_TRACK,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    info: async function (data, headers: any,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            trackUrl + TrackUrlEnum.INFO_USER_TRACK+data,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    page: async function (data, headers: any,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            trackUrl + TrackUrlEnum.PAGE_USER_TRACK,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    save: async function (data, headers: any,
                          errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            trackUrl + TrackUrlEnum.SAVE_USER_TRACK,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    statistical: async function (data, headers: any,
                                 errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            trackUrl + TrackUrlEnum.STATISTICAL_USER_TRACK,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    treeType: async function ( headers: any,
                              errorCallback) {
        const resultDto = await WebClient.requestResultDtoGet(
            "",
            trackUrl + TrackUrlEnum.TREE_USER_TRACK_TYPE,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    },
    upd: async function (data, headers: any,
                         errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            trackUrl + TrackUrlEnum.UPD_USER_TRACK,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }, dateGroupList: async function (data, headers: any,
                                      errorCallback) {
        const resultDto = await WebClient.requestResultDtoPost(
            data,
            trackUrl + TrackUrlEnum.TREE_USER_DATE_GROUP_LIST,
            headers
        );

        if (resultDto.code != SUCCESS) {
            if (errorCallback != undefined){
                errorCallback(resultDto.msg);
            }
        }
        return resultDto;
    }


}