import {SaveTrackForm, UpdTrackForm} from "../../model/track/from/TrackForm";
import {TrackDto} from "../../model/track/dto/TrackDto";
import {UserPageTrackForm} from "../../model/track/from/UserPageTrackForm";
import {PageDto} from "../../model/PageDto";
import {TrackStatisticalDto} from "../../model/track/dto/TrackStatisticalDto";
import {TrackTypeDto} from "../../model/track/dto/TrackTypeDto";
import {TrackStatisForm} from "../../model/track/from/TrackStatisForm";
import {ResultDto} from "../../model/ResultDto";
import {TrackGroupDateDto} from "../../model/track/dto/TrackGroupDateDto";
import {UserGroupDateForm} from "../../model/track/from/UserGroupDateForm";

declare global {

    /**
     * 工作路径的类型
     */
    namespace UserTrackDefine {
        // @ts-ignore
        interface UserTrack {
            // 添加
            save?:(data: SaveTrackForm, headers: any,
                            errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 详情
            info?:(data: string, headers: any,
                            errorCallback?: (message: string) => void) =>
                Promise<ResultDto<TrackDto>>,
            // 修改
            upd?:(data: UpdTrackForm, headers: any,
                           errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 删除
            del?:(data: string[], headers: any,
                           errorCallback?: (message: string) => void) =>
                Promise<ResultDto<boolean>>,
            // 分页
            page?:(data: UserPageTrackForm, headers: any,
                            errorCallback?: (message: string) => void) =>
                Promise<ResultDto<PageDto<TrackDto>>>,

            // 统计
            statistical?:(data: TrackStatisForm, headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<TrackStatisticalDto>>,

            // 树形结构的类型
            treeType?:( headers: any,
                   errorCallback?: (message: string) => void) =>
                Promise<ResultDto<TrackTypeDto[]>>,


            //日期分组查询列表
            dateGroupList?:(data: UserGroupDateForm, headers: any,
                              errorCallback?: (message: string) => void) =>
                Promise<ResultDto<TrackGroupDateDto[]>>,
        }
    }
}
export {};