import {WebClient} from "../../utils/WebClient";
import {doctorPrescription, usedrugDevice, usedrugUrl} from "../../config/config";
// tslint:disable-next-line:no-var-requires
const JsonUtils = require('json-bigint')({"storeAsString": true});

export const DoctorPrescriptionApi: DoctorPrescriptionDefine.DoctorPrescription = {
    /**
     * 获取医生代办事项数量
     * @param form
     * @param headers
     */
    DocktorHandNumList: async (startTime,endTime,orgId, headers: any) => {
        const  url:string=usedrugUrl + doctorPrescription.HAND_NUM_LIST+"?startTime="+startTime+"&endTime="+endTime+"&orgId="+orgId;
        return await WebClient.requestResultDtoGet(startTime, url, headers);
    },
    /**
     * 获取医生代办事项数量
     * @param form
     * @param headers
     */
    docktorToDoList: async (todoForm, headers: any) => {
        return await WebClient.requestResultDtoPost(todoForm, usedrugUrl + doctorPrescription.TO_DO_LIST, headers);
    },
    /**
     * 未按医嘱服药处理
     * @param form
     * @param headers
     */
    usedrugHand: async (handDto, headers: any) => {
        return await WebClient.requestResultDtoPost(handDto, usedrugUrl + doctorPrescription.USERDRUG_HAND, headers);
    },
    /**
     * 督促居民服药
     * @param form
     * @param headers
     */
    urgeRemind: async (handDto, headers: any) => {
        return await WebClient.requestResultDtoPost(handDto, usedrugUrl + doctorPrescription.URGE_REMIND, headers);
    },
    /**
     * 居民服药到期提醒
     * @param form
     * @param headers
     */
    planRemind: async (userId, headers: any) => {
        return await WebClient.requestResultDtoGet(userId, usedrugUrl + doctorPrescription.PLAN_REMIND+"?userId="+userId, headers);
    },
    /**
     * 汇总统计服药人员
     * @param form
     * @param headers
     */
    sumUsedrug: async (handDto, headers: any) => {
        return await WebClient.requestResultDtoPost(handDto, usedrugUrl + doctorPrescription.SUM_USEDRUG, headers);
    },
    /**
     * 汇总统计服药人员
     * @param form
     * @param headers
     */
    doctorPending: async (pendingForm, headers: any) => {
        return await WebClient.requestResultDtoPost(pendingForm, usedrugUrl + doctorPrescription.PENDING, headers);
    },
}