import {ResultDto} from "../../model/ResultDto";
import {DocktorHandNumDto} from "../../model/usedrug/dto/DocktorHandNumDto";
import {DocktorTodoForm} from "../../model/usedrug/form/DocktorTodoForm";
import {DocktorTodoDto} from "../../model/usedrug/dto/DocktorTodoDto";
import {UsedrugHandForm} from "../../model/usedrug/form/UsedrugHandForm";
import {UrgeForm} from "../../model/usedrug/form/UrgeForm";
import {SumUsedrugForm} from "../../model/usedrug/form/SumUsedrugForm";
import {SumUsedrugDto} from "../../model/usedrug/dto/SumUsedrugDto";
import {DoctorPendingForm} from "../../model/usedrug/form/DoctorPendingForm";
import {DoctorPendingDto} from "../../model/usedrug/dto/DoctorPendingDto";

declare global {
    namespace DoctorPrescriptionDefine {
        /**
         * 医生处方管理
         */
        interface DoctorPrescription {
            /**
             * 获取医生代办事项数量
             * @param form
             * @param headers
             */
            DocktorHandNumList?: (startTime: string,endTime:string,orgId:string, headers: any) => Promise< ResultDto<DocktorHandNumDto>>;
            /**
             * 获取医生代办事项
             * @param form
             * @param headers
             */
            docktorToDoList?: (todoForm:DocktorTodoForm, headers: any) => Promise< ResultDto<DocktorTodoDto>>;
            /**
             * 未按医嘱服药处理
             * @param form
             * @param headers
             */
            usedrugHand?: (handDto:UsedrugHandForm, headers: any) => Promise< ResultDto<boolean>>;
            /**
             * 督促居民服药
             * @param form
             * @param headers
             */
            urgeRemind?: (urgeForm:UrgeForm, headers: any) => Promise< ResultDto<boolean>>;
            /**
             * 居民服药到期提醒
             * @param form
             * @param headers
             */
            planRemind?: (userId:string, headers: any) => Promise< ResultDto<boolean>>;
            /**
             * 汇总统计服药人员
             * @param form
             * @param headers
             */
            sumUsedrug?: (sumForm:SumUsedrugForm, headers: any) => Promise< ResultDto<SumUsedrugDto>>;

            /**
             * 医生待处理列表
             * @param form
             * @param headers
             */
            doctorPending?: (pendingForm:DoctorPendingForm, headers: any) => Promise< ResultDto<DoctorPendingDto[]>>;
        }
    }
}
export {};