import {WebClient} from "../../utils/WebClient";
import {UsedrugEnum, usedrugUrl} from "../../config/config";
// tslint:disable-next-line:no-var-requires
const JsonUtils = require('json-bigint')({"storeAsString": true});

export const PrescriptionApi: PrescriptionDefine.Prescription = {
    /**
     * 获取处方详情
     * @param form
     * @param headers
     */
    selectOne: async (form, headers: any) => {
        return await WebClient.requestResultDtoGet(form, usedrugUrl + UsedrugEnum.PRESCRIPTION_SELECT_ONE + form, headers);
    },
    /**
     * 分页查询处方信息
     * @param form
     * @param headers
     */
    page: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form, usedrugUrl + UsedrugEnum.PRESCRIPTION_PAGE, headers);
    },
    /**
     * 保存处方信息
     * @param form
     * @param headers
     */
    save: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form, usedrugUrl + UsedrugEnum.PRESCRIPTION_SAVE, headers);
    },
    /**
     * 修改处方状态
     * @param form
     * @param headers
     */
    updateStatus: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form, usedrugUrl + UsedrugEnum.PRESCRIPTION_STATUS, headers);
    },
    /**
     * 删除处方信息
     * @param form
     * @param headers
     */
    del: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form, usedrugUrl + UsedrugEnum.PRESCRIPTION_DEL, headers);
    },
    /**
     * 判断居民是否有服药记录
     * @param form
     * @param headers
     */
    usedrugState: async (userId, headers: any) => {
        return await WebClient.requestResultDtoGet(userId, usedrugUrl + UsedrugEnum.USEDRUG_STATE+"?userId="+userId, headers);
    },
}