import {ResultDto} from "../../model/ResultDto";
import {ResponsePageDto} from "../../model/ResponsePageDto";
import {PrescriptionDto} from "../../model/usedrug/dto/PrescriptionDto";
import {QueryPrescriptionForm} from "../../model/usedrug/form/QueryPrescriptionForm";
import {PrescriptionForm} from "../../model/usedrug/form/PrescriptionForm";
import {PrescriptionStatusForm} from "../../model/usedrug/form/PrescriptionStatusForm";
import {UsedrugPrescriptionEntity} from "../../model/usedrug/entity/UsedrugPrescriptionEntity";

declare global {
    namespace PrescriptionDefine {
        /**
         * 处方管理
         */
        interface Prescription {
            /**
             * 获取处方信息
             * @param form
             * @param headers
             */
            selectOne?: (id: string, headers: any) => Promise<ResultDto<PrescriptionDto>>;
            /**
             * 分页查询处方信息
             * @param form
             * @param headers
             */
            page?: (form: QueryPrescriptionForm, headers: any) => Promise<ResultDto<ResponsePageDto<PrescriptionDto>>>;
            /**
             * 保存处方信息
             * @param form
             * @param headers
             */
            save?: (form: PrescriptionForm, headers: any) => Promise< ResultDto<UsedrugPrescriptionEntity>>;
            /**
             * 修改处方状态
             * @param form
             * @param headers
             */
            updateStatus?: (form: PrescriptionStatusForm, headers: any) => Promise<ResultDto<Boolean>>;
            /**
             * 删除处方信息
             * @param form
             * @param headers
             */
            del?: (form: string[], headers: any) => Promise< ResultDto<Boolean>>;
            /**
             * 判断居民是否有服药信息
             */
            usedrugState?: (userId: string, headers: any) => Promise<ResultDto<Boolean>>;
        }
    }
}
export {};