import {WebClient} from "../../utils/WebClient";
import {UsedrugEnum, usedrugUrl, userDrug} from "../../config/config";
// tslint:disable-next-line:no-var-requires
const JsonUtils = require('json-bigint')({"storeAsString": true});

export const PrescriptionPlanApi: PrescriptionPlanDefine.PrescriptionPlan = {
    /**
     * 保存处方计划药品
     * @param form
     * @param headers
     */
    save: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form, usedrugUrl + UsedrugEnum.PLAN_SAVE, headers);
    },
    /**
     * 生成处方计划
     * @param form
     * @param headers
     */
    setPlan: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form, usedrugUrl + UsedrugEnum.PLAN_SET_PLAN, headers);
    },
    /**
     * 查看处方药品
     * @param form
     * @param headers
     */
    drugList: async (form, headers: any) => {
        return await WebClient.requestResultDtoGet(form, usedrugUrl + UsedrugEnum.PLAN_DRUG_lIST+"?prescriptionId="+form, headers);
    },
    /**
     * 查看处方药品
     * @param form
     * @param headers
     */
    planSurplusDrug: async (prescriptionId, headers: any) => {
        return await WebClient.requestResultDtoGet(prescriptionId, usedrugUrl + UsedrugEnum.PLAN_SURPLUS_DRUG+"?prescriptionId="+prescriptionId, headers);
    },
    /**
     * 获取居民服药计划
     * @param form
     * @param headers
     */
    drugPlan: async (pageForm, headers: any) => {
        return await WebClient.requestResultDtoPost(pageForm, usedrugUrl + userDrug.DRUG_PLAN, headers);
    },
}