import {ResultDto} from "../../model/ResultDto";
import {PlanStartTimeForm} from "../../model/usedrug/form/PlanStartTimeForm";
import {UsedrugPrescriptionPlanDto} from "../../model/usedrug/dto/UsedrugPrescriptionPlanDto";
import {PrescriptionPlanForm} from "../../model/usedrug/form/PrescriptionPlanForm";
import {DrugSurplusDto} from "../../model/usedrug/dto/drugSurplusDto";
import {BasePageForm} from "../../model/usedrug/form/BasePageForm";
import {DrugPlanDto} from "../../model/usedrug/dto/DrugPlanDto";
import {DrugPlanForm} from "../../model/usedrug/form/DrugPlanForm";

declare global {
    namespace PrescriptionPlanDefine {
        /**
         * 处方用药计划
         */
        interface PrescriptionPlan {
            /**
             * 保存处方计划药品
             * @param form
             * @param headers
             */
            save?: (form: PrescriptionPlanForm, headers: any) => Promise< ResultDto<Boolean>>;
            /**
             * 生成处方计划
             * @param form
             * @param headers
             */
            setPlan?: (form: PlanStartTimeForm, headers: any) => Promise< ResultDto<Boolean>>;
            /**
             * 查看处方药品
             * @param prescriptionId 处方ID
             * @param headers
             */
            drugList?: (prescriptionId: string, headers: any) => Promise<ResultDto<UsedrugPrescriptionPlanDto[]>>;
            /**
             * 计划内多余的药品数量
             * @param prescriptionId 处方ID
             * @param headers
             */
            planSurplusDrug?: (prescriptionId: string, headers: any) => Promise<ResultDto<DrugSurplusDto[]>>;
            /**
             * 获取居民服药计划
             * @param headers
             */
            drugPlan?: (pageForm: DrugPlanForm, headers: any) => Promise<ResultDto<DrugPlanDto[]>>;
        }
    }
}
export {};