import {WebClient} from "../../utils/WebClient";
import {ReactionEnum, UsedrugEnum, usedrugUrl, userDrug} from "../../config/config";
// tslint:disable-next-line:no-var-requires
const JsonUtils = require('json-bigint')({"storeAsString": true});

export const ReactionApi: ReactionDefine.Reaction = {
    /**
     * 分页查看不良反应
     * @param form
     * @param headers
     */
    page: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form, usedrugUrl + ReactionEnum.REACTION_PAGE, headers);
    },
    /**
     * 不良反应详情
     * @param form
     * @param headers
     */
    selectOne: async (id, headers: any) => {
        return await WebClient.requestResultDtoGet(id, usedrugUrl + ReactionEnum.REACTION_SELECT_ONE+id, headers);
    },
    /**
     * 添加不良反应
     * @param form
     * @param headers
     */
    save: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form, usedrugUrl + ReactionEnum.REACTION_SAVE, headers);
    },
    /**
     * 不良反应处理意见
     * @param form
     * @param headers
     */
    handleSave: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form, usedrugUrl + ReactionEnum.REACTION_HANDLE, headers);
    },
    /**
     * 获取居民不良反应
     * @param form
     * @param headers
     */
    userReaction: async (pageForm, headers: any) => {
        return await WebClient.requestResultDtoPost(pageForm, usedrugUrl + userDrug.USER_REACTION, headers);
    },
    /**
     * 药品不良反应症状
     * @param form
     * @param headers
     */
    reactionSymptom: async (userId, headers: any) => {
        return await WebClient.requestResultDtoGet(userId, usedrugUrl + ReactionEnum.REACTION_SYMPTOM+"?userId="+userId, headers);
    },

}