import {ResultDto} from "../../model/ResultDto";
import {ReactionPageForm} from "../../model/usedrug/form/ReactionPageForm";
import {UsedrugReactionDto} from "../../model/usedrug/dto/UsedrugReactionDto";
import {PageDto} from "../../model/PageDto";
import {ReactionDto} from "../../model/usedrug/dto/ReactionDto";
import {ReactionForm} from "../../model/usedrug/form/ReactionForm";
import {UsedrugReactionHandleForm} from "../../model/usedrug/form/UsedrugReactionHandleForm";
import {BasePageForm} from "../../model/usedrug/form/BasePageForm";
import {DrugReaction} from "../../model/usedrug/dto/DrugReaction";
import {UsedrugReactionDrugEntity} from "../../model/usedrug/entity/UsedrugReactionDrugEntity";
import {ReactionSymptomDto} from "../../model/usedrug/dto/ReactionSymptomDto";

declare global {
    namespace ReactionDefine {
        /**
         * 不良反应接口
         */
        interface Reaction {
            /**
             * 分页查询不良反应
             * @param form
             * @param headers
             */
            page?: (form: ReactionPageForm, headers: any) => Promise< ResultDto<PageDto<UsedrugReactionDto>>>;
            /**
             * 查询不良反应详情
             * @param form
             * @param headers
             */
            selectOne?: (id: string, headers: any) => Promise< ResultDto<ReactionDto>>;
            /**
             * 添加不良反应
             * @param prescriptionId 处方ID
             * @param headers
             */
            save?: (form: ReactionForm, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 不良反应处理意见
             * @param prescriptionId 处方ID
             * @param headers
             */
            handleSave?: (form: UsedrugReactionHandleForm, headers: any) => Promise<ResultDto<boolean>>;
            /**
             * 居民不良反应记录
             * @param headers
             */
            userReaction?: (form: BasePageForm, headers: any) => Promise<ResultDto<DrugReaction[]>>;
            /**
             * 药品不良反应症状
             * @param headers
             */
            reactionSymptom?: (userId: string, headers: any) => Promise<ResultDto<ReactionSymptomDto>>;
        }
    }
}
export {};