import {WebClient} from "../../utils/WebClient";
import {Remind, usedrugUrl, userDrug} from "../../config/config";
// tslint:disable-next-line:no-var-requires
const JsonUtils = require('json-bigint')({"storeAsString": true});

export const RemindApi: RemindDefine.Remind = {
    /**
     * 医生代领取药品
     * @param form
     * @param headers
     */
    page: async (form, headers: any) => {
        return await WebClient.requestResultDtoPost(form,usedrugUrl + Remind.REMIND_PAGE , headers);
    },

    /**
     * 居民服药记录
     * @param form
     * @param headers
     */
    drugRemind: async (pageForm, headers: any) => {
        return await WebClient.requestResultDtoPost(pageForm, usedrugUrl + userDrug.DRUG_REMIND, headers);
    },
    /**
     * 居民服药记录
     * @param form
     * @param headers
     */
    remindStatus: async (pageForm, headers: any) => {
        return await WebClient.requestResultDtoPost(pageForm, usedrugUrl + Remind.REMIND_STATUS, headers);
    },
    /**
     * 医生查看居民处方吃药状态
     * @param form
     * @param headers
     */
    prescriptionEatStatus: async (prescriptionId,startTime,endTime, headers: any) => {
        const url:string=usedrugUrl + Remind.EAT_STATUS+"?prescriptionId="+prescriptionId+"&startTime="+startTime+"&endTime="+endTime;
        return await WebClient.requestResultDtoGet(prescriptionId, url, headers);
    },
    /**
     * 医生查看居民吃药详情
     * @param form
     * @param headers
     */
    dayEatDrugLine: async (prescriptionId,startTime, headers: any) => {
        const url:string=usedrugUrl + Remind.EAT_EAT_DRUG+"?prescriptionId="+prescriptionId+"&startTime="+startTime;
        return await WebClient.requestResultDtoGet(prescriptionId, url, headers);
    },
}