import {ResultDto} from "../../model/ResultDto";
import {UsedrugRemindEntity} from "../../model/usedrug/entity/UsedrugRemindEntity";
import {RemindPageForm} from "../../model/usedrug/form/RemindPageForm";

import {BasePageForm} from "../../model/usedrug/form/BasePageForm";
import {DrugRemindDto} from "../../model/usedrug/dto/DrugRemindDto";
import {RemindTimeForm} from "../../model/usedrug/form/RemindTimeForm";
import {IndexToDoDto} from "../../model/usedrug/dto/IndexToDoDto";
import {UsedrugRemindHisStatusDto} from "../../../dist/src/model/usedrug/dto/UsedrugRemindHisStatusDto";

declare global {
    namespace RemindDefine {
        /**
         * 居民用药计划
         */
        interface Remind {
            /**
             * 分页查询服药提醒计划
             * @param form
             * @param headers
             */
            page?: (form: RemindPageForm, headers: any) => Promise< ResultDto<UsedrugRemindEntity[]>>;

            /**
             * 居民服药记录
             * @param UrgeForm
             * @param headers
             */
            drugRemind?: (form: BasePageForm, headers: any) => Promise< ResultDto<DrugRemindDto[]>>;
            /**
             * 居民时间段内正常、异常服药状态
             * @param UrgeForm
             * @param headers
             */
            remindStatus?: (form: RemindTimeForm, headers: any) => Promise< ResultDto<IndexToDoDto[]>>;
            /**
             * 医生查看居民处方吃药状态
             * @param UrgeForm
             * @param headers
             */
            prescriptionEatStatus?: (prescriptionId: string,startTime:string,endTime:string, headers: any) => Promise< ResultDto<IndexToDoDto[]>>;
            /**
             * 医生查看居民吃药详情
             * @param UrgeForm
             * @param headers
             */
            dayEatDrugLine?: (prescriptionId: string,startTime:string, headers: any) => Promise< ResultDto<UsedrugRemindHisStatusDto[]>>;
        }
    }
}
export {};