import {WebClient} from "../../utils/WebClient";
import {usedrugUrl, UserPrescription} from "../../config/config";
import {UsedrugEatForm} from "../../model/usedrug/form/UsedrugEatForm";
// tslint:disable-next-line:no-var-requires
const JsonUtils = require('json-bigint')({"storeAsString": true});

export const UserPrescriptionApi: UserPrescriptionDefine.UserPrescription = {

    /**
     * 居民查看当天吃药品详情
     * @param form
     * @param headers
     */
    userEatStatus: async (userId,startTime,endTime, headers: any) => {
        const url: string= usedrugUrl + UserPrescription.USER_EAT_STATUS+"?userId="+userId+"&startTime="+startTime+"&endTime="+endTime;
        return await WebClient.requestResultDtoGet(userId,url , headers);
    },
    /**
     * 获取居民当日服药早中晚状态
     * @param form
     * @param headers
     */
    userDrugStatus: async (userId: string,usedrugTime:string, headers: any) => {
        const url: string= usedrugUrl + UserPrescription.USERDRUG_STATUS+"?userId="+userId+"&usedrugTime="+usedrugTime;
        return await WebClient.requestResultDtoGet(userId,url , headers);
    },
    /**
     * 居民当日服药详情
     * @param form
     * @param headers
     */
    userDrugLine: async (userId: string,usedrugTime:string,remindType:string, headers: any) => {
        const url: string= usedrugUrl + UserPrescription.USERDRUG_LINE+"?userId="+userId+"&usedrugTime="+usedrugTime+"&remindType="+remindType;
        return await WebClient.requestResultDtoGet(userId,url , headers);
    },
    /**
     * 居民吃药
     * @param form
     * @param headers
     */
    userDrugEat: async (form: UsedrugEatForm[], headers: any) => {
        return await WebClient.requestResultDtoPost(form,usedrugUrl + UserPrescription.USERDRUG_EAT , headers);
    },

    /**
     * 居民查看当天吃药品详情
     * @param form
     * @param headers
     */
    userDrugList: async (userId,startTime, headers: any) => {
        const url: string= usedrugUrl + UserPrescription.USER_DRUG_LIST+"?userId="+userId+"&startTime="+startTime;
        return await WebClient.requestResultDtoGet(userId,url , headers);
    },



    /**
     * 药品余量查询
     * @param form
     * @param headers
     */
    drugSurplus: async (userId: string, headers: any) => {
        const url: string= usedrugUrl + UserPrescription.USERDRUG_DRUG_SURPLUS+"?userId="+userId;
        return await WebClient.requestResultDtoGet(userId,url , headers);
    },
    /**
     * 药品余量查询
     * @param form
     * @param headers
     */
    drugInfo: async (pageForm, headers: any) => {
        return await WebClient.requestResultDtoPost(pageForm,usedrugUrl + UserPrescription.DRUG_INFO, headers);
    },
    /**
     * 居民查看医生处理反馈
     * @param form
     * @param headers
     */
    handBack: async (handForm, headers: any) => {
        return await WebClient.requestResultDtoPost(handForm,usedrugUrl + UserPrescription.HAND_BACK, headers);
    },
}