import {ResultDto} from "../../model/ResultDto";
import {UsedrugRemindStatusDto} from "../../model/usedrug/dto/UsedrugRemindStatusDto";
import {UsedrugRemindLineDto} from "../../model/usedrug/dto/UsedrugRemindLineDto";
import {UsedrugEatForm} from "../../model/usedrug/form/UsedrugEatForm";
import {DrugSurplusDto} from "../../model/usedrug/dto/drugSurplusDto";
import {DayEatDrugDto} from "../../model/usedrug/dto/DayEatDrugDto";
import {UserEatStatusDto} from "../../model/usedrug/dto/UserEatStatusDto";
import {DrugInfoDto} from "../../model/common/drug/dto/DrugInfoDto";
import {PageUserForm} from "../../model/usedrug/form/PageUserForm";
import {HandBackForm} from "../../model/usedrug/form/HandBackForm";
import {HandBackDto} from "../../model/usedrug/dto/HandBackDto";

declare global {
    namespace UserPrescriptionDefine {
        /**
         * 居民吃药管理
         */
        interface UserPrescription {
            /**
             * 居民服药状态
             * @param form
             * @param headers
             */
            userEatStatus?: (userId: string, startTime: string, endTime: string, headers: any) => Promise<ResultDto<UserEatStatusDto[]>>;

            /**
             * 获取居民当日服药早中晚状态
             * @param form
             * @param headers
             */
            userDrugStatus?: (userId: string, usedrugTime: string, headers: any) => Promise<ResultDto<UsedrugRemindStatusDto[]>>;

            /**
             * 居民当日服药详情
             * @param form
             * @param headers
             */
            userDrugLine?: (userId: string, usedrugTime: string, remindType: string, headers: any) => Promise<ResultDto<UsedrugRemindLineDto[]>>;

            /**
             * 居民吃药
             * @param form
             * @param headers
             */
            userDrugEat?: (form: UsedrugEatForm[], headers: any) => Promise<ResultDto<string>>;

            /**
             * 居民查看当天吃药品详情
             * @param form
             * @param headers
             */
            userDrugList?: (userId: string, startTime: string, headers: any) => Promise<ResultDto<DayEatDrugDto[]>>;
            /**
             * 药品余量查询
             * @param form
             * @param headers
             */
            drugSurplus?: (userId: string, headers: any) => Promise<ResultDto<DrugSurplusDto[]>>;
            /**
             * 药品说明
             * @param form
             * @param headers
             */
            drugInfo?: (pageForm: PageUserForm, headers: any) => Promise<ResultDto<DrugInfoDto[]>>;
            /**
             * 居民查看医生处理反馈
             * @param form
             * @param headers
             */
            handBack?: (handForm: HandBackForm, headers: any) => Promise<ResultDto<HandBackDto[]>>;
        }
    }
}
export {};