import {ClassRoomResourcesDto} from "../../../../dist/src/model/classroom/dto/ClassRoomResourcesDto";
import {ClassTeacherDto} from "./ClassTeacherDto";

export class ClassRoomDto {
    /**
     * id
     */
    id: string;
    /**
     * 标题
     */
    title: string;
    /**
     * 地点
     */
    place: string;
    /**
     * 主讲人
     */
    teacher: string;
    /**
     * 主办方
     */
    sponsor: string;
    /**
     * 封面
     */
    cover: string;
    /**
     * 预计开始时间
     */
    beginTime: string;
    /**
     * 预计结束时间
     */
    endTime: string;
    /**
     * 签到开始时间
     */
    signBeginTime: string;
    /**
     * 签到结束时间
     */
    signEndTime: string;
    /**
     * 课id
     */
    classId: string;
    /**
     * 课id
     */
    className: string;
    /**
     * 上课形式
     */
    formType: string;
    /**
     * 试卷id
     */
    testPaperId: string;
    /**
     * 试卷名称
     */
    testPaperName: string;
    /**
     * 简介
     */
    remark: string;
    /**
     * 排序
     */
    sort: number;
    /**
     * 创建人
     */
    createBy: string;
    /**
     * 创建人名称
     */
    createName: string;
    /**
     * 创建时间
     */
    createTime: string;
    /**
     * 状态
     */
    status: string;
    /**
     * 删除标志
     */
    deleted: boolean;

    /**
     * 资源
     */
    classRoomResourcesDtos: ClassRoomResourcesDto[];

    /**
     * 主讲人列表
     */
    classTeacherDtos: ClassTeacherDto[];

    /**
     * 是否报名
     */
    signUp: boolean;

    /**
     * 是否学习
     */
    study: boolean;

    /**
     * 是否考试
     */
    test: boolean;

    /**
     * 考试人数
     */
    testClount: boolean;


    /**
     * 签到id
     */
    signId: string;

    /**
     * 签到时间
     */
    signInTime: string;
    /**
     * 签退时间
     */
    signOutTime: string;

}