/**
 * class_room-课堂(ClassRoom)添加-修改表单父类
 *
 * @author stoneyong
 * @since 2020-11-02 11:43:41
 */
import {SaveClassRoomResourcesForm} from "../../../../dist/src/model/classroom/form/ClassRoomResourcesForm";

export interface ClassRoomForm {

    /**
     * 标题
     */
    title?: string,
    /**
     * 地点
     */
    place?: string,
    /**
     * 主讲人
     */
    teacher?: string,
    /**
     * 主办方
     */
    sponsor?: string,
    /**
     * 封面
     */
    cover?: string,
    /**
     * 预计开始时间
     */
    beginTime?: string,
    /**
     * 预计结束时间
     */
    endTime?: string,
    /**
     * 签到开始时间
     */
    signBeginTime?: string,
    /**
     * 签到结束时间
     */
    signEndTime?: string,
    /**
     * 课id
     */
    classId?: string,
    /**
     * 上课形式
     */
    formType?: string,
    /**
     * 试卷id
     */
    testPaperId?: string,
    /**
     * 试卷名称
     */
    testPaperName?: string,
    /**
     * 简介
     */
    remark?: string,
    /**
     * 排序
     */
    sort?: number,
    /**
     * 状态
     */
    status?: string,
}

export interface SaveClassRoomForm extends ClassRoomForm {

    /**
     * 标题
     */
    title: string,
    /**
     * 地点
     */
    place: string,
    /**
     * 主讲人
     */
    teacher: string,
    /**
     * 主办方
     */
    sponsor: string,
    /**
     * 封面
     */
    cover: string,
    /**
     * 预计开始时间
     */
    beginTime: string,
    /**
     * 预计结束时间
     */
    endTime: string,
    /**
     * 签到开始时间
     */
    signBeginTime: string,
    /**
     * 签到结束时间
     */
    signEndTime: string,
    /**
     * 课id
     */
    classId: string,
    /**
     * 课id
     */
    className: string,
    /**
     * 上课形式
     */
    formType: string,
    /**
     * 试卷id
     */
    testPaperId: string,
    /**
     * 试卷名称
     */
    testPaperName: string,
    /**
     * 简介
     */
    remark: string,

    /**
     * 资源列表
     */
    classRoomResourcesDtos: SaveClassRoomResourcesForm[],

    /**
     * 教师列表
     */
    teacherIds?: string[];
}


export interface UpdClassRoomForm extends ClassRoomForm {

    /**
     * id
     */
    id: string,
    /**
     * 资源列表
     */
    classRoomResourcesDtos?: SaveClassRoomResourcesForm[],

    /**
     * 教师列表
     */
    teacherIds?: string[];

}