export interface BannerDto{
    id:number,
    /**
     * 名称
     */
    bannerName:string,
    /**
     * 地址
     */
    bannerUrl:string,
    /**
     * 类型：BANNER:banner图，AD:广告
     */
    bannerType:string,
    /**
     * 平台：platform_1：天天记
     platform_2:服药管理
     platform_3:通用平台
     */
    platform:string,
    /**
     * 是否跳转：true:跳转 false:不跳转
     */
    jump:boolean,
    /**
     * 跳转类型：jump_type_1:内部跳转
     jump_type_2:外部跳转
     */
    jumpType:string,
    /**
     * 跳转路径
     */
    jumpUrl?:string,
    /**
     * 发布状态
     */
    releaseStatus:string,
    /**
     * true:首页 false:不是首页
     */
    homeIndex:boolean,
    /**
     * 模块code
     */
    modelLayoutCode:string,
    /**
     * 模块name
     */
    modelLayoutName:string,

    clientLayoutCode?:string,
    /**
     * 客户端name
     */
    clientLayoutName?:string,
    /**
     * 页面name
     */
    pageLayoutName?:string,
    /**
     * 页面code
     */
    pageLayoutCode?:string,
    /**
     * 状态
     */
    status?:string;
    /**
     * 人群code
     */
    crowd?:string;

    /**
     * 展示时间
     */
    showTime?:Date;
    /**
     * 消失时间
     */
    hiddenTime?:Date;
}