/**
 * 公共-表单问题表(CommonFormQuestion)添加-修改表单父类
 *
 * @author makejava
 * @since 2021-01-07 09:06:27
 */
import {CommonFormOptionForm} from "./CommonFormOptionForm";
import {CommonFormFillsForm} from "./CommonFormFillsForm";

export interface CommonFormQuestionForm {

    /**
     * 问题类型
     */
    questionType?: string,
    /**
     * 所属表单
     */
    formId?: string,
    /**
     * 是否必答
     */
    facingFlag?: boolean,
    /**
     * 标题
     */
    title?: string,
    /**
     * 是否为多行输入框
     */
    multiLineFlag?: boolean,
    /**
     * 填写类型
     */
    fillInType?: string,
    /**
     * 是否可以新增
     */
    saveFlag?: boolean,
    /**
     * code
     */
    code?: string,
    /**
     * 上级code
     */
    parentCode?: string,
    /**
     * 跳转url
     */
    jumpUrl?: string,
    /**
     * 排序
     */
    sort?: number,
    /**
     * 状态
     */
    status?: string,
    /**
     * 备注
     */
    remark?: string,

    /**
     * 选项列表
     * @return
     */
    optionList?:CommonFormOptionForm[];

    /**
     * 多项填空列表
     * @return
     */
    fillList?:CommonFormFillsForm[];
}

export interface SaveCommonFormQuestionForm extends CommonFormQuestionForm {

    /**
     * 问题类型
     */
    questionType: string,
    /**
     * 所属表单
     */
    formId: string,
    /**
     * 是否必答
     */
    facingFlag: boolean,
    /**
     * 标题
     */
    title: string,
    /**
     * 是否为多行输入框
     */
    multiLineFlag: boolean,
    /**
     * 填写类型
     */
    fillInType: string,
    /**
     * 是否可以新增
     */
    saveFlag: boolean,
    /**
     * code
     */
    code: string,
    /**
     * 上级code
     */
    parentCode: string,
    /**
     * 跳转url
     */
    jumpUrl: string,
    /**
     * 备注
     */
    remark: string,
}


export interface UpdCommonFormQuestionForm extends CommonFormQuestionForm {

    /**
     * id
     */
    id: string,

}