/**
 * common-功能按钮(CommonMenu)添加-修改表单父类
 *
 * @author Ma
 * @since 2020-09-21 15:25:13
 */
import {PageForm} from "../../PageForm";
import {CommonMenuPortrayal} from "./CommonMenuPortrayal";

export interface CommonMenuForm extends PageForm {

    /**
     * 标题
     */
    title?: string,
    /**
     * 所属模块字典
     */
    belong?: string,

    /**
     * 状态
     */
    status?: string,
    /**
     * 跳转类型
     */
    jumpType?: string,
    /**
     * 菜单类型
     */
    menuType?: string,
    /**
     * 是否为通用菜单
     */
    generalFlag?: boolean,
}

export interface saveCommonMenuForm {

    /**
     * 上级Id
     */
    pId: string,
    /**
     * 标题
     */
    title: string,
    /**
     * 图标
     */
    icon: string,
    /**
     * 背景颜色
     */
    bkColor: string,
    /**
     * 字体
     */
    font: string,
    /**
     * 字体颜色
     */
    fontColor: string,
    /**
     * 字体大小
     */
    fontSize: string,
    /**
     * 所属模块字典
     */
    belong: string,
    /**
     * 备注
     */
    remark: string,
    /**
     * 状态
     */
    status: string,
    /**
     * 跳转类型
     */
    jumpType: string,
    /**
     * 跳转路径
     */
    jumpUrl: string,
    /**
     * 跳转数据包
     */
    jumpData: string,
    /**
     * 菜单类型
     */
    menuType: string,
    /**
     * 是否为通用菜单
     */
    generalFlag: boolean,

    menuPortrayalList?:CommonMenuPortrayal[];
}


export interface updCommonMenuForm extends saveCommonMenuForm {
    id: number
}