import {PageForm} from "../../PageForm";


/**
 * 试卷-答题记录(ExaAnswer)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-03 08:53:06
 */

export interface ExaAnswerForm extends PageForm {

    /**
     * 用户Id
     */
    userId?: string,
    /**
     * 试卷Id
     */
    papId?: string,
    /**
     * 来源记录Id
     */
    sourceId?: string,

    /**
     * 得分
     */
    score?: number,
    /**
     * 是否合格
     */
    qualifiedFlag?: boolean,
    /**
     * 开始答题时间
     */
    startTime?: Date,
    /**
     * 结束答题时间
     */
    endTime?: Date,
    /**
     * 机构id
     */
    orgId?: string,
    /**
     * 源类型
     */
    sourceType?: string,
    /**
     * 状态
     */
    status?: string,
}
export interface RequestAnswerForm extends PageForm{
    /**
     * 用户Id
     */
    userId?: string[],
    /**
     * 试卷Id
     */
    papId?: string,
    /**
     * 来源记录Id
     */
    sourceId?: string,
    /**
     * 机构id
     */
    orgId?: string,
}
export interface SaveExaAnswerForm {

    /**
     * 用户Id
     */
    userId: string,
    /**
     * 试卷Id
     */
    papId: string,
    /**
     * 来源记录Id
     */
    sourceId: string,
    /**
     * 来源记录标题
     */
    sourceTitle: string,
    /**
     * 得分
     */
    score: number,
    /**
     * 是否合格
     */
    qualifiedFlag: boolean,

    /**
     * 结束答题时间
     */
    endTime: Date,
    /**
     * 机构id
     */
    orgId: string,
    /**
     * 源类型
     */
    sourceType: string,
}


export interface UpdExaAnswerForm extends SaveExaAnswerForm {

    /**
     * id
     */
    id: string,

}