import {PageForm} from "../../PageForm";
import {SaveExaPapQueForm} from "./ExaPapQueForm";


/**
 * 试卷-试卷(ExaPaper)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-03 08:53:04
 */

export interface ExaPaperForm extends PageForm {
    orgId:number;
    /**
     * 标题
     */
    title?: string,

    /**
     * 考试类型
     */
    exaType?: string,

    /**
     * 答题模式(true:错误继续  false:错误下一题)
     */
    answerSwitch:boolean;
    /**
     * 排序
     */
    sort?: number,
    /**
     * 状态
     */
    status?: string,
    /**
     * 总分
     */
    totalScore?: number,
    /**
     * 合格分数
     */
    qualifiedScore?: number,
}

export interface SaveExaPaperForm {
    orgId:number;
    /**
     * 标题
     */
    title: string,
    /**
     * 试卷时长，单位分钟
     */
    duration: number,
    /**
     * 考试类型
     */
    exaType: string,
    /**
     * 描述
     */
    exaDesc: string,
    /**
     * 图片，多个逗号分隔
     */
    imgs: string,
    /**
     * 答题模式(true:错误继续  false:错误下一题)
     */
    answerSwitch:boolean;
    /**
     * 总分
     */
    totalScore: number,
    /**
     * 合格分数
     */
    qualifiedScore: number,

    /**
     * 关联题目列表
     */
    papQueFormList?:SaveExaPapQueForm[];

}


export interface UpdExaPaperForm extends SaveExaPaperForm {

    /**
     * id
     */
    id: string,

}