import {PageForm} from "../../PageForm";
import {SaveExaOptionForm} from "./ExaOptionForm";


/**
 * 试卷-问题(ExaQuestion)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-03 08:43:01
 */

export interface ExaQuestionForm extends PageForm {

    /**
     * 题目标题
     */
    title?: string,
    /**
     * 题目图片,多个逗号分隔
     */
    imgs?: string,
    /**
     * 解析
     */
    parsing?: string,
    /**
     * 题目类型：problem_type_1单选 problem_type_2多选problem_type_3问答(单行文本)problem_type_4问答(多行文本)
     */
    queType?: string,
    /**
     * 状态
     */
    status?: string,
    /**
     * 排序
     */
    sort?: number,
}

export interface SaveExaQuestionForm {

    /**
     * 题目标题
     */
    title: string,
    /**
     * 题目图片,多个逗号分隔
     */
    imgs: string,
    /**
     * 解析
     */
    parsing: string,
    /**
     * 题目类型：problem_type_1单选 problem_type_2多选problem_type_3问答(单行文本)problem_type_4问答(多行文本)
     */
    queType: string,

    /**
     * 选项列表
     */
    exaOptionEntityList:SaveExaOptionForm[];
}


export interface UpdExaQuestionForm extends SaveExaQuestionForm {

    /**
     * id
     */
    id: string,

}