import {ItemAttrDto} from "./ItemAttrDto";
import {ItemLectureDto} from "./ItemLectureDto";
import {ItemMissionDto} from "./ItemMissionDto";
import {TaskPerformTitleDto} from "../../task/dto/TaskPerformTitleDto";

export class ItemDto {


    /**
     * 项目为专栏时的展示次数
     */
    showNum: number;
    /**
     * 项目为专栏的时候展示时长
     */
    showLen: number;
    /**
     * 项目为音像教育的时候--是否当年新增
     */
    newYearFlag: boolean;
    /**
     * 项目为宣教的时候的类型
     */
    missionType: string;


    /**
     * 对应的任务code
     */
    taskCode: string;
    /**
     * 发布状态
     */
    releaseStatus: string
    //@ApiModelProperty(value = "开始结束")
    startEnd: string;
    //@ApiModelProperty(value = "发布时间")
    releaseTime: string;
    //@ApiModelProperty(value = "执行人")
    executorUserName: string;
    id: string;
    /**
     * 类型(任务类型)
     */
    itemType: string;
    /**
     * 标题
     */
    title: string;
    /**
     * 详细地址
     */
    address: string;
    /**
     * 经度
     */
    lon: string;
    /**
     * 纬度
     */
    lat: string;
    /**
     * 举办机构
     */
    orgId: string;
    /**
     * 开始时间
     */
    startTime: Date;
    /**
     * 结束时间
     */
    endTime: Date;
    /**
     * 是否包含中医
     */
    chiMedFlag: boolean;
    /**
     * 活动创建人
     */
    establishUser: string;
    /**
     * 创建人名称
     */
    establishUserName: string;
    /**
     * 图片
     */
    img: string;
    /**
     * 内容
     */
    con: string;
    /**
     * 总结
     */
    summary: string;
    /**
     * 描述
     */
    itemDesc: string;
    /**
     * 完成时间
     */
    finishTime: Date;
    /**
     * 完成标志
     */
    finishFlag: boolean;
    /**
     * 排序
     */
    sort: string;
    /**
     * 状态
     */
    status: string;
    /**
     * 其他属性列表
     */
    attrList: ItemAttrDto[];

    browseNum: number;

    //@ApiModelProperty(value = "是否参加")
    partFlag: boolean;
    //@ApiModelProperty(value = "是否评价")
    evaFlag: boolean;
    /**
     * 物料类型
     */
    articleType: string;

    //@ApiModelProperty("类型为讲座时的特殊信息")
    lectureList:ItemLectureDto[];
    //@ApiModelProperty("类型为宣教时的特殊信息")
    missionList:ItemMissionDto[];
    //@ApiModelProperty("选择的任务信息")
    taskInfo:TaskPerformTitleDto;
    createTime:string;

}