/**
 * 项目-项目主表(健康宣教等.........)(Item)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-09-23 18:06:55
 */
import {ItemLectureForm} from "./ItemLectureForm";
import {ItemMissionForm} from "./ItemMissionForm";
import {ItemAttrForm} from "./ItemAttrForm";

export interface ItemForm {
    /**
     * 类型(任务类型)
     */
    itemType?: string,
    /**
     * 标题
     */
    title?: string,
    /**
     * 详细地址
     */
    address?: string,
    /**
     * 经度
     */
    lon?: string,
    /**
     * 纬度
     */
    lat?: string,
    /**
     * 举办机构
     */
    orgId?: string,
    /**
     * 开始时间
     */
    startTime?: string,
    /**
     * 结束时间
     */
    endTime?: string,
    /**
     * 是否包含中医
     */
    chiMedFlag?: boolean,
    /**
     * 活动创建人
     */
    establishUser?: string,
    /**
     * 创建人名称
     */
    establishUserName?: string,
    /**
     * 图片
     */
    img?: string,
    /**
     * 内容
     */
    con?: string,
    /**
     * 总结
     */
    summary?: string,
    /**
     * 描述
     */
    itemDesc?: string,
    /**
     * 完成时间
     */
    finishTime?: string,
    /**
     * 完成标志
     */
    finishFlag?: boolean,
    /**
     * 排序
     */
    sort?: string,
    /**
     * 状态
     */
    status?: string,


    /**
     * 项目为宣教的时候的类型
     */
    missionType?: string,

    /**
     * 项目为专栏时的展示次数
     */
    showNum?: number,
    /**
     * 项目为专栏的时候展示时长
     */
    showLen?: number,
    /**
     * 项目为音像教育的时候--是否当年新增
     */
    newYearFlag?: boolean,

    /**
     * 任务对应的code
     */
    taskCode?: string,

    // @ApiModelProperty(value = "健康讲座的特殊属性")
    lectureList?: ItemLectureForm[],

    //  @ApiModelProperty(value = "宣教的特殊属性")


    missionList?: ItemMissionForm[],

    /**
     * 发布状态
     */
    releaseStatus?:string,

    attrList?:ItemAttrForm[],

    articleType?:string,
}

export interface SaveItemForm extends ItemForm {

    /**
     * 类型(任务类型)
     */
    itemType: string,
    /**
     * 标题
     */
    title: string,
    /**
     * 详细地址
     */
    address: string,
    /**
     * 经度
     */
    lon: string,
    /**
     * 纬度
     */
    lat: string,
    /**
     * 举办机构
     */
    orgId: string,
    /**
     * 开始时间
     */
    startTime: string,
    /**
     * 结束时间
     */
    endTime: string,
    /**
     * 是否包含中医
     */
    chiMedFlag: boolean,
    /**
     * 活动创建人
     */
    establishUser: string,
    /**
     * 创建人名称
     */
    establishUserName: string,
    /**
     * 图片
     */
    img: string,
    /**
     * 内容
     */
    con: string,
    /**
     * 总结
     */
    summary: string,
    /**
     * 描述
     */
    itemDesc: string,

    attrList:ItemAttrForm[],
}


export interface UpdItemForm extends ItemForm {

    /**
     * id
     */
    id: string,

}