// @ts-ignore
import {LocalDateTime} from "../../LocalDateTime";
import {NoticePlayDto} from "./NoticePlayDto";

export class NoticeDto {
    // id
    id:string ;
    // 标题
    title :string ;
    /**
     * 通知类型(见字典)
     */
    noticeType:string ;
    /**
     * 通知来源(见字典)
     */
    source:string ;
    /**
     * 数据类型
     */
    dataType :string ;
    /**
     * 跳转类型
     */
    jumpType :string ;
    /**
     * 跳转url
     */
    jumpUrl: string ;
    /**
     * 内容(视频为视频地址，音频为音频地址，图片为图片地址；多个英文逗号分隔)
     */
    content :string ;
    /**
     * 发布时间
     */
    releaseTime: LocalDateTime ;
    /**
     * 发布人的userId
     */
    releaseUser : string ;
    /**
     * 封面
     */
    cover :string ;
    /**
     * 开始日期
     */
    startDate: LocalDateTime ;
    /**
     * 结束日期
     */
    endDate: LocalDateTime ;
    /**
     * 重要程度
     */
    significance :string ;
    /**
     * 接收的机构，多个逗号分隔
     */
    recOrgIds : string ;
    /**
     * 接收的身份
     */
    recIdentity : string ;
    /**
     * 接收的userId
     */
    recUsers : string ;
    /**
     * 接收的区域
     */
    recArea : string ;

    noticePlayDtoList : NoticePlayDto[];

    /**
     *  阅读次数，0次为未读
     */
    readCount : number;

    /**
     * 发布状态
     */
    releaseStatus?:string;

    /**
     *  计划阅读总人数
     */
    readAllNum:number;


    /**
     * 接收机构的名称
     */
    recOrgNames?:string;


}