import {NoticePlayForm} from "./NoticePlayForm";

export interface NoticeForm {
    // 标题
    title?: string,
    // 通知类型(见字典)
    noticeType?: string,
    // 通知来源(见字典)
    source?: string,
    // 数据类型
    dataType?: string,
    // 跳转类型
    jumpType?: string,
    // 跳转url
    jumpUrl?: string,
    // 内容(视频为视频地址，音频为音频地址，图片为图片地址；多个英文逗号分隔)
    content?: string,
    // 发布时间
    releaseTime?: string,
    // 发布者
    releaseUser?: string,
    // 封面
    cover?: string,
    // 开始日期
    startDate?: string,
    // 结束日期
    endDate?: string,
    // 重要程度
    significance?: string,
    // 接收的机构，多个逗号分隔
    recOrgIds?: string,
    // 接收的身份
    recIdentity?: string,
    // 接收的userId
    recUsers?: string,
    // 接收的区域
    recAre?: string;
    // 播放时间段
    noticePlayList?: NoticePlayForm[];

    // 发布状态
    releaseStatus?:string;
// 发布者机构
    publisherOrg?:string;

    /**
     * 接收者机构的names
     * @return
     */
    recOrgNames?:string;
}

export interface SaveNoticeForm extends NoticeForm{

    // 标题
    title: string,
    // 通知类型(见字典)
    noticeType: string,
    // 通知来源(见字典)
    source?: string,
    // 数据类型
    dataType: string,
    // 跳转类型
    jumpType: string,
    // 跳转url
    jumpUrl?: string,
    // 内容(视频为视频地址，音频为音频地址，图片为图片地址；多个英文逗号分隔)
    content: string,
    // 发布时间
    releaseTime?: string,
    // 发布者
    releaseUser?: string,
    // 封面
    cover: string,
    // 开始日期
    startDate: string,
    // 结束日期
    endDate: string,
    // 重要程度
    significance: string,
    // 接收的机构，多个逗号分隔
    recOrgIds: string,
    // 接收的身份
    recIdentity: string,
    // 接收的userId
    recUsers: string,
    // 接收的区域
    recAre: string;
    // 播放时间段
    noticePlayList: NoticePlayForm[];

}
export interface UpdNoticeForm extends NoticeForm {
    id:string,
}