import {PageForm} from "../../PageForm";
import {SaveQuestionnaireRecordForm} from "./QuestionnaireRecordForm";
import {SaveQuestionnaireReleaseObjForm} from "./QuestionnaireReleaseObjForm";


/**
 * 问卷(Questionnaire)添加-修改表单父类
 *
 * @author makejava
 * @since 2020-11-18 17:24:19
 */

export interface QuestionnaireForm extends PageForm {

    /**
     * 问卷名称
     */
    questionnaireName?: string,
    /**
     * 起始日期（默认为当前创建时间）
     */
    startTime?: Date,
    /**
     * 结束日期（默认为无限制，既为null）
     */
    endTime?: Date,
    /**
     * 是否提醒
     */
    whetherWarn?: boolean,
    /**
     * 状态
     */
    status?: string,
}

export interface SaveQuestionnaireForm {

    /**
     * 问卷名称
     */
    questionnaireName: string,
    /**
     * 起始日期（默认为当前创建时间）
     */
    startTime: Date,
    /**
     * 结束日期（默认为无限制，既为null）
     */
    endTime: Date,
    /**
     * 是否提醒
     */
    whetherWarn: boolean,
    /**
     * 提醒时间
     */
    warnTime: Date,
    /**
     * 说明
     */
    questionnaireExplain: string,
    /**
     * 是否投放
     */
    whetherRelease: boolean,
    /**
     * 备注
     */
    remark: string,

    questionnaireReleaseObjFormList:SaveQuestionnaireReleaseObjForm[];
}


export interface UpdQuestionnaireForm extends SaveQuestionnaireForm {

    /**
     * id
     */
    id: string,

}