/**
 * satisfaction-满意度调查沟通(SatisfactionCommunicate)添加-修改表单父类
 *
 * @author stoneyong
 * @since 2020-10-22 18:08:29
 */

export interface SatisfactionCommunicateForm {

    /**
     * 满意度详情ID
     */
    detailsId?: string,
    /**
     * 居民ID
     */
    userId?: string,
    /**
     * 是否满意
     */
    satisfied?: number,
    /**
     * 沟通内容
     */
    content?: string,
    /**
     * 状态
     */
    status?: string,
}

export interface SaveSatisfactionCommunicateForm extends SatisfactionCommunicateForm {

    /**
     * 满意度详情ID
     */
    detailsId: string,
    /**
     * 居民ID
     */
    userId: string,
    /**
     * 沟通内容
     */
    content: string,

    /**
     * 理由
     */
    reasonContent?: string;
    /**
     * 是否处理
     */
    handle?: boolean;
    /**
     * 填写类型
     */
    fillType?: string;

    /**
     * 标题
     */
    title?: string;

    /**
     * 机构id
     */
    orgId?: string;

    /**
     * 关联对象类型
     */
    relationType?: string;
    /**
     * 宣教类型
     */
    sourceType?: string,
    /**
     * 关联对象id
     */
    relationId?: string;
    /**
     * 关联对象名称
     */
    relationName?: string;
    /**
     * 热词组id
     */
    phrasesId?: string;
}


export interface UpdSatisfactionCommunicateForm extends SatisfactionCommunicateForm {

    /**
     * id
     */
    id: string,

}