/**
 * satisfaction-满意度调查(Satisfaction)添加-修改表单父类
 *
 * @author stoneyong
 * @since 2020-10-22 17:20:54
 */

export interface SatisfactionForm {

    /**
     * 标题
     */
    title?: string,
    /**
     * 发起人类型
     */
    sponsorType?: string,
    /**
     * 发起人id
     */
    sponsorId?: string,
    /**
     * 发起人名称
     */
    sponsorName: string;
    /**
     * 机构id
     */
    orgId?: string,
    /**
     * 机构path
     */
    orgPath?: string,
    /**
     * 部门id
     */
    departmentId?: string,
    /**
     * 部门path
     */
    departmentPath?: string,
    /**
     * 关联对象类型
     */
    relationType?: string,
    /**
     * 宣教类型
     */
    sourceType?: string,
    /**
     * 关联对象id
     */
    relationId?: string,
    /**
     * 关联对象名称
     */
    relationName: string;
    /**
     * 参与人数
     */
    respondentsNumber?: number,
    /**
     * 热词组id
     */
    phrasesId?: string,
    /**
     * 状态
     */
    status?: string,
}

export interface SaveSatisfactionForm extends SatisfactionForm {

    /**
     * 标题
     */
    title: string,
    /**
     * 发起人类型
     */
    sponsorType: string,
    /**
     * 发起人id
     */
    sponsorId: string,
    /**
     * 机构id
     */
    orgId: string,
    /**
     * 关联对象类型
     */
    relationType: string,
    /**
     * 关联对象id
     */
    relationId: string,
    /**
     * 参与人数
     */
    respondentsNumber: number,
    /**
     * 热词组id
     */
    phrasesId?: string,
    /**
     * 用户id集合
     */
    userIdList: string[];
}


export interface UpdSatisfactionForm extends SatisfactionForm {

    /**
     * id
     */
    id: string,

}