import {TaskAssociatedForm} from "./TaskAssociatedForm";
import {TaskIntervalForm} from "./TaskIntervalForm";
import {OrgForm} from "./OrgForm";

export interface TaskForm {

    /**
     * 服务人群的字典值集合，多个逗号分隔
     */
    crowds:string,
    /**
     * 至少需要上传图片的数量
     */
    needUpImg:number,
    /**
     * 是否需要发放资料
     */
    needSupplies:boolean,
    /**
     * 执行的区域名，多个逗号分隔
     */
    executeAreas:string,
    /**
     * 执行的机构名，多个逗号分隔
     */
    executeOrgNames:string,

    /**
     * 标题
     */
    title?:string,
    /**
     * 内容
     */
    content?: string,
    /**
     * code
     */
    code?:string ,
    /**
     * 类型
     */
    taskType?: string,
    /**
     * 描述
     */
    taskDescribe?: string ,
    /**
     * 备注
     */
    remark?:string,
    /**
     * 重要等级
     */
    significance?:string ,
    /**
     * 图标
     */
    icon?:string,
    /**
     * 下达机构
     */
    orgId?: string,
    /**
     * 下达机构名
     */
    orgName?: string ,

    // /**
    //  * 任务 相关的列表
    //  * 执行区域或者机构
    //  */
    //  associatedList?:TaskAssociatedForm[],

    /**
     * 任务执行时间和频率的列表
     */
    intervalList?:TaskIntervalForm[],
    /**
     * 大图
     */
    img?:string,
    /**
     * 执行机构和名称
     */
    executorOrgList?:OrgForm[],
    /**
     * 任务执行的区域code
     */
    areaCodes?:string,
}

export interface SaveTaskForm extends TaskForm{
    /**
     * 服务人群的字典值集合，多个逗号分隔
     */
    crowds:string,
    /**
     * 至少需要上传图片的数量
     */
    needUpImg:number,
    /**
     * 是否需要发放资料
     */
    needSupplies:boolean,
    /**
     * 执行的区域名，多个逗号分隔
     */
    executeAreas:string,
    /**
     * 执行的机构名，多个逗号分隔
     */
    executeOrgNames:string,

    /**
     * 标题
     */
    title?:string,
    /**
     * 内容
     */
    content?: string,
    /**
     * code
     */
    code?:string ,
    /**
     * 类型
     */
    taskType?: string,
    /**
     * 描述
     */
    taskDescribe?: string ,
    /**
     * 备注
     */
    remark?:string,
    /**
     * 重要等级
     */
    significance?:string ,
    /**
     * 图标
     */
    icon?:string,
    /**
     * 下达机构
     */
    orgId?: string,
    /**
     * 下达机构名
     */
    orgName?: string ,

    // /**
    //  * 任务 相关的列表
    //  * 执行区域或者机构
    //  */
    //  associatedList?:TaskAssociatedForm[],

    /**
     * 任务执行时间和频率的列表
     */
    intervalList?:TaskIntervalForm[],
    /**
     * 大图
     */
    img?:string,
    /**
     * 执行机构和名称
     */
    executorOrgList:OrgForm[],
    /**
     * 任务执行的区域code
     */
    areaCodes:string,

}

export interface UpdTaskForm extends TaskForm{

    /**
     * id
     */
    id:string,

}