export interface TrackForm {
    /**
     * 开始时间 yyyy-MM-dd HH:mm:ss
     */
    startTime?:string,

    /**
     * 结束时间 yyyy-MM-dd HH:mm:ss
     */
    endTime?:string,

    /**
     * 经度
     */
    lon?:string,

    /**
     * 纬度
     */
    lat?:string,

    /**
     * 详细地址
     */
    address?:string,

    /**
     * 内容
     */
    content?:string,

    /**
     * 其他属性
     */
    attrList?:TrackAttrForm[],


    /**
     * 机构Id
     */
    orgId?:string,

    /**
     * 关联的类型
     */
    typeIds?:string[],

   // @ApiModelProperty(value = "主类型Id")
    mainTypeId:string;
   // @ApiModelProperty(value = "主类型名")
    mainTypeName:string;
}

export interface SaveTrackForm extends TrackForm{
    /**
     * 开始时间 yyyy-MM-dd HH:mm:ss
     */
    startTime:string,

    /**
     * 结束时间 yyyy-MM-dd HH:mm:ss
     */
    endTime:string,

    /**
     * 经度
     */
    lon:string,

    /**
     * 纬度
     */
    lat:string,

    /**
     * 详细地址
     */
    address:string,

    /**
     * 内容
     */
    content:string,

    /**
     * 其他属性
     */
    attrList:TrackAttrForm[],


    /**
     * 机构Id
     */
    orgId:string,

    /**
     * 关联的类型
     */
    typeIds:string[],
    // @ApiModelProperty(value = "主类型Id")
    mainTypeId:string;
    // @ApiModelProperty(value = "主类型名")
    mainTypeName:string;
}

export interface UpdTrackForm extends TrackForm{
    id:string,
}

export interface TrackAttrForm{
    /**
     * 属性类型
     */
    attrType:string,

    /**
     * 属性值
     */
    attrValue:string,

}